2011-09-05  Brett Profitt <brett.profitt@gmail.com>

  	* CHANGES.txt, engine/lib/access.php, version.php: Fixed a stupid problem I
  introduced in the installation and only just caught >:O

  	* version.php: Version bump to 1.8.0. *whew*

  	* README.txt: Updated README to mention the Elgg Foundation.

  	* js/lib/ui.js, views/default/css/ie.php: Refs #3449, #3770. Using JS to fix
  submenu dropdown in IE7.

  	* engine/lib/deprecated-1.8.php: Improved documentation for deprecated
  functions.

  	* UPGRADE.txt: Added instructions to delete deprecated plugins during
  upgrade.

  	* CHANGES.txt: Updated changes for 1.8.0.

  	* CONTRIBUTORS.txt: Updated contributors file with @elgg.org email
  addresses.

  	* UPGRADE.txt: Added more explicit upgrade instructions for 1.7 -> 1.8.

  	* views/default/css/ie.php: Refs #3449. Some IE7 CSS fixes. I need to shower
  now.

2011-09-04  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/entities.php: Fixes #3661. Pulled in recursive delete fixes to
  master.

  	* engine/classes/ElggEntity.php: Refs #3661. Merged lat/long metadata fixes
  to master.

  	* engine/lib/entities.php, mod/search/search_hooks.php: Refs #3661. Merged
  XSS fixes in search to master.

  	* mod/pages/pages/pages/edit.php: Refs #3661. Better filtering for
  container_guid in pages.

  	* mod/file/pages/file/search.php: Refs #3661. Pulled in XSS fixes for file
  search.

  	* mod/groups/lib/groups.php: Fixes #3720. Using correctly filters for tabs
  on group landing page.

  	* engine/start.php: Refs #3661. Merged $CONFIG->lastcache fix to master. 
  Fixes #3530. $CONFIG->lastcache has correct value on page load when cache is
  regenerated.   Conflicts:  engine/start.php

2011-09-03  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/access.php: Fixed typo in call to function.

2011-08-30  Brett Profitt <brett.profitt@gmail.com>

  	* actions/friends/collections/add.php,
  actions/friends/collections/delete.php, actions/friends/collections/edit.php,
  engine/lib/access.php, engine/tests/api/access_collections.php,
  languages/en.php: Fixes #3543. Ported access collections fix to master.

2011-08-29  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/views.php, views/default/css/lightbox.php: Fixes #3461: Using
  absolute URLs for lightbox CSS.

  	* mod/embed/views/default/js/embed/embed.php: Removing debug string.

2011-08-27  Brett Profitt <brett.profitt@gmail.com>

  	* mod/profile/views/default/profile/js.php: Fixes #3561. Only adding the
  static profile block height to the widget canvas if on the profile page.

  	* mod/embed/languages/en.php, mod/embed/start.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/item/gallery.php,
  mod/embed/views/default/embed/item/list.php,
  mod/embed/views/default/embed/layouts/gallery.php,
  mod/embed/views/default/embed/layouts/list.php,
  mod/embed/views/default/embed/upload/content.php,
  mod/embed/views/default/js/embed/embed.php,
  mod/embed/views/default/js/embed/inline.php, mod/file/start.php: Fixes #2911.
  Embed plugins works again. Added menu for embed sections. This plugin is
  painfully messy.

  	* engine/classes/ElggPluginPackage.php, engine/lib/plugins.php,
  languages/en.php, views/default/admin/plugins.php: Fixes #3434. Manifests are
  checked more carefully on anything that checks deps. Disabling plugins with
  invalid manifests from admin page.

2011-08-25  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/views.php: Fixes #3535. elgg_view_form() automatically adds
  elgg-form-action-name.

  	* mod/likes/start.php: Removed unused code for likes notification.

  	* mod/likes/actions/likes/add.php, mod/likes/languages/en.php,
  mod/likes/start.php: Fixes #3131. Added generic liking notification text.

  	* mod/blog/start.php: Fixes #3558. Added upgrade for excerpt in blogs.

  	* mod/blog/start.php: Removed silly check for elgg version.

  	* mod/blog/start.php: Fixing blog upgrades for excerpt.

  	* CODING.txt: Fixes #3657. There's not a good way to ensure redirects for
  CODING.txt because most of the code is off our servers now, so just putting a
  placeholder.

  	* views/default/page/elements/head.php,
  views/default/page/elements/shortcut_icon.php: Fixes #3662. Pulled out
  shortcut_icon to its own view for easier overriding.

2011-08-24  Brett Profitt <brett.profitt@gmail.com>

  	* engine/classes/ElggPriorityList.php: Checking for === false when moving
  elements in ElggPriorityList instead of just !$priority. Fixes problems when
  moving elements to / from 0.

  	* .../forms/uservalidationbyemail/bulk_action.php: Fixes #3621. Corrected
  the URL for the unvalidated users pagination.

  	* mod/groups/actions/discussion/reply/save.php, mod/groups/start.php,
  .../views/default/annotation/group_topic_post.php,
  .../views/default/forms/discussion/reply/save.php,
  .../views/default/annotation/messageboard.php: Fixes #3612, #3750. Added edit
  replies back to group plugin with the annotation menu.

  	* mod/messageboard/start.php: Refs #3750. Messageboard using annotations
  menu.

  	* engine/lib/navigation.php, views/default/annotation/default.php,
  views/default/annotation/generic_comment.php,
  views/default/css/elements/navigation.php: Refs #3750. Added annotation menu
  for generic comments (delete) and default annotations (empty).

  	* js/lib/hooks.js: Fixes #3589. JS "all" hook handlers called only once.

  	* actions/avatar/upload.php: Refs #3557: Upscaling small icons to 200x200.
  This doesn't fix the problem if someone uploads a 100x200 image.

  	* mod/categories/actions/save.php, mod/categories/activate.php,
  mod/categories/languages/en.php, mod/categories/start.php,
  mod/categories/views/default/input/categories.php,
  .../views/default/plugins/categories/settings.php,
  .../views/default/settings/categories/edit.php: Refs #3746. Updated
  categories for 1.8. Still some deprecation notices, but functional.

2011-08-23  Brett Profitt <brett.profitt@gmail.com>

  	* .../actions/twitter_api/interstitial_settings.php,
  mod/twitter_api/languages/en.php, mod/twitter_api/lib/twitter_api.php,
  mod/twitter_api/pages/twitter_api/interstitial.php,
  mod/twitter_api/start.php, .../forms/twitter_api/interstitial_settings.php,
  .../default/usersettings/twitter_api/edit.php: Fixes #3117. Added an
  interstitial page for twitter new users.

  	* views/default/navigation/menu/default.php: Rewriting more chars to - in
  the default menu view.

  	* engine/classes/ElggPriorityList.php, engine/lib/elgglib.php,
  engine/lib/views.php, engine/tests/api/helpers.php: Fixes #3355. Added
  ElggPriorityList. Adapted the externals system to use it.

2011-08-22  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/views.php, vendors/jquery/jquery-1.6.2.min.js,
  vendors/jquery/jquery-ui-1.8.16.min.js, views/installation/page/default.php:
  Closes #3015. jQuery updated to 1.6.2. jQuery-UI updated to 1.8.16.

2011-08-21  Brett Profitt <brett.profitt@gmail.com>

  	* mod/groups/lib/groups.php: Fixes #3701. Removed early call to elgg_echo()
  for group action button menu.

  	* engine/classes/ElggSite.php: Fixes #3606. Reset password page added to
  public pages for walled garden mode.

  	* engine/lib/river.php: Fixes #3496. Using OR to concatenate unpaired type
  and subtype clauses in elgg_get_river_type_subtype_where_sql().

2011-08-18  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/views.php: Fixing priorities for jquery.

2011-08-17  Brett Profitt <brett.profitt@gmail.com>

  	* engine/classes/ElggPriorityList.php, engine/lib/elgglib.php,
  engine/tests/api/helpers.php: Finished ElggPriorityList. Migrated external
  files to use it.

2011-08-17  tvld <tom@lorinthe.com>

  	* htaccess_dist: My very first attempt to contribute... 
  http://trac.elgg.org/ticket/3601  For optimal speed, Firebug's Yslow
  complained that the js and ico files did not have an Etag.

2011-08-15  Brett Profitt <brett.profitt@gmail.com>

  	* engine/classes/ElggPriorityList.php, engine/tests/api/helpers.php: Refs
  #3355. Added ElggPriorityList.

  	* pages/friends/collections/add.php,
  pages/friends/collections/pickercallback.php,
  pages/friends/collections/view.php, pages/friends/index.php,
  pages/friends/of.php: Fixes #3715. Added the new collection button back.

  	* mod/search/views/default/search/list.php: Fixed pagination for search.

  	* mod/search/views/default/search/list.php: Fixes #3254. Removing limit for
  "+X more Y" in search results.

2011-07-27  Brett Profitt <brett.profitt@gmail.com>

  	* engine/classes/ElggBatch.php: Fixed some documentation.

2011-07-27  Richard Loxley <richard.loxley@surevine.com>

  	* engine/lib/actions.php: Fixes Ticket #3709 "Embed plugin: uploading a file
  in Firefox tries to save a JSON file in the user's browser"

2011-07-10  Cash Costello <cash.costello@gmail.com>

  	* engine/lib/views.php: Fixes #3336 functions that used elgg_view_exists()
  were not falling back to the default views

2011-07-09  cash <cash.costello@gmail.com>

  	* mod/file/pages/file/search.php: Refs #3685 need null for no container

  	* engine/lib/users.php, pages/avatar/view.php: fixed redirect for user
  avatars if we cannot get the user

2011-07-07  Brett Profitt <brett.profitt@gmail.com>

  	* mod/dashboard/start.php,
  views/default/admin/appearance/default_widgets.php: Fixes #3669. Dashboard
  now registers for default widgets.

  	* version.php: Version bump to 1.8.0b2

2011-07-07  Cash Costello <cash.costello@gmail.com>

  	* views/default/css/elements/components.php,
  views/default/river/elements/body.php,
  views/default/river/relationship/friend/create.php: fixed the float issue
  with the friends river view

  	* views/default/icon/user/default.php: Refs #3567 added class extending to
  icon/user/default

2011-07-06  cash <cash.costello@gmail.com>

  	* views/default/input/radio.php: Refs #3624 fixed radio button value
  detection

2011-07-06  Cash Costello <cash.costello@gmail.com>

  	* actions/plugins/settings/save.php, actions/plugins/usersettings/save.php,
  engine/classes/ElggPlugin.php: Fixes #2204 standardized the hooks/overrides
  for plugin settings and usersettings

  	* engine/lib/river.php: $joins was not declared in elgg_get_river()

  	* vendors/jquery/jquery.imgareaselect-0.8.min.js,
  .../jquery.imgareaselect-0.9.8/GPL-LICENSE.txt,
  .../jquery.imgareaselect-0.9.8/MIT-LICENSE.txt, .../css/border-anim-h.gif,
  .../css/border-anim-v.gif, .../jquery.imgareaselect-0.9.8/css/border-h.gif,
  .../jquery.imgareaselect-0.9.8/css/border-v.gif,
  .../css/imgareaselect-animated.css, .../css/imgareaselect-default.css,
  .../css/imgareaselect-deprecated.css, .../scripts/jquery.imgareaselect.js,
  .../scripts/jquery.imgareaselect.min.js,
  .../scripts/jquery.imgareaselect.pack.js, .../scripts/jquery.min.js,
  views/default/forms/avatar/crop.php: Fixes #3663 upgrades imgareaselect
  library

  	* mod/likes/actions/likes/add.php,
  .../default/river/annotation/likes/create.php: Fixes #3642 removing likes
  river code

  	* engine/lib/navigation.php, mod/blog/lib/blog.php,
  mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/friends.php,
  mod/bookmarks/pages/bookmarks/owner.php, mod/file/pages/file/friends.php,
  mod/file/pages/file/owner.php, mod/file/pages/file/world.php,
  mod/groups/lib/discussion.php, mod/groups/lib/groups.php,
  mod/messages/pages/messages/inbox.php, mod/messages/pages/messages/sent.php,
  mod/pages/pages/pages/friends.php, mod/pages/pages/pages/owner.php,
  mod/pages/pages/pages/world.php: changed new convenience function from
  elgg_register_add_button() to elgg_register_title_button()

  	* mod/embed/views/default/embed/css.php,
  mod/embed/views/default/js/embed/embed.php: updated the embed plugin for new
  css class elgg-item rather than elgg-list-item

2011-07-04  cash <cash.costello@gmail.com>

  	* views/default/css/elements/forms.php: styled the date picker for the main
  theme

  	* views/default/css/admin.php: theming the date picker for the admin theme

  	* js/lib/ui.js, views/default/input/date.php, views/default/output/date.php:
  Fixes #3560 input/date and output/date support ISO 8601 (YYYY-MM-DD) and Unix
  timestamps. Need to think about how to handle alternate text formats.

2011-07-03  Brett Profitt <brett.profitt@gmail.com>

  	* actions/friends/collections/add.php,
  actions/friends/collections/delete.php, actions/friends/collections/edit.php,
  engine/lib/access.php, engine/tests/api/access_collections.php,
  languages/en.php: Merged ACL fixes from 1.7 branch.

  	* engine/lib/access.php, engine/tests/api/access_collections.php: Merged
  d423aee393458d6827db from 1.7 to master.  Fixes #3552. Addess ACL unit tests.
  These currently fail because of #3522.   Conflicts:  engine/lib/access.php

2011-07-03  cash <cash.costello@gmail.com>

  	* .../views/default/page/layouts/custom_index.php: removed deprecated
  function from custom_index plugin

  	* views/default/page/elements/header_logo.php: reformatted the code in
  page/elements/header_logo view due to line length

  	* .../views/default/page/layouts/custom_index.php: removed deprecated
  function from custom_index plugin

  	* views/default/page/elements/header_logo.php: reformatted the code in
  page/elements/header_logo view due to line length

  	* mod/blog/languages/en.php: Fixes #3593 defining the blog post notification
  string

  	* languages/en.php: Fixes #3640 added 'none' as a language string

  	* engine/classes/ElggUser.php: Fixes #3650 deprecated
  ElggUser::getCollections()

  	* documentation/coding_standards/best_practices.txt,
  documentation/coding_standards/deprecation.txt: pulled deprecation guidelines
  out of general best practices

  	* CODING.txt, documentation/coding_standards/best_practices.txt,
  .../coding_standards/css_coding_standards.txt,
  .../coding_standards/html_best_practices.txt,
  .../coding_standards/javascript_best_practices.txt,
  .../javascript_coding_standards.txt,
  .../coding_standards/php_best_practices.txt,
  .../coding_standards/php_coding_standards.txt: separate out coding standards

2011-07-03  Cash Costello <cash.costello@gmail.com>

  	* engine/classes/ElggCache.php: Fixes #3656 updates the AccessArray
  interface methods for ElggCache

  	* mod/notifications/start.php, mod/tinymce/start.php: these plugins should
  not need special loading order

  	* views/default/css/admin.php: updated the admin theme for the new css
  classes on input elements

2011-07-02  cash <cash.costello@gmail.com>

  	* mod/developers/actions/developers/settings.php,
  mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/admin/developers/settings.php: added logging of events and
  plugin hooks

  	* mod/developers/actions/developers/settings.php,
  mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/admin/developers/settings.php: Fixes #3152 adds wrapping of
  views with comments

  	* mod/developers/classes/ElggLogCache.php: returning false to stop
  elgg_dump() from also displaying the debugging information to the screen

  	* mod/developers/actions/developers/settings.php,
  mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/admin/developers/settings.php: Fixes #3500 added setting
  for raw string display

  	* mod/developers/views/default/developers/log.php: removed warning if no
  messages in the cache

  	* engine/classes/ElggPlugin.php,
  mod/developers/actions/developers/settings.php,
  mod/developers/classes/ElggLogCache.php, mod/developers/languages/en.php,
  mod/developers/start.php, .../views/default/admin/developers/settings.php,
  mod/developers/views/default/developers/css.php,
  mod/developers/views/default/developers/log.php: added logging to the web
  page footer

  	* mod/developers/actions/developers/inspect.php,
  mod/developers/classes/ElggInspector.php, mod/developers/languages/en.php,
  mod/developers/start.php, mod/developers/vendors/jsTree/jquery.jstree.js,
  mod/developers/vendors/jsTree/themes/apple/bg.jpg,
  mod/developers/vendors/jsTree/themes/apple/d.png,
  .../vendors/jsTree/themes/apple/dot_for_ie.gif,
  .../vendors/jsTree/themes/apple/style.css,
  .../vendors/jsTree/themes/apple/throbber.gif,
  mod/developers/vendors/jsTree/themes/classic/d.gif,
  mod/developers/vendors/jsTree/themes/classic/d.png,
  .../vendors/jsTree/themes/classic/dot_for_ie.gif,
  .../vendors/jsTree/themes/classic/style.css,
  .../vendors/jsTree/themes/classic/throbber.gif,
  .../vendors/jsTree/themes/default-rtl/d.gif,
  .../vendors/jsTree/themes/default-rtl/d.png,
  .../vendors/jsTree/themes/default-rtl/dots.gif,
  .../vendors/jsTree/themes/default-rtl/style.css,
  .../vendors/jsTree/themes/default-rtl/throbber.gif,
  mod/developers/vendors/jsTree/themes/default/d.gif,
  mod/developers/vendors/jsTree/themes/default/d.png,
  .../vendors/jsTree/themes/default/style.css,
  .../vendors/jsTree/themes/default/throbber.gif,
  .../views/default/admin/developers/inspect.php,
  mod/developers/views/default/developers/css.php,
  mod/developers/views/default/developers/tree.php,
  .../views/default/forms/developers/inspect.php,
  .../views/default/js/developers/developers.php: added the inspect tool to
  developers tool plugin

  	* engine/lib/river.php, pages/river.php: fixed river for #3544

  	* mod/embed/start.php, mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/upload/content.php: fixed embed plugin for
  #3544

  	* mod/file/pages/file/search.php, mod/messages/pages/messages/send.php:
  fixed messages and file plugins for #3544

  	* engine/lib/input.php: added note about preventing reflected XSS
  vulnerabilities.

2011-07-02  Cash Costello <cash.costello@gmail.com>

  	* views/default/input/access.php, views/default/input/autocomplete.php,
  views/default/input/button.php, views/default/input/calendar.php,
  views/default/input/captcha.php, views/default/input/checkbox.php,
  views/default/input/checkboxes.php, views/default/input/date.php,
  views/default/input/dropdown.php, views/default/input/email.php,
  views/default/input/file.php, views/default/input/location.php,
  views/default/input/longtext.php, views/default/input/password.php,
  views/default/input/plaintext.php, views/default/input/radio.php,
  views/default/input/tag.php, views/default/input/tags.php,
  views/default/input/text.php, views/default/input/url.php: Fixes #3624 input
  views use class extending rather than overriding

  	* mod/blog/views/default/forms/blog/save.php: fixed the blog categories code
  as the entity was not being passed

2011-07-01  Cash Costello <cash.costello@gmail.com>

  	* mod/bookmarks/pages/bookmarks/bookmarklet.php: removed the add bookmark
  button from get bookmarklet page

2011-06-30  Cash Costello <cash.costello@gmail.com>

  	* engine/lib/elgglib.php: Adds exception handling to shutdown hook from pull
  request 50

  	* engine/lib/views.php, vendors/jquery/jquery-1.5.min.js,
  vendors/jquery/jquery-1.6.1.min.js, vendors/jquery/jquery-ui-1.8.14.min.js,
  vendors/jquery/jquery-ui-1.8.9.min.js: Refs #3015 updated jquery and
  jquery-ui to their latest releases

  	* languages/en.php, views/default/object/plugin/advanced.php: Fixes #3635
  added strings for activate and deactivate

  	* languages/en.php: Fixes #3636 added general language strings for sort and
  filter

2011-06-29  cash <cash.costello@gmail.com>

  	* .../views/default/groups/profile/widgets.php: made group widget columns
  backward compatible so that content at least does not disappear

  	* engine/classes/ElggMenuItem.php: handling spaces and uppercase characters
  when creating menu item classes

  	* engine/lib/views.php, views/default/page/elements/wrapper.php: added
  backward compatibility for the view page_elements/content_wrapper

  	* engine/lib/group.php: added @since dates on two functions in group library

2011-06-29  Cash Costello <cash.costello@gmail.com>

  	* mod/tinymce/views/default/js/tinymce.php,
  mod/tinymce/views/default/tinymce/css.php: Fixes #3537 using elgg.echo() for
  i18n of word count

  	* mod/tinymce/css/elgg_tinymce.css, mod/tinymce/tinymce_content.css,
  mod/tinymce/views/default/js/tinymce.php: moved tinymce content css into its
  own directory

  	* views/default/css/admin.php, views/default/css/elements/modules.php: Fixes
  #3629 added overflow hidden to .elgg-module for both default and admin themes

  	* mod/thewire/pages/thewire/everyone.php,
  mod/thewire/pages/thewire/friends.php, mod/thewire/pages/thewire/owner.php,
  mod/thewire/pages/thewire/reply.php: Fixes #3578 added a css class to thewire
  add form

  	* actions/admin/plugins/activate.php, actions/admin/plugins/deactivate.php,
  actions/admin/plugins/set_priority.php,
  views/default/object/plugin/advanced.php: Fixes #3630 using the plugin id for
  the css id

2011-06-28  Cash Costello <cash.costello@gmail.com>

  	* mod/thewire/views/default/forms/thewire/add.php: Fixes #3579 using
  input/plaintext in the wire form

  	* views/default/css/admin.php, views/default/page/layouts/admin.php: Fixes
  #3519 admin area now has title buttons

  	* engine/lib/views.php, views/default/page/layouts/content/header.php: using
  elgg_view_title() in content layout header

  	* languages/en.php, views/default/widgets/content_stats/content.php: Fixes
  #3597 defined a language string for 'more'

  	* languages/en.php: Fixes #3505 define language string for
  menu:page:header:default

  	* .../views/default/forms/bookmarks/save.php,
  .../views/default/forms/developers/settings.php,
  .../views/default/forms/expages/edit.php,
  mod/file/views/default/forms/file/upload.php,
  .../views/default/forms/discussion/reply/save.php,
  mod/groups/views/default/forms/discussion/save.php,
  .../views/default/forms/invitefriends/invite.php,
  .../views/default/forms/messages/process.php,
  .../views/default/forms/messages/reply.php,
  mod/messages/views/default/forms/messages/send.php,
  .../forms/notificationsettings/groupsave.php,
  mod/pages/views/default/forms/pages/edit.php,
  .../views/default/forms/reportedcontent/add.php,
  mod/thewire/views/default/forms/thewire/add.php: Fixes #3407 added elgg-foot
  to plugin forms

  	* views/default/navigation/menu/elements/item.php: updated the menu item
  view to work with the new setLinkClass/addLinkClass methods

2011-06-27  Cash Costello <cash.costello@gmail.com>

  	* mod/blog/lib/blog.php, mod/blog/views/default/forms/blog/save.php,
  mod/groups/lib/groups.php, mod/groups/views/default/forms/groups/edit.php,
  mod/groups/views/default/forms/groups/invite.php,
  mod/groups/views/default/groups/edit.php,
  .../default/forms/notificationsettings/save.php,
  .../default/notifications/subscriptions/form.php,
  .../notifications/subscriptions/forminternals.php,
  views/default/core/settings/account.php,
  views/default/css/elements/forms.php, views/default/forms/avatar/crop.php,
  views/default/forms/avatar/upload.php, views/default/forms/comments/add.php,
  views/default/forms/friends/collections/add.php,
  views/default/forms/plugins/settings/save.php,
  views/default/forms/profile/edit.php,
  views/default/forms/user/requestnewpassword.php,
  views/default/forms/useradd.php, views/default/forms/usersettings/save.php,
  views/default/forms/widgets/save.php, views/default/input/form.php: Refs
  #3407 using elgg-form and elgg-foot in core forms. Plugins next

2011-06-26  cash <cash.costello@gmail.com>

  	* mod/bookmarks/pages/bookmarks/add.php,
  mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/bookmarklet.php,
  mod/bookmarks/pages/bookmarks/edit.php,
  mod/bookmarks/pages/bookmarks/friends.php,
  mod/bookmarks/pages/bookmarks/owner.php, mod/file/pages/file/edit.php,
  mod/file/pages/file/friends.php, mod/file/pages/file/owner.php,
  mod/file/pages/file/search.php, mod/file/pages/file/upload.php,
  mod/file/pages/file/view.php, mod/file/pages/file/world.php,
  mod/groups/lib/discussion.php, mod/groups/lib/groups.php,
  .../views/default/groups/profile/buttons.php,
  mod/members/pages/members/index.php,
  mod/messageboard/pages/messageboard/owner.php,
  mod/messages/pages/messages/inbox.php, mod/messages/pages/messages/read.php,
  mod/messages/pages/messages/send.php, mod/messages/pages/messages/sent.php,
  mod/messages/views/default/messages/js.php, mod/pages/pages/pages/edit.php,
  mod/pages/pages/pages/friends.php, mod/pages/pages/pages/history.php,
  mod/pages/pages/pages/new.php, mod/pages/pages/pages/owner.php,
  mod/pages/pages/pages/revision.php, mod/pages/pages/pages/view.php,
  mod/pages/pages/pages/world.php, mod/thewire/pages/thewire/everyone.php,
  mod/thewire/pages/thewire/friends.php, mod/thewire/pages/thewire/owner.php,
  mod/thewire/pages/thewire/previous.php, mod/thewire/pages/thewire/reply.php,
  mod/thewire/pages/thewire/tag.php, mod/thewire/pages/thewire/thread.php,
  pages/river.php: this should update all the core pages and plugins using
  'buttons'

  	* engine/lib/navigation.php, mod/blog/lib/blog.php,
  views/default/page/layouts/content.php,
  views/default/page/layouts/content/header.php: removed buttons logic from
  content header view, created convenience function rather than copying and
  pasting, and updated the blog plugin

  	* engine/classes/ElggMenuItem.php, engine/lib/navigation.php,
  mod/groups/start.php: added a data array to ElggMenuItem. Now by default
  options end up being passed to output/url.

  	* mod/embed/images/close_button.gif, mod/embed/js/embed.js,
  mod/embed/views/default/embed/js.php,
  mod/embed/views/default/js/embed/embed.php: updated based on Brett's comments
   and removed old stuff related to facebox lightbox

2011-06-26  Cash Costello <cash.costello@gmail.com>

  	* engine/lib/relationships.php: Fixes #3585 do not need to check parameters
  because was registered for only one event

  	* engine/classes/ElggMenuItem.php, engine/lib/navigation.php, js/lib/ui.js,
  mod/groups/start.php, mod/logbrowser/views/default/logbrowser/form.php,
  mod/profile/views/default/profile/owner_block.php,
  .../views/default/object/reported_content.php,
  views/default/object/plugin/advanced.php,
  views/default/object/plugin/invalid.php,
  views/default/object/widget/elements/controls.php,
  views/default/page/layouts/widgets/add_button.php: Fixes #3470 using
  rel=toggle now

  	* mod/thewire/languages/en.php,
  .../views/default/river/object/thewire/create.php: provided a way to get to
  the wire from activity page

  	* mod/blog/languages/en.php, mod/blog/lib/blog.php,
  mod/bookmarks/pages/bookmarks/all.php, mod/bookmarks/start.php,
  mod/file/languages/en.php, mod/file/pages/file/friends.php,
  mod/file/pages/file/owner.php: made breadcrumbs consistent in content plugins

  	* mod/groups/start.php: not displaying the reply button for discussion
  topics in widgets

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php,
  mod/pages/views/default/object/page_top.php,
  mod/thewire/views/default/object/thewire.php,
  views/default/object/default.php, views/default/object/elements/summary.php:
  Fixes #3368 combining $vars with parameters for object/elements/summary view

  	* .../views/default/settings/logrotate/edit.php: removed use of deprecated
  internalname key in log rotation

  	* engine/classes/ElggEntity.php, mod/blog/lib/blog.php,
  mod/bookmarks/pages/bookmarks/view.php, mod/file/pages/file/view.php,
  mod/groups/lib/discussion.php, .../views/default/groups/sidebar/featured.php,
  mod/messages/pages/messages/read.php, mod/pages/pages/pages/view.php,
  mod/search/views/default/search/entity.php, pages/entities/index.php,
  views/default/page/elements/owner_block.php,
  views/json/entities/entity_list.php: Fixes #3614 updated use of
  elgg_view_entity() throughout core

  	* mod/messageboard/pages/messageboard/owner.php: better way of sorting
  messageboard annotations

2011-06-25  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/deprecated-1.8.php: Don't say the db was upgradeded when it
  wasn't.

  	* engine/lib/upgrade.php, engine/lib/upgrades/2011010101.php: Fixes #3554.
  Pulled 1.7->1.8 upgrade bootstrapping into a separate function. Made the
  plugin upgrade that forwards (2011010101) set itself in the processed
  upgrades.

2011-06-25  cash <cash.costello@gmail.com>

  	* views/default/css/elements/layout.php,
  views/default/page/layouts/one_column.php: one_column layout was not showing
  title and nav

  	* mod/messageboard/pages/messageboard/owner.php: fixed ordering of
  messageboard posts

2011-06-25  Brett Profitt <brett.profitt@gmail.com>

  	* engine/lib/configuration.php: datalist_get() was incorrectly setting
  escaped values in the cache.

2011-06-25  cash <cash.costello@gmail.com>

  	* engine/lib/admin.php: fixed spacing in
  elgg_admin_add_plugin_settings_menu()

  	* languages/en.php, .../river/user/default/profileiconupdate.php: actually
  read Evan's comment on pull request #48 and fixed previous

  	* languages/en.php, .../river/user/default/profileiconupdate.php: updates
  the avatar update river view and closes pull request #48

  	* views/default/river/elements/body.php,
  views/default/river/elements/responses.php,
  views/default/river/elements/summary.php: added documentation to new river
  views and improved handling of responses

  	* engine/classes/ElggEntity.php: Fixes #3609 removed use of deprecated
  trigger_plugin_hook()

  	* mod/groups/views/default/groups/css.php,
  mod/groups/views/default/groups/js.php,
  mod/groups/views/default/groups/profile/module.php,
  .../views/default/groups/profile/widgets.php: Fixes #3395 using a fluid
  gallery for the groups profile page

  	* js/lib/ui.js, mod/likes/start.php,
  mod/likes/views/default/likes/count.php,
  mod/likes/views/default/likes/js.php: Fixes #3610 $guid was not defined

2011-06-25  Cash Costello <cash.costello@gmail.com>

  	* views/default/css/elements/navigation.php: Fixes #3388 put vertical-align:
  middle back on topbar icons

  	* mod/likes/start.php, mod/likes/views/default/likes/button.php,
  mod/likes/views/default/likes/count.php,
  mod/likes/views/default/likes/css.php, views/default/river/elements/body.php:
  Fixes #3566 separate out likes button from likes count

  	* mod/likes/views/default/likes/button.php,
  mod/likes/views/default/likes/display.php,
  views/default/css/elements/core.php,
  views/default/css/elements/navigation.php: Refs #3388 entity menu has better
  vertical alignment

2011-06-24  cash <cash.costello@gmail.com>

  	* mod/groups/lib/groups.php: fixed breadcrumb on groups members page

  	* .../views/default/forms/messageboard/add.php: added spacing between
  messageboard textarea and submit button

  	* mod/messages/pages/messages/read.php: adding some spacing between the
  messages and the reply form

  	* mod/blog/views/default/blog/group_module.php,
  .../views/default/bookmarks/group_module.php,
  mod/file/views/default/file/group_module.php,
  .../views/default/discussion/group_module.php,
  .../default/groups/profile/activity_module.php,
  mod/groups/views/default/groups/profile/module.php,
  mod/pages/views/default/pages/group_module.php: Fixes #3139 DRYs up group
  modules

  	* mod/custom_index/index.php, .../views/default/groups/sidebar/members.php,
  views/default/css/elements/components.php: Fixes #3559 adds
  .elgg-gallery-users

  	* engine/lib/entities.php, engine/lib/views.php, mod/custom_index/index.php,
  mod/file/views/default/file/typecloud.php,
  .../views/default/groups/sidebar/members.php,
  views/default/widgets/friends/content.php: Refs #1253 using 'list_type'
  string instead of boolean 'gallery' for entity listing

  	* engine/lib/views.php, mod/search/views/default/search/list.php,
  views/default/css/admin.php, views/default/css/elements/components.php,
  views/default/object/elements/summary.php,
  views/default/page/components/gallery.php,
  views/default/page/components/list.php: cleaned up the list/gallery css
  classes to use standard class naming - minor modifications only

  	* .../graphics/sign-in-with-twitter-d.png,
  .../graphics/sign-in-with-twitter-l.png, mod/twitter_api/lib/twitter_api.php,
  .../views/default/twitter_api/login.php: Fixes #2958 cleaned up user login
  for twitter

  	* mod/thewire/start.php: Fixes #3204 adds hook trigger so that wire sends
  out status updates

  	* mod/twitter_api/lib/twitter_api.php, mod/twitter_api/start.php: fixed the
  post to twitter capability - was not loading the twitter oauth class

  	* mod/twitter_api/lib/twitter_api.php,
  .../default/usersettings/twitter_api/edit.php: fixes the authorization to
  post so that it does not include login

  	* mod/twitter_api/start.php: twitter @anywhere was causing problems - pages
  were not loading and js errors

2011-06-20  benbro <ben.browitt@gmail.com>

  	* engine/lib/statistics.php, engine/lib/users.php: added find_active_users
  hook

2011-06-24  Cash Costello <cash.costello@gmail.com>

  	* .../river/object/groupforumtopic/create.php,
  views/default/river/elements/body.php: fixed group forum discussion inline
  replies for activity page

2011-06-23  cash <cash.costello@gmail.com>

  	* mod/twitter_api/languages/en.php, mod/twitter_api/start.php,
  .../views/default/settings/twitter_api/edit.php,
  mod/twitter_api/views/default/twitter_api/css.php: cleaned up the twitter api
  plugin settings so instructions are correct. Need to verify that login works.

  	* .../views/default/settings/twitter_api/edit.php: added instructions back
  to twitter api plugin settings

  	* views/default/css/admin.php: added a css class so that we can limit the
  width of text instruction areas in admin area

2011-06-23  Cash Costello <cash.costello@gmail.com>

  	* mod/groups/actions/groups/membership/remove.php,
  mod/groups/languages/en.php: Refs #1867 let group owner know what user they
  just removed

  	* mod/dashboard/start.php, mod/dashboard/views/default/dashboard/blurb.php,
  mod/dashboard/views/default/dashboard/css.php: Fixes #3599 spacing of
  dashboard blurb fixed

  	* views/default/css/elgg.php: Fixes #3471 moved helpers to end of css/elgg

  	* mod/twitter/views/default/twitter/css.php: Fixes #3603 fixes display of
  @username in twitter widget - thanks to ManUtopiK

2011-06-22  cash <cash.costello@gmail.com>

  	* views/default/page/default.php: backward compatibility of the admin page
  shell was broken when we reorganized the page view directory

  	* mod/thewire/languages/en.php, mod/thewire/views/default/thewire/reply.php:
  added @username in the reply text for a wire post

2011-06-22  Cash Costello <cash.costello@gmail.com>

  	* mod/members/pages/members/search.php: Fixes #3598 sanitizing the $name
  variable

2011-06-21  Franz Liedke <franz@develophp.org>

  	* engine/classes/ElggMenuItem.php: Add param description to PHPDoc comments
  of setText() function.

2011-06-20  cash <cash.costello@gmail.com>

  	* engine/lib/actions.php: removed debug code

2011-06-20  Franz Liedke <franz@develophp.org>

  	* engine/classes/ElggMenuItem.php: Add setText() method to ElggMenuItem
  class. Fixes #3546.

  	* engine/classes/ElggMenuItem.php: Add setHref() method to ElggMenuItem
  class. Fixes #3486.

2011-06-19  cash <cash.costello@gmail.com>

  	* mod/thewire/start.php: fixed the wire's previous ajax - the link class for
  the menu was lost in the conversion from plain class to link_class

  	* languages/en.php: fixed typo in edit profile fields instructions

  	* mod/file/views/default/forms/file/upload.php: we "upload" new files and
  "save" old ones

  	* mod/file/pages/file/view.php, mod/file/views/default/object/file.php:
  moved the download button for files to the action menu (which probably needs
  to be a menu)

  	* mod/embed/views/default/embed/upload/content.php,
  mod/embed/views/default/js/embed/embed.php: File uploads working now. It is
  hard coded to only work with file plugin.

  	* engine/lib/actions.php: added another way for an action to be detected as
  an Ajax action: set the request variable X-Requested-With = XMLHttpRequest.
  This is because files cannot be uploaded with XMLHttpRequest

  	* mod/file/actions/file/upload.php,
  mod/file/views/default/file/embed_upload.php,
  mod/file/views/default/forms/file/upload.php: removed the special ajax/embed
  code from the file plugin

  	* views/default/css/elements/layout.php: need the system messages to be
  above the lightbox overlay at 1000 z-index

  	* mod/file/views/default/forms/file/upload.php: need a default container for
  files if form included from outside file plugin (like the embed plugin)

2011-06-19  Cash Costello <cash.costello@gmail.com>

  	* views/default/widgets/friends/content.php: Fixes #3581 checks that the
  owner of a friends widget is a user

2011-06-18  cash <cash.costello@gmail.com>

  	* mod/embed/start.php: fixed issue with embedding a file in an embedded file

  	* mod/embed/start.php, mod/embed/views/default/embed/tabs.php,
  mod/embed/views/default/js/embed/embed.php: added back tab switching

  	* mod/embed/views/default/embed/addcontentjs.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/js/embed/embed.php: rewrote pagination for embed file
  listing

  	* mod/embed/start.php, mod/embed/views/default/embed/css.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/js/embed/embed.php,
  mod/embed/views/default/js/embed/inline.php: rewrote the insert javascript as
  an intermediate step. I'm sure I completely broke ECML integration and
  uploading files.

  	* mod/embed/start.php, mod/embed/views/default/embed/css.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/tabs.php,
  views/default/css/elements/navigation.php: using the new lightbox and hacking
  away at the complicated embed/embed view

  	* mod/blog/actions/blog/save.php,
  mod/blog/views/default/forms/blog/save.php: Fixes #3580 adding blog preview
  button that uses save action

  	* languages/en.php: added "Preview" as a general term defined in language
  file

  	* mod/blog/actions/blog/save.php: using elgg_delete_river() rather than
  custom SQL in blog save action

  	* mod/blog/views/default/forms/blog/save.php: moving the delete button in
  blog form to right side

  	* mod/twitter_api/languages/en.php: Calling normal user registration
  "manual" was confusing admin manual registration with user initiated
  registration

2011-06-18  Cash Costello <cash.costello@gmail.com>

  	* LICENCE.txt, LICENSE.txt: moved LICENCE.txt to LICENSE.txt to be
  consistent with readme

2011-06-13  Evan Winslow <evan@elgg.org>

  	* views/default/css/elements/components.php: Using tabs, not spaces for
  indentation

  	* mod/groups/start.php, .../river/object/groupforumtopic/create.php,
  views/default/river/elements/body.php,
  views/default/river/elements/footer.php,
  views/default/river/elements/responses.php: Renamed river footer to a more
  semantic "responses".  Fixed discussion to work inline again with this new
  layout.

  	* views/default/css/elements/components.php: elgg-river-message and
  elgg-river-attachments now get the old elgg-river-content styling

2011-06-13  Jeff Tilson <jrtilson@gmail.com>

  	* mod/groups/actions/groups/membership/remove.php,
  mod/groups/languages/en.php, mod/groups/start.php: Added 'remove from group'
  link to the user hover menu (only appears when the page owner is a group)

2011-06-13  Ravindra Nath Kakarla <ravindhranath@gmail.com>

  	* mod/thewire/views/default/js/thewire.php: textarea has to be jQuery object

2011-06-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggMenuItem.php,
  views/default/navigation/menu/elements/item.php: Fixes #3282 always using a
  menu item's name in its class  

  	* mod/tinymce/views/default/js/tinymce.php: Fixes #3175 toggled tinymce
  takes full width now - thanks tomv  

  	* languages/en.php: made some language clearer on default widgets
  instructions  

  	* .../views/default/forms/expages/edit.php: fixed formatting of site pages
  creation form - longtext menu was overlapping tinymce  

  	* views/default/css/admin.php: added the css for longtext control menu to
  admin theme  

2011-06-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/reportedcontent/languages/en.php,
  .../views/default/object/reported_content.php,
  .../views/default/reportedcontent/admin_css.php: fixing some display issues
  with reported content - code use a little cleanup  

  	* mod/thewire/languages/en.php: pulling in blacktooth's wire language typo
  fix : pull request #32  

  	* mod/likes/start.php: Fixes #3521 removed unecessary anchor tags - thanks
  to blacktooth  

  	* engine/classes/ElggSite.php,
  ...8b1-sites_need_a_site_guid-6d9dcbf46c0826cc.php, version.php: Fixes #2910
  set the site_guid of site entities  

  	* engine/lib/elgglib.php: Fixes #3480 not requiring a timestamp when using
  the js/css page handler  

  	* views/default/css/elements/layout.php: Fixes #3409 fixed small viewport
  issue with default theme  

  	* views/default/core/settings/tools.php: adjusted the spacing between the
  settings tools text and the surrounding elements  

  	* mod/groups/views/default/groups/css.php,
  mod/groups/views/default/groups/profile/fields.php: using divs for group
  profile fields to work around html validation issues with the out/tags view
  using a div  

2011-06-11  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/profile/views/default/profile/details.php: convert profile details to
  use divs so that we don't have invalid html due to output/tags  

  	* views/default/page/layouts/widgets/add_panel.php: need to maintain key
  associations with widget types  

  	* views/default/page/layouts/widgets/add_panel.php: sort widgets for add
  widgets panel  

  	* views/default/css/elements/navigation.php: moved the elgg logo to the left
  by 10 pixels  

  	* engine/lib/elgglib.php, engine/lib/users.php,
  views/default/css/elements/navigation.php: topbar icons were pushing the site
  title. Forced the elgg logo and avatar to behave. Adding overflow hidden to
  the topbar div would prevent future problems but cause issues for those
  adding drop down menus  

  	* actions/avatar/crop.php, actions/avatar/upload.php, languages/en.php:
  added user avatar river messages back  

  	* engine/lib/deprecated-1.8.php, engine/lib/river.php: Fixes #3039 added
  elgg_delete_river()  

  	* views/default/css/elements/modules.php: made the widget edit area slightly
  darker to provide contrast with content area  

  	* mod/profile/views/default/profile/owner_block.php: added some spacing
  around the profile action menu  

  	* pages/account/forgotten_password.php, pages/account/register.php,
  pages/account/reset_password.php, views/default/css/elements/forms.php,
  views/default/forms/user/requestnewpassword.php: Fixes #3556 limiting width
  of account text boxes  

  	* index.php, mod/custom_index/index.php: Fixes #3376 added RSS feed to
  default index page and suppressing on custom index front page  

  	* engine/classes/ElggSite.php, engine/lib/users.php,
  pages/account/forgotten_password.php, pages/account/reset_password.php,
  views/default/core/account/login_walled_garden.php,
  views/default/forms/login.php: Fixes #3515 created a unified page handler for
  account pages  

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/embed/views/default/embed/item/list.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php,
  mod/pages/views/default/object/page_top.php,
  mod/thewire/views/default/object/thewire.php,
  views/default/group/elements/summary.php, views/default/object/default.php,
  views/default/user/default.php, views/default/user/elements/summary.php:
  Fixes #3096 added user and group summery views an updated plugins to use the
  new view locations  

  	* views/default/object/elements/summary.php,
  views/default/page/components/summary.php: Refs #3096 Moved
  page/components/summary to object/elements/summary.  Left
  page/components/summary for backwards compatibility.  Plugins will eventually
  need to be updated to use $type/elements/summary  

  	* mod/pages/views/default/object/page_top.php: Fixes #3523 setting public
  write access to logged in for pages  

  	* mod/pages/start.php, mod/pages/views/default/input/write_access.php: Refs
  #3523 added a view for write access in pages plugin  

  	* mod/pages/pages/pages/view.php, mod/pages/start.php: Fixes #2672 limiting
  deleting pages and creating sub pages  

  	* engine/classes/ElggMenuItem.php, engine/lib/admin.php: sorting plugin
  settings menu items by text  

  	* .../views/default/settings/categories/edit.php,
  .../default/settings/garbagecollector/edit.php,
  .../views/default/settings/logrotate/edit.php: Refs #2032 changed <p> to
  <div> for plugin settings  

  	* mod/blog/views/default/forms/blog/save.php,
  mod/groups/actions/groups/delete.php,
  mod/groups/views/default/forms/groups/delete.php,
  mod/groups/views/default/forms/groups/edit.php,
  mod/groups/views/default/forms/groups/invite.php,
  mod/groups/views/default/groups/edit.php,
  .../views/default/forms/invitefriends/invite.php,
  .../notifications/subscriptions/forminternals.php,
  views/default/css/elements/forms.php, views/default/forms/avatar/crop.php,
  views/default/forms/avatar/upload.php, views/default/forms/comments/add.php,
  views/default/forms/usersettings/save.php: Refs #3407 adds a footer for forms
   

  	* install/css/install.css, views/installation/install/nav.php,
  views/installation/install/pages/complete.php: fixed disabled button in
  installer - css class had changed  

2011-06-09  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/languages/en.php,
  .../views/default/theme_preview/general.php: Fixes #3394 added a landing page
  to theme preview and break out of iframe link  

  	* engine/lib/users.php, views/default/input/location.php,
  views/default/input/tag.php, views/default/output/location.php,
  views/default/output/tag.php, views/default/output/tags.php: Fixes #3489
  added input/output views for tag and location  

  	* mod/invitefriends/manifest.xml: added invite friends to default activated
  plugins  

  	* actions/admin/plugins/activate.php, actions/admin/plugins/deactivate.php:
  Refs #2871 Forgot to update the forwarding for activate/deactivate actions  

  	* languages/en.php, mod/diagnostics/languages/en.php,
  mod/externalpages/languages/en.php: Refs #3410 all admin menu items have
  consistent capitalization  

  	* engine/lib/admin.php: Fixes #3548 the check for an admin menu's parent
  wasn't working  

  	* actions/admin/plugins/activate_all.php,
  actions/admin/plugins/deactivate_all.php, views/default/admin/plugins.php,
  views/default/css/admin.php,
  views/default/forms/admin/plugins/change_state.php: Fixes #2871 activate
  all/deactivate all now sensitive to filtering  

  	* views/default/admin/plugins/simple.php,
  .../forms/admin/plugins/simple_update_states.php: Refs #2871 removed the
  simple plugins page  

  	* engine/lib/admin.php, views/default/admin/plugins.php,
  views/default/admin/plugins/advanced.php: Refs #2871 promoted advanced
  plugins up to be a primary menu  

  	* views/default/object/plugin/advanced.php: Refs #2871 also turning off
  dragging when not in priority order  

  	* views/default/admin/plugins/advanced.php,
  views/default/object/plugin/advanced.php,
  .../object/plugin/elements/dependencies.php: Refs #2871 only showing links
  for changing priority when all plugins are shown in priority order  

  	* languages/en.php, views/default/admin/plugins/advanced.php,
  views/default/forms/admin/plugins/filter.php,
  views/default/forms/admin/plugins/sort.php: Refs #2871 adding sorting to
  advanced plugin page  

  	* languages/en.php, views/default/admin/plugins/advanced.php: Refs #2871
  filter plugins by active/inactive state  

  	* mod/diagnostics/manifest.xml: setting correct category for diagnostics
  plugin  

2011-06-09  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* CHANGES.txt: Closes #3510. Merged CHANGES.txt for 1.7.9 to trunk.  

  	* engine/lib/deprecated-1.8.php: Refs #3510, #3366. Added warning about
  count vs sum in egef_annotation_count() to trunk.  

  	* mod/profile/start.php: Refs #3510, #3316. Merged
  register_metadata_as_independent() fix in profile.  

2011-06-08  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/upgrades/2011052801.php, version.php: Refs #3510, #3416. Merged
  update for making sure users have relationship member_of on site object.  

  	* mod/messages/languages/en.php,
  mod/messages/views/default/object/messages.php: Refs #3510, #3264. Ported fix
  for icons of messages from deleted users to trunk.  

2011-06-08  Evan Winslow <evan@elgg.org>

  	* engine/lib/views.php, languages/en.php, mod/blog/languages/en.php,
  .../views/default/river/object/blog/create.php,
  mod/bookmarks/languages/en.php,
  .../default/river/object/bookmarks/create.php, mod/file/languages/en.php,
  .../views/default/river/object/file/create.php, mod/groups/languages/en.php,
  .../river/annotation/group_topic_post/reply.php,
  mod/groups/views/default/river/group/create.php,
  .../river/object/groupforumtopic/create.php,
  .../default/river/relationship/member/create.php,
  .../default/river/annotation/likes/create.php,
  mod/messageboard/languages/en.php,
  .../default/river/object/messageboard/create.php, mod/pages/languages/en.php,
  .../views/default/river/object/page/create.php, mod/thewire/languages/en.php,
  .../views/default/river/object/thewire/create.php,
  .../river/annotation/generic_comment/create.php,
  views/default/river/elements/body.php,
  views/default/river/elements/summary.php, views/default/river/item.php,
  views/default/river/relationship/friend/create.php: River revamp for 1.8

2011-06-07  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/core/account/login_dropdown.php,
  views/default/core/account/login_walled_garden.php: Refs #3510, #3414, #3536.
  Ported https login fixes to trunk. Will need to backport changes to 1.7 for
  #3536.  

  	* engine/lib/group.php, engine/lib/sessions.php, languages/en.php: Refs
  #3510, #3418. Merged fix for forwarding after output to trunk.  

  	* mod/tinymce/vendor/tinymce/changelog.txt,
  .../vendor/tinymce/examples/accessibility.html,
  .../vendor/tinymce/examples/css/content.css,
  mod/tinymce/vendor/tinymce/examples/css/word.css,
  .../vendor/tinymce/examples/custom_formats.html,
  mod/tinymce/vendor/tinymce/examples/full.html,
  mod/tinymce/vendor/tinymce/examples/index.html,
  .../vendor/tinymce/examples/lists/image_list.js,
  .../vendor/tinymce/examples/lists/link_list.js,
  .../vendor/tinymce/examples/lists/media_list.js,
  .../vendor/tinymce/examples/lists/template_list.js,
  mod/tinymce/vendor/tinymce/examples/media/logo.jpg,
  .../vendor/tinymce/examples/media/logo_over.jpg,
  .../vendor/tinymce/examples/media/sample.avi,
  .../vendor/tinymce/examples/media/sample.dcr,
  .../vendor/tinymce/examples/media/sample.flv,
  .../vendor/tinymce/examples/media/sample.mov,
  .../vendor/tinymce/examples/media/sample.ram,
  .../vendor/tinymce/examples/media/sample.rm,
  .../vendor/tinymce/examples/media/sample.swf,
  mod/tinymce/vendor/tinymce/examples/menu.html,
  mod/tinymce/vendor/tinymce/examples/simple.html,
  mod/tinymce/vendor/tinymce/examples/skins.html,
  .../vendor/tinymce/examples/templates/layout1.htm,
  .../vendor/tinymce/examples/templates/snippet1.htm,
  mod/tinymce/vendor/tinymce/examples/word.html,
  .../vendor/tinymce/jscripts/tiny_mce/langs/en.js,
  .../tiny_mce/plugins/advhr/langs/en_dlg.js,
  .../jscripts/tiny_mce/plugins/advhr/rule.htm,
  .../jscripts/tiny_mce/plugins/advimage/image.htm,
  .../jscripts/tiny_mce/plugins/advimage/js/image.js,
  .../tiny_mce/plugins/advimage/langs/en_dlg.js,
  .../tiny_mce/plugins/advlink/js/advlink.js,
  .../tiny_mce/plugins/advlink/langs/en_dlg.js,
  .../jscripts/tiny_mce/plugins/advlink/link.htm,
  .../tiny_mce/plugins/advlist/editor_plugin.js,
  .../tiny_mce/plugins/advlist/editor_plugin_src.js,
  .../tiny_mce/plugins/autolink/editor_plugin.js,
  .../tiny_mce/plugins/autolink/editor_plugin_src.js,
  .../tiny_mce/plugins/autoresize/editor_plugin.js,
  .../plugins/autoresize/editor_plugin_src.js,
  .../tiny_mce/plugins/autosave/editor_plugin.js,
  .../tiny_mce/plugins/autosave/editor_plugin_src.js,
  .../tiny_mce/plugins/bbcode/editor_plugin.js,
  .../tiny_mce/plugins/bbcode/editor_plugin_src.js,
  .../tiny_mce/plugins/contextmenu/editor_plugin.js,
  .../plugins/contextmenu/editor_plugin_src.js,
  .../tiny_mce/plugins/emotions/emotions.htm,
  .../tiny_mce/plugins/fullpage/css/fullpage.css,
  .../tiny_mce/plugins/fullpage/editor_plugin.js,
  .../tiny_mce/plugins/fullpage/editor_plugin_src.js,
  .../tiny_mce/plugins/fullpage/fullpage.htm,
  .../tiny_mce/plugins/fullpage/js/fullpage.js,
  .../tiny_mce/plugins/fullscreen/editor_plugin.js,
  .../plugins/fullscreen/editor_plugin_src.js,
  .../tiny_mce/plugins/inlinepopups/editor_plugin.js,
  .../plugins/inlinepopups/editor_plugin_src.js,
  .../inlinepopups/skins/clearlooks2/window.css,
  .../tiny_mce/plugins/layer/editor_plugin.js,
  .../tiny_mce/plugins/layer/editor_plugin_src.js,
  .../tiny_mce/plugins/legacyoutput/editor_plugin.js,
  .../plugins/legacyoutput/editor_plugin_src.js,
  .../tiny_mce/plugins/lists/editor_plugin.js,
  .../tiny_mce/plugins/lists/editor_plugin_src.js,
  .../tiny_mce/plugins/media/css/content.css,
  .../jscripts/tiny_mce/plugins/media/css/media.css,
  .../tiny_mce/plugins/media/editor_plugin.js,
  .../tiny_mce/plugins/media/editor_plugin_src.js,
  .../jscripts/tiny_mce/plugins/media/img/flash.gif,
  .../tiny_mce/plugins/media/img/flv_player.swf,
  .../tiny_mce/plugins/media/img/quicktime.gif,
  .../tiny_mce/plugins/media/img/realmedia.gif,
  .../tiny_mce/plugins/media/img/shockwave.gif,
  .../jscripts/tiny_mce/plugins/media/img/trans.gif,
  .../tiny_mce/plugins/media/img/windowsmedia.gif,
  .../jscripts/tiny_mce/plugins/media/js/media.js,
  .../tiny_mce/plugins/media/langs/en_dlg.js,
  .../jscripts/tiny_mce/plugins/media/media.htm,
  .../tiny_mce/plugins/media/moxieplayer.swf,
  .../tiny_mce/plugins/nonbreaking/editor_plugin.js,
  .../plugins/nonbreaking/editor_plugin_src.js,
  .../tiny_mce/plugins/noneditable/editor_plugin.js,
  .../plugins/noneditable/editor_plugin_src.js,
  .../tiny_mce/plugins/pagebreak/css/content.css,
  .../tiny_mce/plugins/pagebreak/editor_plugin.js,
  .../plugins/pagebreak/editor_plugin_src.js,
  .../tiny_mce/plugins/pagebreak/img/pagebreak.gif,
  .../tiny_mce/plugins/pagebreak/img/trans.gif,
  .../tiny_mce/plugins/paste/editor_plugin.js,
  .../tiny_mce/plugins/paste/editor_plugin_src.js,
  .../plugins/searchreplace/editor_plugin.js,
  .../plugins/searchreplace/editor_plugin_src.js,
  .../plugins/searchreplace/js/searchreplace.js,
  .../plugins/searchreplace/searchreplace.htm,
  .../tiny_mce/plugins/spellchecker/editor_plugin.js,
  .../plugins/spellchecker/editor_plugin_src.js,
  .../jscripts/tiny_mce/plugins/style/js/props.js,
  .../tiny_mce/plugins/style/langs/en_dlg.js,
  .../jscripts/tiny_mce/plugins/style/props.htm,
  .../tiny_mce/plugins/tabfocus/editor_plugin.js,
  .../tiny_mce/plugins/tabfocus/editor_plugin_src.js,
  .../jscripts/tiny_mce/plugins/table/cell.htm,
  .../tiny_mce/plugins/table/editor_plugin.js,
  .../tiny_mce/plugins/table/editor_plugin_src.js,
  .../jscripts/tiny_mce/plugins/table/js/cell.js,
  .../jscripts/tiny_mce/plugins/table/js/row.js,
  .../jscripts/tiny_mce/plugins/table/js/table.js,
  .../tiny_mce/plugins/table/langs/en_dlg.js,
  .../tiny_mce/plugins/table/merge_cells.htm,
  .../jscripts/tiny_mce/plugins/table/row.htm,
  .../jscripts/tiny_mce/plugins/table/table.htm,
  .../tiny_mce/plugins/template/js/template.js,
  .../tiny_mce/plugins/visualchars/editor_plugin.js,
  .../plugins/visualchars/editor_plugin_src.js,
  .../tiny_mce/plugins/wordcount/editor_plugin.js,
  .../plugins/wordcount/editor_plugin_src.js,
  .../jscripts/tiny_mce/plugins/xhtmlxtras/abbr.htm,
  .../tiny_mce/plugins/xhtmlxtras/acronym.htm,
  .../tiny_mce/plugins/xhtmlxtras/attributes.htm,
  .../jscripts/tiny_mce/plugins/xhtmlxtras/cite.htm,
  .../jscripts/tiny_mce/plugins/xhtmlxtras/del.htm,
  .../tiny_mce/plugins/xhtmlxtras/editor_plugin.js,
  .../plugins/xhtmlxtras/editor_plugin_src.js,
  .../jscripts/tiny_mce/plugins/xhtmlxtras/ins.htm,
  .../tiny_mce/plugins/xhtmlxtras/js/attributes.js,
  .../jscripts/tiny_mce/plugins/xhtmlxtras/js/del.js,
  .../plugins/xhtmlxtras/js/element_common.js,
  .../jscripts/tiny_mce/plugins/xhtmlxtras/js/ins.js,
  .../jscripts/tiny_mce/themes/advanced/about.htm,
  .../jscripts/tiny_mce/themes/advanced/anchor.htm,
  .../jscripts/tiny_mce/themes/advanced/charmap.htm,
  .../tiny_mce/themes/advanced/color_picker.htm,
  .../tiny_mce/themes/advanced/editor_template.js,
  .../themes/advanced/editor_template_src.js,
  .../jscripts/tiny_mce/themes/advanced/image.htm,
  .../tiny_mce/themes/advanced/img/flash.gif,
  .../tiny_mce/themes/advanced/img/iframe.gif,
  .../tiny_mce/themes/advanced/img/pagebreak.gif,
  .../tiny_mce/themes/advanced/img/quicktime.gif,
  .../tiny_mce/themes/advanced/img/realmedia.gif,
  .../tiny_mce/themes/advanced/img/shockwave.gif,
  .../tiny_mce/themes/advanced/img/trans.gif,
  .../tiny_mce/themes/advanced/img/video.gif,
  .../tiny_mce/themes/advanced/img/windowsmedia.gif,
  .../jscripts/tiny_mce/themes/advanced/js/about.js,
  .../jscripts/tiny_mce/themes/advanced/js/anchor.js,
  .../tiny_mce/themes/advanced/js/charmap.js,
  .../tiny_mce/themes/advanced/js/color_picker.js,
  .../jscripts/tiny_mce/themes/advanced/js/image.js,
  .../jscripts/tiny_mce/themes/advanced/js/link.js,
  .../tiny_mce/themes/advanced/js/source_editor.js,
  .../jscripts/tiny_mce/themes/advanced/langs/en.js,
  .../tiny_mce/themes/advanced/langs/en_dlg.js,
  .../jscripts/tiny_mce/themes/advanced/link.htm,
  .../tiny_mce/themes/advanced/shortcuts.htm,
  .../themes/advanced/skins/default/content.css,
  .../tiny_mce/themes/advanced/skins/default/ui.css,
  .../themes/advanced/skins/highcontrast/content.css,
  .../themes/advanced/skins/highcontrast/dialog.css,
  .../themes/advanced/skins/highcontrast/ui.css,
  .../themes/advanced/skins/o2k7/content.css,
  .../tiny_mce/themes/advanced/skins/o2k7/dialog.css,
  .../tiny_mce/themes/advanced/skins/o2k7/ui.css,
  .../themes/advanced/skins/o2k7/ui_black.css,
  .../themes/advanced/skins/o2k7/ui_silver.css,
  .../tiny_mce/themes/advanced/source_editor.htm,
  .../tiny_mce/themes/simple/editor_template.js,
  .../tiny_mce/themes/simple/editor_template_src.js,
  .../vendor/tinymce/jscripts/tiny_mce/tiny_mce.js,
  .../tinymce/jscripts/tiny_mce/tiny_mce_popup.js,
  .../tinymce/jscripts/tiny_mce/tiny_mce_src.js,
  .../tinymce/jscripts/tiny_mce/utils/form_utils.js,
  .../tinymce/jscripts/tiny_mce/utils/mctabs.js,
  .../tinymce/jscripts/tiny_mce/utils/validate.js: Refs #3510, #9113. Updated
  tinyMCE version in trunk.  

  	* engine/classes/ElggEntity.php: Refs #3510, #3433. Ported r9062 to trunk.
  Fix for comment hook returning 0 comments.  

  	* CHANGES.txt: Refs #3510: Merged r8938 to trunk. Removed exec props.  

  	* README.txt: Merged README.txt version removal to trunk.  

2011-06-03  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* install/ElggInstaller.php: Fixes #3520 fix check for subdirectory in
  installer  

  	* mod/embed/README.txt, mod/embed/start.php,
  mod/embed/views/default/embed/css.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/item/list.php,
  mod/embed/views/default/embed/js.php,
  .../default/tinymce/embed_custom_insert_js.php: Refs #3360 #2911 applying
  ashleyward's patch for embed plugin - thanks!  

  	* vendors/jquery/jquery.form.js: Refs #3360 updating the jquery form plugin 

  	* mod/blog/actions/blog/delete.php, mod/blog/lib/blog.php,
  mod/blog/start.php, mod/blog/views/default/blog/group_module.php,
  mod/bookmarks/actions/bookmarks/delete.php,
  mod/bookmarks/pages/bookmarks/view.php, mod/bookmarks/start.php,
  .../views/default/bookmarks/group_module.php,
  mod/file/actions/file/delete.php, mod/file/actions/file/upload.php,
  mod/file/pages/file/search.php, mod/file/pages/file/upload.php,
  mod/file/pages/file/view.php, mod/file/start.php,
  mod/file/views/default/file/group_module.php,
  mod/messageboard/pages/messageboard/owner.php, mod/messageboard/start.php,
  .../views/default/widgets/messageboard/content.php,
  mod/pages/actions/pages/delete.php, mod/pages/pages/pages/history.php,
  mod/pages/pages/pages/revision.php, mod/pages/pages/pages/view.php,
  mod/pages/start.php, mod/pages/views/default/pages/group_module.php: Fixes
  #3138 using 'all' for group listing urls  

  	* mod/likes/actions/likes/add.php, mod/likes/actions/likes/delete.php,
  mod/likes/views/default/likes/display.php: Fixes #3497 users can unlike other
  users content  

2011-06-02  Russell McLoughlin <mcloughlin3@llnl.gov>

  	* mod/file/actions/file/upload.php: fixed embarrassing spelling mistake.

2011-06-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/likes/start.php: Fixes #3499 using consistent menu name for likes
  plugin  

2011-06-01  Russell McLoughlin <mcloughlin3@llnl.gov>

  	* mod/file/actions/file/upload.php, mod/file/download.php: Modified upload
  script to guarentee that the directory under elgg data is created or exists.
  Removed strange chunking code with builtin php function

  	* mod/file/actions/file/upload.php: Modified upload code so that it uses
  php's built in file copy function rather than reading the entire uploaded
  file into memory from the temporary upload directory and then saving it to
  elgg's data dir.

2011-06-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/deprecated-1.8.php: Fixes #3455 added documentation back to
  deprecated functions  

2011-05-24  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPluginPackage.php, languages/en.php,
  views/default/css/admin.php, views/default/object/plugin/advanced.php: Fixes
  #3467. Fixed bugs in priority deps. Can now disable active plugins with unmet
  dependencies.  

2011-05-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php: Refs #3236 added some margin to the bottom of
  the admin footer  

  	* engine/lib/users.php, mod/dashboard/manifest.xml, mod/dashboard/start.php,
  mod/dashboard/views/default/dashboard/blurb.php, pages/dashboard.php,
  views/default/core/dashboard/blurb.php, views/default/css/elements/misc.php:
  Refs #3340 pulls dashboard out as plugin  

  	* views/default/annotation/generic_comment.php,
  views/default/page/elements/comments_block.php: Fixes #3457 showing a snippet
  of a comment in sidebar instead of entire comment  

  	* views/default/input/access.php, views/default/input/tags.php,
  views/default/output/tags.php: Fixes #3189 adds entity support to tags and
  access views  

  	* languages/en.php, mod/blog/manifest.xml, mod/bookmarks/manifest.xml,
  mod/categories/manifest.xml, mod/diagnostics/manifest.xml,
  mod/embed/manifest.xml, mod/file/manifest.xml,
  mod/garbagecollector/manifest.xml, mod/groups/manifest.xml,
  mod/htmlawed/manifest.xml, mod/invitefriends/manifest.xml,
  mod/logrotate/manifest.xml, mod/messageboard/manifest.xml,
  mod/pages/manifest.xml, mod/tagcloud/manifest.xml, mod/tinymce/manifest.xml,
  mod/twitter/manifest.xml, mod/uservalidationbyemail/manifest.xml,
  mod/zaudio/manifest.xml: Refs #2104 changed extension to enhancement and
  added security, widget, and theme categories  

  	* engine/lib/river.php: Fixes #3300 adds a created,river event  

2011-05-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/river.php: 'creating', 'river' is the plugin hook for
  preventing or catching a river addition before it happens  

  	* engine/lib/output.php: Fixes #3454 not stripping empty attributes  

  	* engine/lib/admin.php, views/default/object/plugin/advanced.php: Fixes
  #3163 plugin/<plugin id>/settings.php is now the preferred way to add
  settings plugins  

  	* engine/classes/ElggPlugin.php, engine/lib/elgglib.php, languages/en.php:
  Fixes #3462 empty classes directory is no longer treated as an error  

2011-05-18  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js, views/default/output/confirmlink.php,
  views/default/page/elements/header.php: Fixes #3385 rel now used for the
  confirm text so that title can be used separately  

  	* engine/lib/pagehandler.php: Fixes #3132 added 'route', $handler plugin
  hook  

  	* views/default/forms/register.php: Fixes #3419 removed code about admin
  option from registration form  

  	* mod/groups/start.php: Fixes #3464 group discussion replies work on
  activity page  

2011-05-15  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* install/languages/en.php: Fixes #3453 added link to wiki about the data
  directory  

  	* install/css/install.css,
  views/installation/install/pages/requirements.php: fixed display issue in
  installation where navigation was overlapping requirements  

  	* install/ElggInstaller.php: fixed issue introduced with the session changes
  in the installer  

  	* install/ElggInstaller.php: do not need to initialize globals in installer
  because they are now declared that way in Elgg core libs  

  	* install/ElggInstaller.php: fixed regenerating cache when installing Elgg -
  wasn't picking up the plugins before  

  	* views/installation/page/elements/footer.php: helpful links in installer
  open up in new page now  

  	* install/ElggInstaller.php: Refs #3453 added $CONFIG->data_dir_override so
  that people can put the data directory in Elgg's root if they want to. Will
  add instructions to the wiki on using this and protecting the directory  

  	* install/ElggInstaller.php, install/ElggRewriteTester.php,
  install/css/install.css, install/js/install.js, install/languages/en.php,
  views/installation/forms/install/template.php,
  views/installation/input/checkbox.php,
  views/installation/input/checkboxes.php, views/installation/input/combo.php,
  views/installation/input/form.php, views/installation/input/hidden.php,
  views/installation/input/text.php: Refs #3453 an implementation of creating
  the data directory. This capability is turned off due to security concerns.  

2011-05-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/installation/input/access.php, views/installation/input/button.php,
  views/installation/input/checkboxes.php,
  views/installation/input/dropdown.php, views/installation/input/form.php,
  views/installation/input/hidden.php, views/installation/input/longtext.php,
  views/installation/input/password.php, views/installation/input/reset.php,
  views/installation/input/securitytoken.php,
  views/installation/input/submit.php, views/installation/input/text.php: clean
  up installation input views  

  	* install/css/install.css: fixed the width of text boxes for the installer  

  	* actions/logout.php: on logout send the user to the main page  

  	* install/ElggInstaller.php: Fixes #3446 password is not required anymore
  for installer  

  	* install/js/install.js, views/installation/forms/install/template.php,
  views/installation/page/default.php: fixed the double form submission code
  for the installer  

  	* engine/lib/users.php, views/default/user/default.php: Fixes #3456
  user/default now works much like the object/<subtype> views regarding the
  menu  

  	* engine/lib/extender.php: not using deprecated get_annotation/get_metadata
  functions in can_edit_extender()  

  	* views/default/navigation/topbar_tools.php,
  views/default/page/elements/topbar.php: only display deprecation message if
  someone extends/overrides the deprecated tools view  

  	* mod/developers/languages/en.php: defined
  elgg_dev_tools:settings:explanation  

  	* views/default/input/dropdown.php: fixes a php warning if no options are
  passed to input/dropdown view  

  	* engine/lib/users.php: removed a deprecated function use in users lib  

  	* .../views/default/theme_preview/forms.php,
  views/default/input/userpicker.php: fixed passing wrong parameters to
  input/userpicker (which is not currently functional)  

  	* mod/externalpages/start.php, mod/thewire/start.php, mod/twitter/start.php:
  removed deprecated functions from these 3 plugins  

  	* engine/lib/actions.php: improved documentation of elgg_register_action()  

  	* mod/pages/start.php: fixed page revisions url override  

  	* engine/lib/extender.php: improved documentation of
  elgg_register_extender_url_handler()  

  	* views/default/forms/admin/menu/save.php: fixed php warning when no custom
  menu items  

  	* languages/en.php: fixed typo in the admin welcome widget  

  	* views/default/admin/plugins/advanced.php: sorting plugin categories before
  display  

  	* languages/en.php, mod/groups/manifest.xml, mod/likes/manifest.xml,
  mod/oauth_api/manifest.xml, mod/twitter_api/manifest.xml,
  mod/zaudio/manifest.xml: Refs #2104 more category work for bundled plugins  

  	* engine/lib/database.php: made database query logging explicitly set to
  NOTICE level  

2011-05-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/lib/blog.php: Fixes #3439 forcing months to have leading zero  

2011-05-11  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* version.php: Version bump 

2011-05-09  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/userpicker.js: Pulled in Jeff's patch to fix the user picker.  

  	* engine/classes/ElggPluginPackage.php: Fixes 3426. Not using a horrible
  variable name and fixing the bug created by it.  

2011-05-06  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/deprecated-1.8.php: Fixed wrapper for annotation calculations. 

2011-04-29  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* languages/en.php, views/default/css/admin.php,
  views/default/widgets/admin_welcome/content.php: Made admin welcome widget a
  bit more semantic 

  	* upgrade.php: comment typo 

  	* engine/.htaccess: Bah, can't do that 

  	* engine/.htaccess: Deny all HTTP access to the engine directory 

2011-04-28  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/twitter/views/default/twitter/css.php: hacking the 1.7 css for current
  twitter widget so it looks decent for screenshots  

  	* mod/embed/start.php: Refs #3358 fixed another instance where link_class
  should be used now due to changes in menu code  

2011-04-28  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/security.js, js/lib/ui.js: Fixes #3408. During token refresh, only
  touching hrefs that contain __elgg_ts and __elgg_token to avoid changing
  selector-only hrefs since fragment-only hrefs are normalized by the browser.
  Not sure how this didn't show up until now.  

2011-04-28  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* languages/en.php, views/default/widgets/admin_welcome/content.php: Trying
  to increase probability that people will read the welcome widget by making
  the text shorter  

  	* languages/en.php, views/default/css/admin.php,
  views/default/forms/profile/fields/reset.php: Refs #3236 updated the button
  css so that disable plugin button looks like a button  

  	* mod/messages/manifest.xml: activate messages plugin on install  

  	* views/default/css/admin.php, .../object/plugin/elements/dependencies.php:
  Refs #3236 removed elgg-states-* from admin css since it was overaggressive  

  	* views/default/css/admin.php: Refs #3236 cleaned up the widget css in admin
  area  

2011-04-28  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/tinymce/start.php: Refs #3358. Missed Tinymce's use of class for its
  menu.  

  	* views/default/css/admin.php: Fixes #3326. Added CSS for inputs in admin
  area. No more tiny text fields!  

  	* mod/messageboard/views/default/messageboard/js.php: Fixed a problem with
  the ajax for deleting message board posts.  

  	* engine/lib/actions.php: Removed unneeded else.  

  	* engine/lib/actions.php: Fixes #3127. Normalizing the json returned by the
  ajax action handler. Doing this in PHP.  

2011-04-27  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php: Added very basic CSS for elgg-markdown in
  admin area.  

  	* engine/lib/admin.php: Fixed possible WSOD for plugin text file page
  handler.  

  	* mod/search/README.txt: Fixed typo in search's readme.  

  	* vendors/markdown/UPSTREAM_WARNING, vendors/markdown/markdown.php: Updated
  markdown to add support for === instead of just ### for headers. Added
  upstream warning.  

  	* mod/search/README.txt: Updated search's readme to markdown.  

  	* mod/logrotate/languages/en.php, mod/logrotate/start.php,
  .../views/default/settings/logrotate/edit.php: Fixes #3253. Merged in
  Shashank's patch.  

  	* engine/lib/plugins.php: Removed stray test code.  

  	* engine/lib/plugins.php, views/default/admin/plugins/advanced.php: Refs
  #3362. Removed use of $show_bad in elgg_get_plugins().  

  	* actions/admin/plugins/activate.php,
  actions/admin/plugins/activate_all.php, actions/admin/plugins/deactivate.php,
  actions/admin/plugins/deactivate_all.php,
  actions/admin/plugins/set_priority.php,
  actions/admin/plugins/simple_update_states.php,
  actions/plugins/settings/save.php, actions/plugins/usersettings/save.php,
  engine/classes/ElggPlugin.php, engine/classes/ElggPluginPackage.php,
  engine/lib/admin.php, engine/lib/deprecated-1.8.php, engine/lib/plugins.php,
  install/ElggInstaller.php, views/default/admin/plugin_settings.php,
  views/default/admin/plugins/advanced.php,
  views/default/core/settings/tools.php,
  .../forms/admin/plugins/simple_update_states.php,
  views/default/object/plugin/advanced.php,
  .../object/plugin/elements/dependencies.php,
  views/default/object/plugin/simple.php: Refs #3362. Plugins don't check deps
  upon boot. Made package and manifest private properties of ElggPlugin and
  added ->getPackage() and ->getManifest().  

2011-04-26  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/icons.php: Fixes #3380: .elgg-icon-user states
  are now consistent with other elgg-icons 

  	* views/default/css/elements/core.php,
  views/default/css/elements/navigation.php: Fixes #3388: .elgg-icon is now
  middle-aligned by default 

  	* views/default/page/components/gallery.php: Fixes #3290: Fluid gallery w/o
  tables -- working great for fixed-width content 

  	* views/default/css/elements/typography.php: Fixes #3389: Sandbox base
  styles for dl, dt, dd 

  	* engine/lib/input.php, views/default/input/autocomplete.php: Fixes #2922:
  pg/livesearch now works with "term" parameter 

  	* engine/lib/elgglib.php: Fixes some coding standard issues in elgglib.php 

2011-04-25  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messages/readme.txt: Removed inaccurate readme.txt file.  

  	* engine/classes/ElggPlugin.php, engine/classes/ElggPluginPackage.php,
  engine/lib/admin.php, engine/lib/plugins.php, languages/en.php,
  vendors/markdown/License.text, vendors/markdown/PHP Markdown Extra
  Readme.text, vendors/markdown/markdown.php,
  views/default/object/plugin/advanced.php,
  views/default/object/plugin/simple.php: Fixes #2899, #2870. Added README.txt,
  CHANGES.txt, COPYRIGHT.txt, LICENSE.txt, and INSTALL.txt as markdown files
  for plugins. Added page handler to parse and serve them. Added links in
  plugin admin. Refs #3236. Problems with displaying parsed markdown because of
  missing parts of the admin theme's CSS.  

  	* engine/classes/ElggPlugin.php: Renamed ElggPlugin->canIncludeFile() to
  ->canReadFile() and am using is_readable() instead of file_exists().  

2011-04-24  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/forms.php: Fixes #2196. Pulled in Francisco's
  patch for datepicker CSS.  

2011-04-23  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/page/theme_preview.php,
  .../views/default/theme_preview/buttons.php,
  .../views/default/theme_preview/components.php,
  .../theme_preview/components/image_block.php,
  .../default/theme_preview/components/list.php,
  .../default/theme_preview/components/messages.php,
  .../default/theme_preview/components/table.php,
  .../views/default/theme_preview/forms.php,
  .../views/default/theme_preview/general.php,
  .../views/default/theme_preview/grid.php,
  .../views/default/theme_preview/icons.php,
  .../views/default/theme_preview/icons/avatars.php,
  .../views/default/theme_preview/icons/loader.php,
  .../views/default/theme_preview/icons/sprites.php,
  .../views/default/theme_preview/modules.php,
  .../default/theme_preview/modules/modules.php,
  .../default/theme_preview/modules/widgets.php,
  .../views/default/theme_preview/navigation.php,
  .../theme_preview/navigation/breadcrumbs.php,
  .../default/theme_preview/navigation/default.php,
  .../default/theme_preview/navigation/extras.php,
  .../default/theme_preview/navigation/filter.php,
  .../theme_preview/navigation/horizontal.php,
  .../theme_preview/navigation/owner_block.php,
  .../default/theme_preview/navigation/page.php,
  .../theme_preview/navigation/pagination.php,
  .../default/theme_preview/navigation/site.php,
  .../default/theme_preview/navigation/tabs.php,
  .../views/default/theme_preview/objects.php,
  .../views/default/theme_preview/typography.php,
  .../default/theme_preview/typography/headings.php,
  .../default/theme_preview/typography/misc.php,
  .../default/theme_preview/typography/paragraph.php,
  .../views/default/theme_preview/widgets.php: Fixes #3042: Theme preview navs
  now match css/elements/*.  Also did a major cleanup of the presentation. 

2011-04-22  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../views/default/forms/developers/settings.php: Fixes #3374: echo
  developers settings explanation 

  	* views/default/navigation/menu/elements/item.php: Fixes #3282: Added a
  class to menu items which includes menu item name (just like ul contains a
  class with the menu name) 

2011-04-22  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/views.php: Fixed rewriting for internalid and internalname to
  not cause false deprecation notices if passed among views.  

  	* views/default/forms/profile/fields/add.php: Fixed deprecated call to
  input/pulldown.  

  	* engine/lib/elgglib.php: Added 3rd param to elgg_deprecated_notice() to
  control how much of the stack to show.  

  	* engine/lib/statistics.php: Fixes some deprecated notices in admin online
  user widget.  

  	* engine/lib/views.php: Fixed erroneous notices about full_view when passing
  $vars directly to another view within a view.  

2011-04-21  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/annotations.php, engine/lib/metastrings.php: Refs #3195.
  Selectively joining certain tables for performance with annotation
  calculations.  

  	* engine/lib/annotations.php, engine/lib/metastrings.php: Reverting the
  annotation changes because they're not ready yet.  

  	* engine/lib/annotations.php, engine/lib/elgglib.php,
  engine/lib/metastrings.php, engine/tests/api/metastrings.php: Fixed a problem
  with the annotation batch operation test.  

  	* engine/tests/api/plugins.php,
  engine/tests/test_files/plugin_18/manifest.xml: Fixes #3310. Removed old
  on_activate unit tests.  

2011-04-20  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/bookmarks/views/default/object/bookmarks.php: Fixes #3369: Bookmarks
  now have rel=nofollow 

2011-04-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/groups/actions/groups/featured.php, mod/groups/languages/en.php,
  mod/groups/start.php: Fixes #3364: Added action tokens and fixed guids for
  featuring/unfeaturing groups. Cleaned up language for result messages.  

2011-04-18  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggMenuItem.php, engine/lib/navigation.php,
  views/default/page/layouts/content/header.php: Fixes #3358. Renamed menu's
  class to link_class and documented possible problems with passing <a> tags in
  the text option.  

  	* engine/lib/database.php, engine/lib/entities.php,
  engine/lib/metastrings.php, engine/lib/river.php: Fixes #2046. Applied Franz'
  patch for sanitize_int().  

  	* engine/lib/cache.php: Fixes #3365. Pulled in blacktooth's patch.  

2011-04-16  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPlugin.php, engine/classes/ElggPluginManifest.php,
  engine/classes/ElggPluginManifestParser18.php, languages/en.php,
  mod/blog/manifest.xml, mod/blog/start.php, mod/categories/manifest.xml,
  mod/categories/start.php: Fixes #3310. Applied lie2815's patch to use
  activate.php and deactivate.php instead of manifest on_de/activate fields in
  plugins.  

2011-04-14  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/deprecated-1.8.php: Fixed problem with
  list_entities_from_metadata() wrapper.  

  	* engine/lib/annotations.php, engine/lib/deprecated-1.8.php,
  engine/lib/metastrings.php: Refs #3195. Changed the way annotation
  calculations are performed. Seems to be working better, but will want to test
  more before closing.  

  	* engine/classes/ElggMenuItem.php: Refs #3023. Exposed item_class option in
  the menu item factory. Should we change 'class' to 'link_class' to avoid
  confusion?  

2011-04-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/elgglib.php, engine/tests/api/helpers.php: fixed filtering of
  external files array and suppressed warning in external files unit test  

2011-04-14  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/core.php: Fixes #2972: Following elements have
  default clearfix:  elgg-inner elgg-page-header elgg-page-footer elgg-foot
  elgg-head elgg-col elgg-image-block 

  	* views/default/page/admin.php, views/default/page/default.php,
  views/default/page/elements/foot.php, views/default/page/walled_garden.php:
  Fixes #3329: Added page/elements/foot and refactored page shells to use it 

2011-04-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/actions.php: Fixes #3268 forwarding to referrer (fixed by
  ashwanthkumar)  

  	* engine/lib/metastrings.php: handles empty array in get_metastring_id()
  (hellekin)  

  	* engine/lib/sessions.php: preventing warnings with the user password
  authorization pam (hellekin)  

  	* engine/classes/ElggEntity.php: fixes warnings in ElggEntity::getMetadata()
  (hellekin)  

  	* engine/classes/ElggEntity.php: making sure ElggEntity::getAnnotations()
  returns an array, check if temporary annotation exists before returning, and
  added a warning about annotating unsaved entities  

  	* engine/tests/services/api.php: suppressing warnings in web services unit
  tests (hellekin)  

  	* engine/classes/ElggPAM.php: checking that PAM handlers have been
  registered for the policy being tested (hellekin)  

  	* engine/classes/ElggUser.php: Checking that get_user_by_username() returned
  something in ElggUser constructor to prevent notice (hellekin)  

2011-04-13  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/handlers/cache_handler.php, engine/lib/cache.php,
  engine/lib/elgglib.php: Fixes #3331. Changed cache schema to allow for JS/CSS
  views with slashes and dots.  

  	* engine/lib/elgglib.php: Consolidated the css and js pagehandlers with
  elgg_cachable_view_pagehandler() and fixed for URLs with multiple dots after
  the last / (like /js/calendars/fullcalendar.min.123456789.js)  

2011-04-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/entities.php: Fixes #3347 fixes comment typo for ege  

2011-04-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/js/initialize_elgg.php: Fixing JS problems when simple cache
  is disabled.  

2011-04-11  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/output.php: Fixes #3327 fixed typo  

  	* views/default/css/elgg.php: Fixes #3333 removed include of chrome css  

  	* views/default/css/admin.php: Fixes #3325 added cursor: pointer to system
  messages in admin area  

  	* mod/file/start.php: Fixes #3322 file link removed from owner_block if
  disabled for a group  

2011-04-10  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/profile/start.php, views/default/page/elements/head.php: Fixed #3313:
  Removed the superfluous html_head/extend view from core.  Anyone following
  trunk should extend page/elements/head instead 

  	* js/lib/languages.js: Fixes #3182: No attempt to go through simplecache at
  all, but any language can be exported to js now without any extra effort on
  the part of language pack authors 

  	* js/lib/elgglib.js, js/lib/languages.js, views/default/js/elgg.php,
  views/default/js/initialize_elgg.php: Refs #3182: Feeding language loading
  through /ajax/view to keep thing simpler for now.  Reorganized boot process
  so that we can ajax load the languages asap 

  	* views/default/css/elements/buttons.php,
  views/default/css/elements/components.php,
  views/default/css/elements/core.php, views/default/css/elements/grid.php,
  views/default/css/elements/helpers.php, views/default/css/elements/icons.php,
  views/default/css/elements/layout.php,
  views/default/css/elements/navigation.php, views/default/css/elgg.php: Refs
  #3281: css/elements/core.php for the cross-browser/hacky/non-trivial things
  that themes should rarely, if ever, override. 

2011-04-09  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* ....8_svn-admins_like_widgets-7f19d2783c1680d3.php: Reopens #3224 not as
  clever as I thought - user experiences error before seeing reminder  

  	* mod/bookmarks/languages/en.php, mod/bookmarks/start.php: registered
  bookmarks widget  

  	* views/default/css/admin.php: fixed delete icon in admin css  

  	* actions/widgets/upgrade.php,
  ...svn-update_default_widgets-7daf5a459720d06d.php, engine/lib/widgets.php,
  languages/en.php, views/default/admin/appearance/default_widgets.php: Fixes
  #3193 moves default widgets upgrade to an action  

  	* engine/lib/upgrades/2011010101.php,
  ....8_svn-admins_like_widgets-7f19d2783c1680d3.php: Fixes #3224 Fixes #3241
  stopping upgrade after plugin upgrade and restarting  

2011-04-09  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/tests/api/entity_getter_functions.php: Fixes #2600. Applied
  Hellekin's patch. Props to him for understanding what was going on because
  whoa.  

  	* mod/twitter_api/lib/twitter_api.php: Removing odd ? after docblock in
  twitter_api.  

2011-04-09  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/upgrade.php: Refs #3241 sorting upgrades so that upgrades from
  old upgrade system are ordered in datalist array  

  	* ..._svn-goodbye_walled_garden-083121a656d06894.php: Refs #3241 deleting
  old config value in registration upgrade  

  	* engine/lib/upgrade.php, engine/lib/upgrades/2010050701.php,
  ..._svn-goodbye_walled_garden-083121a656d06894.php: Refs #3241 cleaned up
  upgrade sequence so that we don't need special catch for that one upgrade
  created during 1.7 development. It doesn't hurt running it twice so sites
  currently using svn trunk will not be negatively affected.  

  	* engine/lib/upgrades/2010123101.php, engine/lib/upgrades/2011010401.php:
  Refs #3241 moved the default site access check upgrade script to before the
  plugin upgrade so plugin upgrade is last upgrade in old upgrade system. The
  site access script can be run multiple times without causing problems.  

  	* engine/lib/deprecated-1.8.php, engine/lib/upgrade.php,
  engine/lib/version.php, engine/start.php, install/ElggInstaller.php: Refs
  #3241 upgrade.php is a much better name for the upgrade library  

  	* engine/lib/upgrades/2008100701.php, engine/lib/upgrades/2009022701.php,
  engine/lib/upgrades/2009041701.php, engine/lib/upgrades/2009070101.php,
  engine/lib/upgrades/2009102801.php, engine/lib/upgrades/2010033101.php,
  engine/lib/upgrades/2010040201.php, engine/lib/upgrades/2010061501.php: Refs
  #3241 cleaned up comments on upgrades and removed the turning off of time
  limit in individual upgrades since this is now handled by the upgrade
  function  

  	* ...11031400-1.8_svn-oauth_api-8f33ee79c3e66222.php: Refs #3241 we never
  distributed an oauth_lib plugin so we don't need an upgrade (those following
  svn trunk have already upgraded or can manually update this)  

  	* engine/lib/upgrades/2010100500.php: Refs #3241 we never distributed a
  plugin called oauth and Justin Richer has so let's not disable his plugin  

  	* ....8_svn-admins_like_widgets-7f19d2783c1680d3.php: added a comment to
  explain why the call to elgg_add_admin_widgets() in the upgrade script has
  parameters like it does  

2011-04-09  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/chrome.php,
  views/default/css/elements/components.php,
  views/default/css/elements/helpers.php,
  views/default/css/elements/typography.php, views/default/css/elgg.php: Refs
  #3286: Removed css/elements/chrome.php, putting all the style rules into
  sensible locations 

2011-04-08  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/elements/sidebar_alt.php,
  views/default/page/layouts/two_sidebar.php: Fixes #3319 alternate sidebar
  should work now  

  	* _graphics/admin_sprites.png, views/default/css/admin.php: Refs #3108
  forgot the user hover menu for the admin area  

  	* engine/lib/upgrades/2010121401.php: Fixes #3320 no longer require the
  upgrade to disable the members plugin  

2011-04-07  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/metastrings.php: Fixes #3232 removed unnecessary distinct plus
  variable in select for metastrings calculation  

2011-04-07  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Refs #3278. No more likes in login popup handler.  

2011-04-07  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* _graphics/admin_sprites.png, .../admin/appearance/profile_fields/list.php,
  views/default/css/admin.php: Fixes #3108 added admin sprites (enough for beta
  release)  

2011-04-07  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Fixes #3278 Login popup aligned to right side of button.  

2011-04-07  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* _graphics/SPRITES_LICENSE.TXT, _graphics/elgg_sprites.png,
  mod/messages/views/default/messages/css.php,
  mod/search/views/default/search/css.php,
  views/default/css/elements/icons.php: Refs #3108 added more sprites and a
  license file - no visible changes  

2011-04-06  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* _graphics/elgg_sprites.png, engine/lib/views.php, mod/bookmarks/start.php,
  mod/bookmarks/views/default/object/bookmarks.php, mod/messages/start.php,
  views/default/css/elements/helpers.php, views/default/css/elements/icons.php,
  views/default/river/relationship/friend/create.php: Refs #3108 frontend
  should be done and ready for review - admin area is next  

  	* engine/lib/deprecated-1.7.php, engine/lib/objects.php,
  engine/lib/users.php: moved two more deprecated functions out of the main
  libs  

2011-04-05  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php, views/default/css/elements/buttons.php: Fixes
  #3289 added inline-block to buttons  

  	* mod/groups/languages/en.php, mod/groups/start.php,
  .../river/object/groupforumtopic/create.php,
  views/default/css/elements/components.php,
  views/default/river/elements/footer.php: Fixes #3275 forms in a river item
  are not forced to be hidden  

2011-04-04  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* _graphics/favicon.ico, mod/reportedcontent/graphics/icon_reportthis.gif:
  Refs #3307 removed executable prop from core files  

  	* engine/lib/navigation.php, languages/en.php, mod/likes/start.php,
  views/default/css/elements/navigation.php,
  views/default/river/elements/body.php,
  views/default/river/elements/controls.php, views/default/river/item.php: Refs
  #3073 first version of horizontal river menu. css still needs work for likes
  and the comment text bubble needs to be darkened  

  	* mod/externalpages/start.php, mod/reportedcontent/start.php,
  views/default/css/elements/navigation.php: Fixes #3305 switched default and
  alt sections for footer menu  

  	* _graphics/elgg_sprites.png, engine/lib/users.php,
  .../admin/appearance/profile_fields/list.php,
  views/default/css/elements/chrome.php, views/default/css/elements/icons.php,
  views/default/css/elements/modules.php,
  views/default/css/elements/navigation.php,
  views/default/object/widget/elements/controls.php: Refs #3108 fixed widgets
  for main site (not admin) and tweaked topbar  

2011-04-03  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/file/pages/file/world.php: removed unnecessary context setting  

  	* .../views/default/groups/group_sort_menu.php: Fixes #3105 group sort menu
  uses filter menu  

  	* engine/lib/navigation.php, languages/en.php: better title attributes for
  entity menu edit/delete links  

  	* views/default/output/confirmlink.php: output/confirmlink now supports
  title attribute  

  	* views/default/output/access.php: cleaned up css for output/access  

  	* mod/blog/start.php: Refs #3184 added span so that blog post status would
  be vertically aligned  

  	* _graphics/elgg_sprites.png, engine/lib/users.php,
  views/default/css/elements/icons.php,
  views/default/css/elements/navigation.php: Refs #3108 partial implementation
  of new sprites (widgets, hover menu, search are all broken)  

  	* mod/likes/languages/en.php, mod/likes/views/default/likes/display.php:
  cleans up likes display which was causing issues in entity menu - less markup
   

  	* views/default/css/elements/navigation.php: Refs #3184 needed to set height
  for the icons  

  	* views/default/css/elements/navigation.php: Fixes #3184 fixed alignment
  issues for entity menu  

  	* views/default/css/elements/navigation.php: added spaces to standardize the
  css statements  

2011-04-02  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/search/pages/search/index.php,
  mod/search/views/default/search/search_box.php: Refs #3179 pulled fix for
  search query encoding into trunk from 1.7 branch  

  	* engine/lib/elgglib.php: Refs #3149 reimplemented fix for calling a handler
  more than once in trunk  

  	* .../views/default/uservalidationbyemail/js.php: Refs #3001 made comment
  change in trunk from 1.7 fix  

  	* mod/search/search_hooks.php: Refs #2994 added group search fix from 1.7
  branch to trunk  

  	* engine/classes/ElggRelationship.php: Refs #2988 corrected typo in trunk  

  	* mod/invitefriends/start.php: Refs #2968 invite friends link should not be
  available for non-logged in users  

  	* engine/lib/extender.php: Refs #2878 fixes detect_extender_valuetype() in
  trunk  

  	* documentation/examples/crontab.example: updated crontab example
  documentation  

  	* engine/lib/entities.php: Refs #3277 merged fix for recursive delete and
  disabled entities into trunk  

  	* mod/groups/start.php, mod/groups/views/default/groups/side_menu.php: Fixes
  #3104 updated groups plugin to use new menu system for sidebar  

  	* mod/groups/lib/groups.php,
  mod/groups/views/default/groups/profile/layout.php: moved group profile
  layout out of page handler so that plugins can override it  

  	* engine/classes/ElggEntity.php, engine/lib/entities.php,
  mod/blog/actions/blog/save.php: Fixes #3208 setting time_created on update  

  	* actions/admin/plugins/activate.php: Refs #3229 at least we can forward so
  that user sees error message immediately  

  	* actions/register.php, views/default/forms/register.php: Refs #3233
  registration form should be sticky too  

  	* actions/useradd.php, views/default/forms/useradd.php: Fixes #3233 useradd
  form is now sticky  

  	* engine/classes/ElggPluginManifest.php: Fixes #3244 fixed variable name in
  ElggPluginManifest  

  	* .../views/default/theme_preview/widgets.php: fixed typo in theme preview -
  widgets  

2011-04-01  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/hooks.js: Returning false in JS hooks is now sent through to the
  calling trigger. Null still returns the original value.  

  	* js/lib/elgglib.js, js/lib/ui.js: Refs #3098. Changed elgg.getUrlFragment
  to elgg.getSelectorFromUrlFragment to allow for better selectors.  

2011-04-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/users.php, languages/en.php, mod/members/languages/en.php,
  mod/members/manifest.xml, mod/members/pages/members/index.php,
  mod/members/pages/members/search.php, mod/members/start.php,
  mod/members/views/default/members/nav.php,
  mod/members/views/default/members/sidebar.php, pages/members/index.php,
  pages/members/search.php, views/default/core/members/nav.php,
  views/default/core/members/sidebar.php: Fixes #3231 welcome back, members
  plugin  

  	* engine/classes/ElggMenuItem.php: Refs #3287 setting null for menu href
  means you want an empty <a></a> tag with no href  

  	* engine/classes/ElggMenuItem.php, engine/lib/navigation.php: Fixes #3287
  added documentation on non-link menu items  

  	* engine/lib/metastrings.php: Refs #3245 pulling in
  https://github.com/Elgg/Elgg/pull/11 and thanks also to gprasanth  

  	* views/default/user/default.php: fixed hardcoded string in user/default
  view  

  	* mod/thewire/views/default/object/thewire.php: Refs #3200 any time a wire
  post is displayed, we may need the 'previous' javascript  

  	* mod/thewire/languages/en.php: added notification messages to the wire  

  	* mod/bookmarks/start.php: Fixes #3044 removed bookmark link from user hover
  menu  

  	* engine/lib/users.php, views/default/forms/user/passwordreset.php: Fixes
  #3207 passing code variable to form for password reset  

2011-03-31  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* htaccess_dist: Refs #2940 added php settings comments into trunk  

2011-03-30  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/actions.php: Fixed ajax status for elgg.action().  

2011-03-30  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/thewire/js/thewire.js, mod/thewire/languages/en.php,
  mod/thewire/start.php, mod/thewire/views/default/js/thewire.php,
  mod/thewire/views/default/object/thewire.php,
  mod/thewire/views/default/thewire/css.php,
  mod/thewire/views/default/thewire/previous.php: Fixes #3200 ajax-based view
  previous link works for the wire  

  	* mod/thewire/pages/thewire/previous.php: Refs #3200 pulling in
  e1d75071737b2ed35cf9 from anirupdutta's pull request  

2011-03-29  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/elgglib.php, js/lib/ajax.js: Fixed auto-display of system
  errors in ajax actions. Fixed docs for system_messages(). Blech...that needs
  cleaned up.  

2011-03-29  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/user_settings.php, mod/notifications/groups.php,
  mod/notifications/index.php, .../forms/notificationsettings/groupsave.php,
  .../notifications/subscriptions/forminternals.php: Fixes #3266 let the
  settings pages have breadcrumbs  

  	* views/default/page/layouts/content.php,
  views/default/page/layouts/one_sidebar.php: one_sidebar layout wants
  breadcrumbs, too!  

  	* views/default/css/elements/chrome.php: fixed some typos in css chrome  

2011-03-29  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Fixes #3234: Adding explicit collision param for popups.  

2011-03-29  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/groups/languages/en.php, mod/groups/lib/groups.php,
  mod/groups/start.php, mod/groups/views/default/groups/sidebar/find.php: Fixes
  #3243 pulled in anirupdutta's patch with some modifications (moved tag search
  to its own page handler function)  

2011-03-28  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/search/views/default/search/css.php: made search box span sidebar in
  default theme  

2011-03-28  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/start.php: Fixing css/elgg instead of css/screen.  

2011-03-27  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/database.php, languages/en.php: Fixes #2591 removing newlines
  in queries - thanks to Tachyon  

  	* engine/lib/views.php: Refs #3085 updated elgg_view_annotation() to use
  $vars array  

  	* engine/lib/views.php: Refs #3085 added $vars array to
  elgg_view_river_item()  

  	* engine/lib/users.php, engine/lib/views.php,
  mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  .../default/file/specialcontent/image/default.php,
  mod/file/views/default/object/file.php, mod/groups/lib/groups.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php,
  .../views/default/annotation/messageboard.php,
  mod/messages/views/default/object/messages.php,
  mod/pages/pages/pages/revision.php,
  mod/pages/views/default/object/page_top.php,
  mod/thewire/views/default/object/thewire.php,
  views/default/annotation/generic_comment.php,
  views/default/object/plugin.php, views/default/page/components/gallery.php,
  views/default/page/components/list.php, views/json/entities/entity_list.php:
  Fixes #3086 using full_view instead of full  

  	* engine/lib/views.php: Refs #3086 adds backward compatibility code in
  elgg_view() for full_view vs full  

  	* mod/blog/views/default/blog/sidebar.php: Fixes #2969 turned off group blog
  archives  

2011-03-26  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/admin.php, engine/lib/configuration.php,
  mod/diagnostics/start.php, mod/profile/start.php: Fixes #3250
  elgg_get_root_path() to be consistent  

  	* actions/plugins/settings/save.php, actions/plugins/usersettings/save.php,
  engine/lib/actions.php: Fixes #3249 fixed name of actions exists function  

  	* mod/messages/languages/en.php,
  .../views/default/forms/messages/process.php,
  mod/messages/views/default/messages/css.php: forcing a min-height on inbox
  list in messages plugin  

  	* views/default/css/admin.php, views/default/css/elements/layout.php: Fixes
  #3084 added clearfix to elgg-layout  

  	* views/default/css/elements/chrome.php: Fixes #3183 limiting size of user
  inserted images in content  

  	* mod/externalpages/languages/en.php, mod/externalpages/start.php,
  .../views/default/admin/appearance/expages.php,
  .../views/default/admin/site/expages.php,
  mod/externalpages/views/default/expages/menu.php: Fixes #3106 putting
  external pages under appearance - no better place  

  	* engine/classes/ElggMenuBuilder.php, engine/lib/navigation.php,
  engine/lib/views.php: Fixes #3026 documentation for menu system  

  	* engine/lib/admin.php: Fixes #2233 added documentation on admin menus and
  pages  

  	* engine/lib/deprecated-1.8.php: Refs #3248 deprecates remove_submenu_item()
   

  	* engine/classes/ElggAnnotation.php, engine/classes/ElggMetadata.php,
  engine/lib/annotations.php: Refs #3238 #3246 anootations needed the same
  fixes as metadata  

  	* engine/lib/metadata.php: Refs #3238 fix for updating name of metadata for
  trunk  

  	* engine/classes/ElggMetadata.php: Fixes #3246 fixed ElggMetadata()
  constructor  

  	* engine/lib/pageowner.php: fixed notice in get_context() when no context is
  set  

  	* engine/lib/output.php, engine/lib/users.php, engine/lib/views.php,
  engine/lib/widgets.php: some light standardization of the core libraries  

2011-03-26  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Fixes #3234, refs #3094. Added the inTarget code back to the
  popup closing function.  

2011-03-26  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/thewire/actions/add.php, mod/thewire/actions/delete.php,
  mod/thewire/classes/ElggWire.php, mod/thewire/languages/en.php,
  mod/thewire/pages/thewire/everyone.php,
  mod/thewire/pages/thewire/friends.php, mod/thewire/pages/thewire/owner.php,
  mod/thewire/pages/thewire/reply.php, mod/thewire/pages/thewire/thread.php,
  mod/thewire/start.php, mod/thewire/tests/regex.php,
  mod/thewire/views/default/object/thewire.php,
  .../views/default/thewire/profile_status.php,
  mod/thewire/views/rss/object/thewire.php: standardized thewire plugin  

  	* engine/lib/annotations.php, engine/lib/metadata.php,
  engine/tests/api/annotations.php, engine/tests/api/metadata.php,
  engine/tests/objects/metadata.php: Closes #3202 'count' already supported,
  added unit tests  

  	* mod/bookmarks/lib/bookmarks.php,
  .../views/default/forms/bookmarks/save.php, mod/file/lib/file.php,
  mod/groups/lib/discussion.php, mod/pages/lib/pages.php: Fixes #3239 entities
  aren't blown away in form prepare functions any more  

  	* mod/pages/languages/en.php: fixed language strings in pages plugin  

  	* mod/file/actions/file/upload.php: don't allow a user to remove a title on
  a file, must replace with another title  

  	* engine/lib/input.php, mod/blog/lib/blog.php: Refs #3239 added a new sticky
  forms function to grab all variables and integrated into blog plugin  

2011-03-25  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php, views/default/css/elements/reset.php: Refs
  #2979 forces vertical scrollbar without breaking widget dragging  

  	* engine/lib/navigation.php: Refs #3119 if only one item left, move it off
  more menu (but only when nothing selected)  

  	* actions/admin/menu/save.php, views/default/forms/admin/menu/save.php:
  Fixes #3206 using space so that echo('none') is not passed as value  

  	* views/default/css/admin.php: Refs #3236 removed some unused css from admin
  theme and did some reorganizing  

2011-03-24  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/file/languages/en.php: added missing language string for comments on
  file in river  

  	* engine/lib/views.php: Fixes #3166 registering css/elgg for simplecache  

2011-03-23  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* version.php: Refs #3193 rollback version number  

  	* upgrade.php: display_errors is on for upgrades  

  	* ...svn-update_default_widgets-7daf5a459720d06d.php, version.php: Fixes
  #3193 converts the default widgets for 1.8 - leaves behind the default
  widgets object  

  	* engine/lib/admin.php, views/default/css/admin.php: Refs #3165 floating
  admin widgets in same direction as profile widgets  

  	* ....8_svn-admins_like_widgets-7f19d2783c1680d3.php, version.php: Fixes
  #3165 admins get widgets on upgrade - new upgrade creation process super
  smooth #thanksBrett  

  	* engine/lib/admin.php, engine/lib/users.php, install/ElggInstaller.php:
  Refs #3165 new admin users all get admin widgets  

  	* engine/classes/ElggFile.php: Fixes #3160 just needed a small variation off
  of [8762] to handle getting filestore before metadata is set but after the
  guid is set  

  	* engine/classes/ElggFile.php: Fixes #3205 reverting [8762]  

  	* engine/lib/elgglib.php: Fixes #3180 adds ajax page handler  

  	* mod/bookmarks/start.php, mod/thewire/start.php: added an owner block link
  for the wire plugin  

  	* languages/en.php, mod/blog/languages/en.php, mod/blog/lib/blog.php,
  mod/bookmarks/pages/bookmarks/all.php, mod/bookmarks/start.php,
  mod/file/pages/file/owner.php, mod/groups/languages/en.php,
  mod/pages/languages/en.php, views/default/page/layouts/content/header.php:
  Fixes #3218 group content pages now use container method to determine who can
  add content  

2011-03-22  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/pages/views/default/forms/pages/edit.php: fixed position of longtext
  menu when editing pages  

  	* mod/bookmarks/languages/en.php: better names for a bookmark - got rid of
  'bookmark item'  

  	* mod/bookmarks/views/default/bookmarks/sidebar.php,
  mod/file/views/default/file/sidebar.php,
  mod/pages/views/default/pages/sidebar.php,
  mod/thewire/pages/thewire/everyone.php, mod/thewire/pages/thewire/owner.php,
  mod/thewire/views/default/thewire/sidebar.php: Fixes #2091 completes sidebar
  tagcloud for major content plugins  

  	* engine/lib/tags.php, mod/blog/views/default/blog/sidebar.php,
  mod/blog/views/default/blog/sidebar/tagcloud.php,
  views/default/output/tagcloud.php,
  views/default/page/elements/tagcloud_block.php: Refs #2091 added a tagcloud
  block that accepts subtype  

  	* views/default/page/elements/comments_block.php: Fixes #2090 context
  sensitive sidebar box is added - groups off  

  	* mod/bookmarks/views/default/bookmarks/js.php,
  mod/groups/views/default/groups/js.php,
  mod/messageboard/views/default/messageboard/js.php,
  mod/messages/views/default/messages/js.php,
  .../views/default/uservalidationbyemail/js.php: Refs #3016 making the final
  elgg.js more readable  

  	* .../views/default/uservalidationbyemail/js.php: another example of an
  extra ; in js due to lazy copy/paste jobs  

  	* mod/file/pages/file/owner.php, mod/file/pages/file/world.php,
  mod/file/views/default/file/sidebar.php, mod/pages/pages/pages/owner.php,
  mod/pages/pages/pages/world.php, mod/pages/views/default/pages/sidebar.php,
  views/default/page/elements/comments_block.php: Refs #2090 added sidebar
  comment block to file and pages plugins  

  	* mod/file/start.php, mod/pages/start.php: Refs #3176 missed group owner
  page in script renaming  

2011-03-21  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/views.php, vendors/jquery/fancybox/blank.gif,
  vendors/jquery/fancybox/fancy_close.png,
  vendors/jquery/fancybox/fancy_loading.png,
  vendors/jquery/fancybox/fancy_nav_left.png,
  vendors/jquery/fancybox/fancy_nav_right.png,
  vendors/jquery/fancybox/fancy_shadow_e.png,
  vendors/jquery/fancybox/fancy_shadow_n.png,
  vendors/jquery/fancybox/fancy_shadow_ne.png,
  vendors/jquery/fancybox/fancy_shadow_nw.png,
  vendors/jquery/fancybox/fancy_shadow_s.png,
  vendors/jquery/fancybox/fancy_shadow_se.png,
  vendors/jquery/fancybox/fancy_shadow_sw.png,
  vendors/jquery/fancybox/fancy_shadow_w.png,
  vendors/jquery/fancybox/fancy_title_left.png,
  vendors/jquery/fancybox/fancy_title_main.png,
  vendors/jquery/fancybox/fancy_title_over.png,
  vendors/jquery/fancybox/fancy_title_right.png,
  vendors/jquery/fancybox/fancybox-x.png,
  vendors/jquery/fancybox/fancybox-y.png, vendors/jquery/fancybox/fancybox.png,
  vendors/jquery/fancybox/jquery.easing-1.3.pack.js,
  vendors/jquery/fancybox/jquery.fancybox-1.3.4.css,
  vendors/jquery/fancybox/jquery.fancybox-1.3.4.js,
  .../jquery/fancybox/jquery.fancybox-1.3.4.pack.js,
  .../fancybox/jquery.mousewheel-3.0.4.pack.js, views/default/js/lightbox.php:
  Refs #2882 basic lightbox  

2011-03-21  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/sessions.php: No need to document NULL as possible return value
  here 

  	* engine/classes/ElggEntity.php: oof -- how did that happen? 

  	* engine/classes/ElggEntity.php: Added documentation of magic properties to
  ElggEntity 

2011-03-21  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/logbrowser/views/default/logbrowser/table.php: using - in log browser
  css class names  

  	* mod/bookmarks/languages/en.php: added missing language string  

  	* mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/owner.php,
  mod/bookmarks/views/default/bookmarks/sidebar.php: Refs #2090 added latest
  comments to bookmarks sidebar  

  	* engine/lib/views.php, languages/en.php,
  mod/blog/views/default/blog/sidebar.php,
  views/default/page/elements/comments.php,
  views/default/page/elements/comments_block.php: Refs #2090 removed
  elgg_view_latest_comments() and replaced it with a page elements view  

  	* mod/groups/lib/groups.php,
  mod/groups/views/default/groups/profile/fields.php,
  .../views/default/groups/profile/profile_block.php,
  .../views/default/groups/profile/summary.php: Fixes #3113 pulled group
  profile fields out of top profile area  

  	* views/default/admin/appearance/profile_fields.php: Fixes #3099 corrected
  view name  

  	* mod/logbrowser/views/default/logbrowser/form.php: Fixes #3082 fixed
  toggler in log browser  

  	* views/default/navigation/menu/user_hover.php: Fixes #3203 not calling the
  view menu section code once per item  

  	* views/default/page/layouts/widgets.php: Fixes #3168 not displaying a
  widget when handler is not available  

2011-03-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggObject.php, mod/blog/lib/blog.php,
  mod/groups/actions/discussion/reply/save.php,
  mod/groups/actions/discussion/save.php, mod/groups/languages/en.php,
  mod/groups/lib/discussion.php, mod/groups/start.php,
  .../river/object/groupforumtopic/create.php: Fixes #2974 using
  canWriteToContainer() to control access to creating group content  

  	* install/ElggInstaller.php: Fixes #3101 removed language setting from
  installer until we provide language files besides English  

  	* .../forms/admin/plugins/simple_update_states.php: Fixes #3102 removed
  plugin reset button  

  	* views/default/forms/admin/site/update_advanced.php: Fixes #3100 removed
  viewtype from advanced settings  

  	* install/ElggInstaller.php, install/languages/en.php: Fixes #3062 checks if
  data directory exists  

2011-03-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Fixes #3094. Removed event blocking code for popups.  

  	* ..._svn-widgets_arent_plugins-61836261fa280a5c.php, version.php: Fixes
  #3161. Added upgrade to update object, widget to ElggWidget.  

2011-03-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/river.php, mod/twitter/start.php: Refs #3171 Using correct
  widget registration method  

2011-03-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/version.php: Fixes #3188. We no longer store the version as the
  key, so a standard sort will do.  

2011-03-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/river.php, pages/river.php, views/rss/core/river/body.php,
  views/rss/river/item.php, views/rss/river/item/list.php: Fixes #3197 fixed
  the RSS feed for activity (river)  

  	* views/rss/layout/objects/image_block.php,
  views/rss/layout/objects/list.php, views/rss/layout/shells/default.php,
  views/rss/page/components/image_block.php,
  views/rss/page/components/list.php, views/rss/page/layouts/default.php: Refs
  #3197 fixed layout views for RSS viewtype  

  	* engine/lib/entities.php, engine/lib/group.php, engine/lib/sites.php,
  engine/lib/users.php, engine/lib/views.php,
  views/default/page/elements/sidebar.php: Fixes #3114 added the rss link back
  to pages  

  	* engine/lib/admin.php: Refs #2892 added elgg_get_admins() function - this
  could eventually be a wrapper around elgg_get_users()  

  	* mod/thewire/start.php: Fixes #3025 added back thewire's entity menu items 

  	* engine/lib/elgglib.php: Fixes #3198 handling exceptions thrown in
  exception handler by pointing to the error log  

2011-03-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggEntity.php: Fixes #3192, refs #650.
  ElggEntity->getMetaData() sets the limit to 0 for array-based metadata.  

  	* engine/lib/deprecated-1.8.php: Fixes #3190. Added elgg_count_comments() to
  deprecated-1.8.php.  

  	* upgrade.php: Fixes #3064. Can't use the pretty new views to display the
  can't upgrade messages. Using the failsafe view type.  

2011-03-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* ...031300-1.8_svn-twitter_api-12b832a5a7a3e1bd.php: Refs #3188 removed
  empty call for guid  

  	* languages/en.php: Fixes #3162  

2011-03-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/widgets/friends/content.php,
  views/default/widgets/new_users/content.php,
  views/default/widgets/online_users/content.php: added documentation headers
  to the core widgets  

  	* engine/lib/river.php, languages/en.php,
  views/default/widgets/river_widget/content.php,
  views/default/widgets/river_widget/edit.php: Fixes #3171 added river widget
  using same name as 1.7 riverdashboard plugin  

  	* actions/friends/add.php: Fixes #3167 friending now shows up in river  

  	* mod/twitter/manifest.xml: added "widget" to this plugin's name to
  descrease confusion with the api plugin  

  	* languages/en.php, mod/profile/views/default/profile/owner_block.php: Fixes
  #3173 quote was missing from conversion to new toggler pattern  

  	* mod/file/pages/file/index.php, mod/file/pages/file/owner.php,
  mod/file/start.php, mod/pages/pages/pages/index.php,
  mod/pages/pages/pages/owner.php, mod/pages/start.php,
  mod/thewire/pages/thewire/owner.php, mod/thewire/pages/thewire/user.php,
  mod/thewire/start.php: Fixes #3176 replaced usage of index.php where
  appropriate  

  	* mod/pages/edit.php, mod/pages/friends.php, mod/pages/history.php,
  mod/pages/index.php, mod/pages/new.php, mod/pages/pages/pages/edit.php,
  mod/pages/pages/pages/friends.php, mod/pages/pages/pages/history.php,
  mod/pages/pages/pages/index.php, mod/pages/pages/pages/new.php,
  mod/pages/pages/pages/revision.php, mod/pages/pages/pages/view.php,
  mod/pages/pages/pages/world.php, mod/pages/revision.php, mod/pages/start.php,
  mod/pages/view.php, mod/pages/world.php, mod/search/index.php,
  mod/search/pages/search/index.php, mod/search/start.php: Fixes #3158 updated
  search and pages plugins for page handler scripts  

  	* mod/messages/inbox.php, mod/messages/pages/messages/inbox.php,
  mod/messages/pages/messages/read.php, mod/messages/pages/messages/send.php,
  mod/messages/pages/messages/sent.php, mod/messages/read.php,
  mod/messages/send.php, mod/messages/sent.php, mod/messages/start.php: Refs
  #3158 update messages plugin  

  	* mod/messageboard/pages/messageboard/owner.php,
  mod/messageboard/pages/owner.php, mod/messageboard/start.php: Refs #3158
  Fixes #3170 namespaces messageboard plugin page scripts  

  	* mod/file/edit.php, mod/file/friends.php, mod/file/index.php,
  mod/file/pages/file/edit.php, mod/file/pages/file/friends.php,
  mod/file/pages/file/index.php, mod/file/pages/file/search.php,
  mod/file/pages/file/upload.php, mod/file/pages/file/view.php,
  mod/file/pages/file/world.php, mod/file/search.php, mod/file/start.php,
  mod/file/upload.php, mod/file/view.php,
  mod/file/views/default/file/typecloud.php, mod/file/world.php: Refs #3158
  namespace file plugin's page scripts  

2011-03-19  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/forms/register.php: using shorthand for document ready
  callback 

2011-03-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messages/start.php: Fixes #3164. Denormalized unread message counting
  query because it was making things so slow I couldn't test.  

  	* engine/classes/ElggFile.php: Fixes #3160. ElggFile->getFilehandler() is
  less horrible.  

  	* engine/lib/metastrings.php: Fixing pluralization of singular options for
  elgg_get_metadata() and elgg_get_annotations().  

2011-03-18  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/bookmarks/pages/add.php, mod/bookmarks/pages/all.php,
  mod/bookmarks/pages/bookmarklet.php, mod/bookmarks/pages/bookmarks/add.php,
  mod/bookmarks/pages/bookmarks/all.php,
  mod/bookmarks/pages/bookmarks/bookmarklet.php,
  mod/bookmarks/pages/bookmarks/edit.php,
  mod/bookmarks/pages/bookmarks/friends.php,
  mod/bookmarks/pages/bookmarks/owner.php,
  mod/bookmarks/pages/bookmarks/view.php, mod/bookmarks/pages/edit.php,
  mod/bookmarks/pages/friends.php, mod/bookmarks/pages/owner.php,
  mod/bookmarks/pages/view.php, mod/bookmarks/start.php,
  mod/thewire/pages/everyone.php, mod/thewire/pages/friends.php,
  mod/thewire/pages/previous.php, mod/thewire/pages/reply.php,
  mod/thewire/pages/tag.php, mod/thewire/pages/thewire/everyone.php,
  mod/thewire/pages/thewire/friends.php,
  mod/thewire/pages/thewire/previous.php, mod/thewire/pages/thewire/reply.php,
  mod/thewire/pages/thewire/tag.php, mod/thewire/pages/thewire/thread.php,
  mod/thewire/pages/thewire/user.php, mod/thewire/pages/thread.php,
  mod/thewire/pages/user.php, mod/thewire/start.php: Refs #3158 namespaced
  pages for bookmarks and thewire  

2011-03-17  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../notifications/subscriptions/forminternals.php: Using shorthand
  document ready initialization 

  	* mod/embed/views/default/embed/embed.php: Switching click handler to "live"

2011-03-17  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* languages/en.php: fixed typo in welcome widget text  

  	* engine/lib/system_log.php: Refs #3154 adding system log cache bug fix to
  trunk  

  	* engine/lib/system_log.php: Fixes #3098 catching exceptions when loading an
  object in system log  

2011-03-17  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Fixes #3094, Refs #3111. Clicking outside a popup closes the
  visible popups.  

  	* views/default/css/admin.php: elgg-head is no longer the direct child of
  elgg-state-draggable. Restoring dragger icon for plugins.  

  	* mod/blog/languages/en.php: Added missing language string.  

  	* install/ElggInstaller.php: Changed order of the default admin widgets.  

  	* engine/lib/cache.php, engine/lib/configuration.php,
  ...-1.8_svn-datalist_grows_up-0b8aec5a55cc1e1c.php, engine/schema/mysql.sql,
  version.php: Fixes #3123. Datalists and config names can now be up to 255
  chars long. Debug mode is disabled when caching views to avoid saving bad
  stuff.  

  	* mod/likes/start.php: Fixes #3153. Fixed incorrect options.  

  	* views/default/forms/comments/add.php,
  views/default/river/elements/body.php: Fixes #3130. Fixed river/item/footer
  -> river/elements/footer for comments.  

  	* mod/twitter_api/lib/twitter_api.php: Fixes #2416. Twitter API pulls in
  avatars from twitter for new users.  

  	* ...031300-1.8_svn-twitter_api-12b832a5a7a3e1bd.php,
  ...11031400-1.8_svn-oauth_api-8f33ee79c3e66222.php, languages/en.php,
  mod/oauth_api/manifest.xml, mod/twitter_api/manifest.xml: Fixes #3141.
  Disabling twitter_api and oauth_api upon upgrade because we can't check
  previous states. Adding an admin notice. twitter_api conflicts with
  twitterservice and oauth_api conflicts with oauth_lib.  

  	* views/default/object/admin_notice.php: Refs #2242: Better placement for
  the delete button for admin notices.  

  	* engine/lib/plugins.php: Fixed a typo that broke ignore access. That was
  fun to track down >:O  

  	* views/default/object/admin_notice.php: Refs #2242. Removed incorrect
  option passed to url view.  

  	* actions/admin/delete_admin_notice.php, engine/lib/admin.php,
  languages/en.php, views/default/css/admin.php, views/default/js/admin.php,
  views/default/object/admin_notice.php, views/default/page/admin.php: Fixes
  #2242. Can now delete admin notices manually.  

2011-03-16  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/start.php: Fixes #3066 moves setting of lastcache value up in boot
  sequence  

  	* engine/classes/ElggMenuBuilder.php: Fixes #3145 adds a default for menu
  sort_by  

  	* index.php: Fixes #3144 not using undefined $options variable  

2011-03-16  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* ...031300-1.8_svn-twitter_api-12b832a5a7a3e1bd.php,
  ...11031400-1.8_svn-oauth_api-8f33ee79c3e66222.php: Fixes #3141. Fixed
  twitter_api and oauth_api upgrades. Only worked on localhost because of code
  gnomes.  

2011-03-15  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* ...11031400-1.8_svn-oauth_api-8f33ee79c3e66222.php: Fixes #3129. Fixed
  faulty logic that broke upgrades.  

2011-03-15  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/entities.php: Refs #2814 can now check if an entity exists
  indepedent of access permissions  

2011-03-15  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ajax.js, js/lib/configuration.js, js/lib/security.js,
  languages/en.php, views/default/js/elgg.php: Refs #2538. Loading
  js/configuration.js again. Only updating tokens on success and showing a
  basic warning if refresh fails.  

  	* js/lib/languages.js: JS elgg.echo() returns the key if the string isn't
  found. This is consistent with the PHP version.  

  	* js/classes/ElggPriorityList.js, js/lib/elgglib.js, js/lib/hooks.js,
  js/lib/languages.js, js/lib/prototypes.js, js/lib/security.js,
  js/lib/session.js, js/lib/ui.js, js/lib/userpicker.js: Refs #2538: Added
  documentation to most of the JS methods missing it.  

  	* mod/oauth_api/manifest.xml, mod/oauth_api/start.php,
  mod/oauth_api/vendors/oauth/LICENSE,
  mod/oauth_api/vendors/oauth/example/server/INSTALL,
  .../vendors/oauth/example/server/core/init.php,
  .../example/server/core/templates/inc/footer.tpl,
  .../example/server/core/templates/inc/header.tpl,
  .../oauth/example/server/core/templates/index.tpl,
  .../oauth/example/server/core/templates/logon.tpl,
  .../example/server/core/templates/register.tpl,
  .../vendors/oauth/example/server/www/hello.php,
  .../vendors/oauth/example/server/www/index.php,
  .../vendors/oauth/example/server/www/logon.php,
  .../vendors/oauth/example/server/www/oauth.php,
  .../vendors/oauth/example/server/www/register.php,
  .../oauth/example/server/www/services.xrds.php,
  .../vendors/oauth/library/OAuthDiscovery.php,
  .../vendors/oauth/library/OAuthException.php,
  .../vendors/oauth/library/OAuthRequest.php,
  .../vendors/oauth/library/OAuthRequestLogger.php,
  .../vendors/oauth/library/OAuthRequestSigner.php,
  .../vendors/oauth/library/OAuthRequestVerifier.php,
  .../vendors/oauth/library/OAuthRequester.php,
  .../vendors/oauth/library/OAuthServer.php,
  mod/oauth_api/vendors/oauth/library/OAuthStore.php,
  .../library/body/OAuthBodyContentDisposition.php,
  .../library/body/OAuthBodyMultipartFormdata.php,
  .../vendors/oauth/library/discovery/xrds_parse.php,
  .../vendors/oauth/library/discovery/xrds_parse.txt,
  .../OAuthSignatureMethod.class.php, .../OAuthSignatureMethod_HMAC_SHA1.php,
  .../signature_method/OAuthSignatureMethod_MD5.php,
  .../OAuthSignatureMethod_PLAINTEXT.php,
  .../OAuthSignatureMethod_RSA_SHA1.php,
  .../library/store/OAuthStoreAbstract.class.php,
  .../oauth/library/store/OAuthStoreAnyMeta.php,
  .../oauth/library/store/OAuthStoreMySQL.php,
  .../vendors/oauth/library/store/mysql/install.php,
  .../vendors/oauth/library/store/mysql/mysql.sql,
  .../oauth/test/discovery/xrds-fireeagle.xrds,
  .../oauth/test/discovery/xrds-getsatisfaction.xrds,
  .../oauth/test/discovery/xrds-magnolia.xrds,
  mod/oauth_api/vendors/oauth/test/oauth_test.php, mod/oauth_lib/manifest.xml,
  mod/oauth_lib/start.php, mod/oauth_lib/vendors/oauth/LICENSE,
  mod/oauth_lib/vendors/oauth/example/server/INSTALL,
  .../vendors/oauth/example/server/core/init.php,
  .../example/server/core/templates/inc/footer.tpl,
  .../example/server/core/templates/inc/header.tpl,
  .../oauth/example/server/core/templates/index.tpl,
  .../oauth/example/server/core/templates/logon.tpl,
  .../example/server/core/templates/register.tpl,
  .../vendors/oauth/example/server/www/hello.php,
  .../vendors/oauth/example/server/www/index.php,
  .../vendors/oauth/example/server/www/logon.php,
  .../vendors/oauth/example/server/www/oauth.php,
  .../vendors/oauth/example/server/www/register.php,
  .../oauth/example/server/www/services.xrds.php,
  .../vendors/oauth/library/OAuthDiscovery.php,
  .../vendors/oauth/library/OAuthException.php,
  .../vendors/oauth/library/OAuthRequest.php,
  .../vendors/oauth/library/OAuthRequestLogger.php,
  .../vendors/oauth/library/OAuthRequestSigner.php,
  .../vendors/oauth/library/OAuthRequestVerifier.php,
  .../vendors/oauth/library/OAuthRequester.php,
  .../vendors/oauth/library/OAuthServer.php,
  mod/oauth_lib/vendors/oauth/library/OAuthStore.php,
  .../library/body/OAuthBodyContentDisposition.php,
  .../library/body/OAuthBodyMultipartFormdata.php,
  .../vendors/oauth/library/discovery/xrds_parse.php,
  .../vendors/oauth/library/discovery/xrds_parse.txt,
  .../OAuthSignatureMethod.class.php, .../OAuthSignatureMethod_HMAC_SHA1.php,
  .../signature_method/OAuthSignatureMethod_MD5.php,
  .../OAuthSignatureMethod_PLAINTEXT.php,
  .../OAuthSignatureMethod_RSA_SHA1.php,
  .../library/store/OAuthStoreAbstract.class.php,
  .../oauth/library/store/OAuthStoreAnyMeta.php,
  .../oauth/library/store/OAuthStoreMySQL.php,
  .../vendors/oauth/library/store/mysql/install.php,
  .../vendors/oauth/library/store/mysql/mysql.sql,
  .../oauth/test/discovery/xrds-fireeagle.xrds,
  .../oauth/test/discovery/xrds-getsatisfaction.xrds,
  .../oauth/test/discovery/xrds-magnolia.xrds,
  mod/oauth_lib/vendors/oauth/test/oauth_test.php,
  mod/twitter_api/manifest.xml: Refs #3115. Moved oauth_lib to oauth_api.  

  	* engine/lib/version.php: Refs #1433. Restored db_upgrade() call during
  upgrades to fix issues for people upgrading from earlier versions of 1.7 than
  2010062401. This is why we should follow deprecation policies, Brett........ 

2011-03-15  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/actions/developers/settings.php,
  mod/developers/languages/en.php, mod/developers/manifest.xml,
  mod/developers/start.php, .../views/default/admin/developers/settings.php,
  .../views/default/forms/developers/settings.php: Fixes #3009 a bare bones
  developer tools settings  

2011-03-14  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/embed/js/embed.js, mod/embed/start.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/js.php,
  mod/embed/views/default/embed/lightbox_init.php,
  mod/embed/views/default/embed/upload/content.php,
  mod/file/views/default/file/embed_upload.php, mod/groups/start.php,
  mod/groups/views/default/groups/js.php,
  .../views/default/groups/profile/widgets.php, mod/messages/start.php,
  .../views/default/forms/messages/process.php,
  .../views/default/forms/messages/reply.php,
  mod/messages/views/default/messages/js.php, mod/profile/start.php,
  mod/profile/views/default/profile/js.php,
  mod/profile/views/default/profile/wrapper.php, mod/thewire/start.php,
  mod/thewire/views/default/forms/thewire/add.php,
  views/default/css/elements/buttons.php: Refs #3016: Removes inline javascript
  from embed, file, groups, messages, profile, thewire 

  	* views/default/css/admin.php, views/default/css/elements/icons.php,
  views/default/css/elements/modules.php,
  views/default/object/widget/elements/controls.php: Refs #3112: Pulled out
  widget gear icon into elgg-icon-gear, which widgets now use 

2011-03-14  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPlugin.php, engine/classes/ElggPluginPackage.php,
  languages/en.php, views/default/admin/plugins/advanced.php,
  views/default/object/plugin/invalid.php: Fixes #2928: Invalid plugins are
  shown on the advance page with details about the problem and a link to the
  docs.  

2011-03-14  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php, views/default/css/elements/layout.php: Refs
  #3109: Fixes 3 more instances of background-color being used when background
  should be 

  	* .../views/default/theme_preview/navigation.php,
  mod/embed/views/default/embed/css.php,
  mod/search/views/default/search/css.php,
  mod/thewire/views/default/thewire/css.php, views/default/css/admin.php,
  views/default/css/elements/buttons.php,
  views/default/css/elements/components.php,
  views/default/css/elements/forms.php, views/default/css/elements/icons.php,
  views/default/css/elements/layout.php, views/default/css/elements/misc.php,
  views/default/css/elements/modules.php,
  views/default/css/elements/navigation.php: Refs #3109: More CSS cleanup. 
  Fixes bugs introduced by last cleanup where background-color: was being used
  instead of background: 

2011-03-14  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPlugin.php, engine/lib/plugins.php: Refs #3079: Making
  sure elgg_get_max_plugin_priority() returns 1 instead. Fixed problems when
  bootstrapping elgg plugins. Will perform tests against MySQL 5.5 when I have
  a real internet connection.  

2011-03-14  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* CODING.txt: Using tabs instead of spaces to indent lines in CODING.txt 

  	* install/css/install.css, .../views/default/custom_index/css.php,
  mod/embed/views/default/embed/css.php,
  mod/groups/views/default/groups/css.php,
  mod/messages/views/default/messages/css.php,
  mod/profile/views/default/profile/css.php,
  .../views/default/reportedcontent/admin_css.php,
  mod/search/views/default/search/css.php,
  mod/tinymce/views/default/tinymce/css.php,
  mod/twitter/views/default/twitter/css.php, views/default/css/admin.php,
  views/default/css/elements/buttons.php,
  views/default/css/elements/chrome.php,
  views/default/css/elements/components.php,
  views/default/css/elements/forms.php, views/default/css/elements/icons.php,
  views/default/css/elements/misc.php, views/default/css/elements/modules.php,
  views/default/css/elements/navigation.php: Fixes #3109: added
  non-vendor-prefixed css property declarations where applicable.  Cleaned up
  various other aspects of the css 

  	* engine/handlers/page_handler.php: Fixes #3080: Move redirect code to
  before engine inclusion 

2011-03-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/elgglib.php: Fixes #3121 array_filter() passes array elements
  to callback  

2011-03-14  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/navigation/menu/page.php: Fixes #3103. Re-added code
  accidentally removed in r8611 that broke page menu selected items.  

  	* ...031300-1.8_svn-twitter_api-12b832a5a7a3e1bd.php,
  mod/twitter_api/graphics/sign_in_with_twitter.gif,
  mod/twitter_api/languages/en.php, mod/twitter_api/lib/twitter_api.php,
  mod/twitter_api/manifest.xml, mod/twitter_api/start.php,
  mod/twitter_api/vendors/twitteroauth/LICENSE,
  mod/twitter_api/vendors/twitteroauth/OAuth.php,
  mod/twitter_api/vendors/twitteroauth/README,
  .../vendors/twitteroauth/twitterOAuth.php,
  .../views/default/settings/twitter_api/edit.php,
  mod/twitter_api/views/default/twitter_api/css.php,
  .../views/default/twitter_api/login.php,
  .../views/default/twitter_api/metatags.php,
  .../default/usersettings/twitter_api/edit.php,
  .../graphics/sign_in_with_twitter.gif, mod/twitterservice/languages/en.php,
  mod/twitterservice/manifest.xml, mod/twitterservice/start.php,
  mod/twitterservice/twitterservice_lib.php,
  mod/twitterservice/vendors/twitteroauth/LICENSE,
  mod/twitterservice/vendors/twitteroauth/OAuth.php,
  mod/twitterservice/vendors/twitteroauth/README,
  .../vendors/twitteroauth/twitterOAuth.php,
  .../views/default/settings/twitterservice/edit.php,
  .../views/default/twitterservice/css.php,
  .../views/default/twitterservice/login.php,
  .../views/default/twitterservice/metatags.php,
  .../default/usersettings/twitterservice/edit.php, version.php: Refs #3115.
  Migrated twitterservice to twitter_api. Added upgrade to migrate plugin and
  user settings.  

2011-03-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messages/start.php: fixed WSOD because of function name change when
  using some 1.7 themes  

  	* engine/lib/views.php: Refs #3059 should only fallback to 1.7 pageshell
  when asking for default page shell - otherwise breaks admin area  

  	* engine/lib/deprecated-1.8.php: Fixes #3116 old method of getting site menu
  works again  

  	* engine/handlers/page_handler.php: Refs #2228 reverting [8654] so
  forwarding works  

  	* languages/en.php: Reverted changes made for elgg.com on Tools menu  

2011-03-13  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPlugin.php: Refs #3079: Better checks in
  ElggPlugin::setPriority() to avoid priorities of 0. Still requires testing
  for MySQL 5.5.  

  	* languages/en.php: Refs #3009. Fixed a few typos and inaccuracies in the
  welcome widget.  

2011-03-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/likes/views/default/likes/display.php: tweaked an id so that the likes
  html would be valid  

  	* views/default/page/elements/footer.php: how did that get there - removing
  some test code  

  	* js/lib/ui.js: Fixes #3110 - checking selector before running date picker
  js  

  	* .../views/default/admin/utilities/diagnostics.php,
  .../views/default/diagnostics/forms/download.php: wrapped the submit button
  in diagnostics plugin with a <p> so the bottom doesn't get cut off  

  	* languages/en.php: Refs #2991 restored plugin settings language string
  needed for page title  

  	* languages/en.php: fixed typo in site settings  

  	* .../views/default/groups/sidebar/members.php: Fixes #3072 using
  elgg_list_entities*() in group members sidebar view  

  	* mod/groups/languages/en.php, mod/groups/lib/groups.php: displaying a no
  activity message on the activity page for new groups  

  	* mod/pages/world.php: added text to pages plugin for case where no pages
  have been created on site  

  	* mod/file/index.php: fixed typo in file index.php  

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php,
  mod/pages/views/default/object/page_top.php,
  mod/thewire/views/default/object/thewire.php,
  views/default/object/default.php,
  views/default/page/components/list/body.php,
  views/default/page/components/summary.php, views/default/user/default.php:
  Refs #3096 using 'summary' instead of list/body  

2011-03-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/river/elements/body.php,
  views/default/river/elements/controls.php,
  views/default/river/elements/footer.php,
  views/default/river/elements/image.php, views/default/river/item.php,
  views/default/river/item/body.php, views/default/river/item/controls.php,
  views/default/river/item/footer.php, views/default/river/item/image.php:
  somehow we forgot to use 'elements' in river views  

2011-03-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* languages/en.php, upgrade.php, views/default/page/upgrade.php: Fixes
  #3064. Checking for views/default/welcome.php and aborting upgrade if found. 
  Need to add documention for how to replace views directory to wiki. Also
  fixed ajax loader during upgrade.  

2011-03-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggUser.php, mod/custom_index/index.php,
  views/default/widgets/friends/content.php: Fixes #3045 custom index and the
  friends widget now use the gallery view for user icons  

  	* engine/lib/views.php, views/default/page/components/gallery.php,
  views/default/page/components/list.php, views/default/user/default.php: Refs
  #3045 adds a gallery context based view for users  

  	* engine/lib/admin.php, engine/lib/elgglib.php, engine/lib/views.php,
  engine/tests/api/helpers.php, mod/blog/lib/blog.php, mod/blog/start.php,
  .../views/default/page/theme_preview.php, mod/notifications/index.php,
  .../notifications/subscriptions/forminternals.php, mod/pages/start.php,
  mod/tinymce/start.php, mod/tinymce/views/default/tinymce/init.php,
  mod/zaudio/start.php, mod/zaudio/views/default/zaudio/audioplayer.php,
  views/default/input/autocomplete.php, views/default/input/friendspicker.php,
  views/default/input/userpicker.php, views/default/page/elements/head.php:
  Fixes #3091 adds load functions for js and css  

2011-03-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/admin.php: Fixed #3093: Admin link shows only for admin users. 

  	* languages/en.php: Fixes #3004: Updated admin widget text to reflect menu
  changes.  

  	* mod/blog/views/default/blog/sidebar/revisions.php: Fixed blog revision
  links.  

  	* js/lib/autocomplete.js, js/lib/elgglib.js, js/lib/events.js,
  js/lib/hooks.js, js/lib/languages.js, js/lib/security.js, js/lib/ui.js,
  js/lib/ui.widgets.js, js/lib/userpicker.js, js/tests/ElggEventsTest.js,
  js/tests/ElggHooksTest.js, mod/blog/views/default/js/blog/save_draft.php,
  mod/bookmarks/views/default/bookmarks/js.php,
  mod/messageboard/views/default/messageboard/js.php,
  mod/tinymce/views/default/js/tinymce.php,
  .../views/default/uservalidationbyemail/js.php,
  views/default/core/account/login_box.php,
  views/default/core/account/login_dropdown.php,
  views/default/core/river/filter.php, views/default/js/admin.php,
  views/default/js/elgg.php: Fixes #3065, #3089. Merged JS events and hooks to
  a single system. Updated plugins and core to use it. Added
  elgg.getURLFragment() and using it elgg.ui.popsUp().  

2011-03-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/admin.php, views/default/page/default.php: forgot to
  include js registered for the footer in page shells  

  	* engine/lib/elgglib.php, engine/tests/api/helpers.php: Refs #3091
  registering js and css support priority though does not maintain registration
  order if items have equal priority  

  	* engine/lib/admin.php, engine/lib/elgglib.php, engine/lib/views.php,
  engine/tests/api/helpers.php, mod/blog/lib/blog.php,
  mod/notifications/index.php,
  .../notifications/subscriptions/forminternals.php, mod/pages/start.php,
  mod/tinymce/views/default/tinymce/init.php,
  mod/zaudio/views/default/zaudio/audioplayer.php,
  views/default/admin/plugins/advanced.php,
  views/default/input/autocomplete.php, views/default/input/friendspicker.php,
  views/default/input/userpicker.php, views/default/page/components/list.php:
  Refs #3091 rewrote the js and css register functions to require a name  

  	* mod/blog/views/default/blog/group_module.php,
  .../views/default/bookmarks/group_module.php,
  mod/file/views/default/file/group_module.php,
  .../views/default/discussion/group_module.php,
  mod/pages/views/default/pages/group_module.php: Fixes #3071 group "widgets"
  check permissions now  

2011-03-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/admin.php, engine/lib/widgets.php,
  views/default/admin/appearance/default_widgets.php,
  views/default/admin/appearance/menu_items.php,
  views/default/admin/appearance/profile_fields.php,
  .../admin/appearance/profile_fields/list.php,
  views/default/admin/settings/default_widgets.php,
  views/default/admin/settings/menu_items.php,
  views/default/admin/settings/profile_fields.php,
  .../default/admin/settings/profile_fields/list.php,
  views/default/css/admin.php, views/default/js/admin.php: Refs #2991: Readded
  the appearance menu under configure. Moved plugin settings under
  configure/settings.  

  	* engine/lib/admin.php, languages/en.php, views/default/admin/sidebar.php,
  views/default/css/admin.php: Refs #2991. Using section for admin menu.  

  	* views/default/navigation/menu/elements/section.php: Refs #3088. Wrapping
  section headers in <h2>s.  

  	* engine/lib/views.php: Refs #3088. Added docs for section headers to
  elgg_view_menu().  

  	* views/default/navigation/menu/default.php,
  views/default/navigation/menu/elements/section.php,
  views/default/navigation/menu/page.php: Fixes #3088: Added section header
  support to page and default menus.  

2011-03-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/views.php: Refs #3085  finished support for passing $vars to
  elgg_view_entity()  

  	* engine/lib/views.php, views/default/page/components/gallery.php,
  views/default/page/components/list.php, views/rss/layout/objects/list.php:
  Refs #3085 moved full_view out of elgg_view_list_item() into $vars to be
  consistent with other elgg_view* functions  

  	* engine/lib/views.php, views/default/page/elements/comments.php: Refs #3085
  added $vars to elgg_view_comments()  

  	* engine/lib/views.php: Refs #3085 improved documentation of
  elgg_view_entity_list() which already supported $vars array  

  	* engine/classes/ElggEntity.php, engine/lib/entities.php: improved
  documentation of can write to container method/function  

2011-03-11  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/js/elgg.php: Fixes #3081: Adding a new line between
  javascript includes.  

  	* engine/handlers/page_handler.php, engine/lib/admin.php,
  engine/lib/widgets.php, languages/en.php, mod/developers/languages/en.php,
  mod/developers/start.php, mod/diagnostics/start.php,
  mod/externalpages/start.php, mod/logbrowser/start.php,
  mod/reportedcontent/start.php, mod/uservalidationbyemail/start.php,
  views/default/admin/appearance/default_widgets.php,
  views/default/admin/appearance/menu_items.php,
  views/default/admin/appearance/profile_fields.php,
  .../admin/appearance/profile_fields/list.php,
  views/default/admin/settings/advanced.php,
  views/default/admin/settings/basic.php,
  views/default/admin/settings/default_widgets.php,
  views/default/admin/settings/menu_items.php,
  views/default/admin/settings/profile_fields.php,
  .../default/admin/settings/profile_fields/list.php,
  views/default/admin/sidebar.php, views/default/admin/site/advanced.php,
  views/default/admin/site/basic.php, views/default/css/admin.php,
  views/default/js/admin.php: Refs #2991. First round at rearranging and
  grouping admin menu based upon tasks.  

2011-03-10  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* actions/admin/plugins/activate.php, actions/admin/plugins/deactivate.php,
  actions/admin/user/delete.php, actions/friends/collections/add.php,
  actions/friends/collections/delete.php, engine/classes/ElggSite.php,
  engine/lib/admin.php, engine/lib/cache.php, engine/lib/cron.php,
  engine/lib/elgglib.php, engine/lib/entities.php, engine/lib/input.php,
  engine/lib/navigation.php, engine/lib/output.php, engine/lib/pagehandler.php,
  engine/lib/pageowner.php, engine/lib/plugins.php, engine/lib/river.php,
  engine/lib/user_settings.php, engine/lib/users.php,
  engine/tests/api/helpers.php, index.php, install/ElggInstaller.php,
  js/lib/elgglib.js, js/lib/languages.js, js/lib/userpicker.js,
  js/tests/ElggLibTest.js, mod/blog/actions/blog/delete.php,
  mod/blog/actions/blog/save.php, mod/blog/lib/blog.php, mod/blog/start.php,
  mod/blog/views/default/blog/group_module.php,
  mod/blog/views/default/blog/sidebar/archives.php,
  mod/blog/views/default/blog/sidebar/revisions.php,
  mod/blog/views/default/object/blog.php,
  mod/blog/views/default/widgets/blog/content.php,
  mod/bookmarks/actions/bookmarks/delete.php,
  mod/bookmarks/actions/bookmarks/save.php, mod/bookmarks/pages/friends.php,
  mod/bookmarks/pages/view.php, mod/bookmarks/start.php,
  .../views/default/bookmarks/bookmarklet.php,
  .../views/default/bookmarks/group_module.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  .../views/default/widgets/bookmarks/content.php, mod/categories/start.php,
  mod/categories/views/default/output/categories.php, mod/developers/start.php,
  .../views/default/admin/developers/preview.php, mod/embed/start.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/upload/content.php,
  mod/externalpages/start.php,
  mod/externalpages/views/default/expages/menu.php,
  mod/file/actions/file/delete.php, mod/file/actions/file/upload.php,
  mod/file/edit.php, mod/file/friends.php, mod/file/index.php,
  mod/file/search.php, mod/file/start.php, mod/file/upload.php,
  mod/file/view.php, mod/file/views/default/file/embed_upload.php,
  mod/file/views/default/file/group_module.php,
  mod/file/views/default/object/file.php,
  .../views/default/widgets/filerepo/content.php,
  mod/groups/actions/discussion/delete.php,
  mod/groups/actions/groups/delete.php,
  mod/groups/actions/groups/membership/invite.php,
  mod/groups/lib/discussion.php, mod/groups/lib/groups.php,
  mod/groups/start.php, .../views/default/discussion/group_module.php,
  .../views/default/groups/group_sort_menu.php,
  .../default/groups/profile/activity_module.php,
  .../views/default/groups/profile/buttons.php,
  mod/groups/views/default/groups/side_menu.php,
  mod/groups/views/default/groups/sidebar/find.php,
  .../views/default/groups/sidebar/members.php,
  .../default/widgets/a_users_groups/content.php,
  mod/invitefriends/actions/invite.php, mod/invitefriends/start.php,
  mod/logbrowser/start.php, mod/logbrowser/views/default/logbrowser/form.php,
  mod/logbrowser/views/default/logbrowser/table.php,
  mod/messageboard/pages/owner.php, mod/messageboard/start.php,
  .../views/default/widgets/messageboard/content.php,
  mod/messages/actions/messages/send.php, mod/messages/read.php,
  mod/messages/start.php, mod/messages/views/default/object/messages.php,
  mod/notifications/start.php, mod/pages/actions/pages/delete.php,
  mod/pages/friends.php, mod/pages/history.php, mod/pages/revision.php,
  mod/pages/start.php, mod/pages/view.php,
  mod/pages/views/default/object/page_top.php,
  mod/pages/views/default/pages/group_module.php,
  mod/pages/views/default/widgets/pages/content.php, mod/profile/start.php,
  mod/reportedcontent/start.php, mod/search/index.php,
  mod/search/views/default/search/list.php,
  mod/search/views/default/search/search_box.php, mod/thewire/actions/add.php,
  mod/thewire/actions/delete.php, mod/thewire/pages/friends.php,
  mod/thewire/pages/reply.php, mod/thewire/pages/tag.php,
  mod/thewire/pages/thread.php, mod/thewire/pages/user.php,
  mod/thewire/start.php, mod/thewire/tests/regex.php,
  mod/thewire/views/default/object/thewire.php,
  .../views/default/thewire/profile_status.php,
  .../views/default/widgets/thewire/content.php, mod/twitterservice/start.php,
  mod/twitterservice/twitterservice_lib.php,
  .../views/default/twitterservice/login.php,
  .../default/usersettings/twitterservice/edit.php,
  mod/uservalidationbyemail/lib/functions.php,
  mod/uservalidationbyemail/start.php,
  .../forms/uservalidationbyemail/bulk_action.php,
  views/default/admin/appearance/default_widgets.php,
  views/default/admin/header.php, views/default/admin/plugins/advanced.php,
  views/default/core/account/login_dropdown.php,
  views/default/core/account/login_walled_garden.php,
  views/default/core/members/nav.php, views/default/core/members/sidebar.php,
  views/default/forms/login.php, views/default/group/search/finishblurb.php,
  views/default/input/autocomplete.php,
  views/default/object/plugin/advanced.php,
  views/default/object/plugin/simple.php, views/default/output/tagcloud.php,
  views/default/output/tags.php, views/default/page/default.php,
  views/default/page/layouts/content/filter.php,
  views/default/page/layouts/content/header.php,
  .../page/layouts/two_column_left_sidebar.php,
  views/default/user/search/finishblurb.php,
  views/default/widgets/content_stats/content.php, views/foaf/page/default.php,
  views/installation/page/elements/footer.php, views/rss/core/river/body.php:
  Fixes #2228: Major cleanup of urls -- remove leading pg/ and trailing / from
  most urls in core and plugins 

  	* .gitignore: Ignoring some standard eclipse files 

  	* engine/handlers/page_handler.php, htaccess_dist: Refs #2228: Deprecated
  use of pg/ in page handlers.  Now we get to have nice clean urls like
  "example.com/bookmarks" 

2011-03-10  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/twitterservice/manifest.xml: Added curl requirement to twitterservice.
   

  	* .../views/default/groups/sidebar/members.php: Fixes #3072: Fixed group
  member list in sidebar. Thoughts about using the elgg-menu-hz class for this?
  It's not exactly a menu, but that CSS does exactly what's needed.  

  	* mod/groups/lib/groups.php: Fixes #3069. Added group activity content.  

  	* languages/en.php, views/default/widgets/admin_welcome/content.php: Refs
  #3004. First draft of welcome widget text.  

  	* views/default/css/admin.php: Fixes #2948: Put specific rules in for
  .elgg-plugin.elgg-state-active to get white backgrounds in plugins, but not
  break the action button. The admin CSS still needs a bit of work.  

2011-03-10  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/pageowner.php: fixed page owner setting for sites in a
  subdirectory  

  	* views/default/css/admin.php, views/default/page/admin.php: Fixes #3057
  page wrapper now sets the margin so messages don't end up in far left  

2011-03-09  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js, mod/likes/views/default/likes/display.php: Refs #3027: Using
  the event popup, ui for advanced placement in elgg.ui.popsUp()  

  	* engine/lib/views.php: Fixes #3059. elgg_view_layout() checks for
  deprecated layouts in canvas/layouts/ and elgg_view_page() checks for
  deprecated pageshells in pageshells/pageshell.  

  	* engine/classes/ElggBatch.php: Fixed some typos in documentation of
  ElggBatch.  

2011-03-09  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/groups/upgrades/2011030101.php: Fixes #2679 added a script to upgrade
  forum topics from 1.7 and earlier  

  	* actions/likes/add.php, actions/likes/delete.php,
  engine/classes/ElggEntity.php, engine/lib/elgglib.php,
  engine/lib/navigation.php, engine/lib/upgrades/2010121702.php,
  engine/lib/views.php, languages/en.php,
  .../views/default/theme_preview/icons.php, mod/likes/actions/likes/add.php,
  mod/likes/actions/likes/delete.php, mod/likes/languages/en.php,
  mod/likes/manifest.xml, mod/likes/start.php,
  mod/likes/views/default/annotation/likes.php,
  mod/likes/views/default/likes/css.php,
  mod/likes/views/default/likes/display.php,
  .../default/river/annotation/likes/create.php,
  views/default/annotation/likes.php, views/default/core/likes/display.php,
  views/default/css/admin.php, views/default/css/elements/components.php,
  views/default/css/elements/icons.php, views/default/css/ie.php,
  views/default/river/annotation/likes/create.php: Fixes #3058 pulls likes out
  as a plugin  

  	* views/default/navigation/menu/metadata.php: removed metadata menu which
  has been replaced by the entity menu  

2011-03-08  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/categories/manifest.xml, mod/custom_index/manifest.xml,
  mod/developers/manifest.xml, mod/diagnostics/manifest.xml,
  mod/embed/manifest.xml, mod/externalpages/manifest.xml,
  mod/garbagecollector/manifest.xml, mod/groups/manifest.xml,
  mod/htmlawed/manifest.xml, mod/invitefriends/manifest.xml,
  mod/logbrowser/manifest.xml, mod/logrotate/manifest.xml,
  mod/messageboard/manifest.xml, mod/messages/manifest.xml,
  mod/notifications/manifest.xml, mod/oauth_lib/manifest.xml,
  mod/twitter/manifest.xml: Refs #2104 added bundled category to all core
  plugins  

  	* .../views/default/theme_preview/forms.php: added padding to the display of
  buttons in developer preview  

  	* languages/en.php, views/default/admin/plugins/advanced.php: Refs #2871
  advanced plugin filtering works - sorting still does odd things  

2011-03-08  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/admin.php, languages/en.php, views/default/admin/footer.php,
  views/default/css/admin.php: Fixes #3005. Added links to admin faq, admin
  manual, blog, and community forums in the admin footer.  

  	* mod/thewire/start.php, mod/thewire/views/default/object/thewire.php,
  mod/thewire/views/default/thewire/metadata.php: Fixes #3025: The wire uses
  core's metadata view.  

  	* engine/lib/views.php: Added a bit more docs to elgg_view_menu().  

  	* engine/lib/upgrades/2010050701.php: Fixes #2310. Only conditionally
  setting the allow_registration field for users who used
  $CONFIG->disable_registration.  

  	* js/lib/ui.js, views/default/core/likes/display.php: Fixes #3027. Likes
  popup uses rel='popup' and elgg.ui.popsUp() to position absolute.  

  	* mod/blog/views/default/blog/sidebar/revisions.php: Fixes #3054: Fixed URL
  for editing a blog revision.  

2011-03-08  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/tinymce/start.php, mod/tinymce/views/default/js/tinymce.php,
  mod/tinymce/views/default/tinymce/init.php, views/default/input/longtext.php:
  fixed tinymce toggle  

2011-03-08  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/views/default/js/blog/save_draft.php: Fixes #3053: Fixed JS for
  blog draft autosave.  

  	* ...8_svn-blog_status_metadata-4645225d7b440876.php,
  mod/blog/actions/blog/auto_save_revision.php, mod/blog/actions/blog/save.php,
  mod/blog/classes/ElggBlog.php, mod/blog/languages/en.php,
  mod/blog/views/default/blog/sidebar/revisions.php,
  mod/blog/views/default/forms/blog/save.php,
  mod/blog/views/default/input/datetime.php,
  mod/blog/views/default/js/blog/save_draft.php,
  mod/blog/views/default/object/blog.php, version.php: Fixes #2229. Removed
  published data metadata in blog. Added upgrade to set all status metadata for
  old blog posts.  

  	* engine/classes/ElggBatch.php: Added a bit more docs to ElggBatch.  

  	* mod/blog/lib/blog.php, mod/blog/views/default/blog/sidebar/archives.php:
  Refs #2229: Using time_created instead of publish_date metadata to sort.  

2011-03-08  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/input/longtext.php: fixed longtext menu display  

2011-03-07  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/navigation.php, engine/lib/river.php, mod/blog/start.php,
  mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php, mod/groups/start.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php, mod/pages/start.php,
  mod/pages/views/default/object/page_top.php,
  views/default/css/elements/navigation.php: Refs #2895 entity menu uses new
  menu system  

  	* engine/classes/ElggMenuItem.php: added support for confirm text to
  ElggMenuItem  

  	* views/default/output/confirmlink.php: made encoding text default to false
  in confirm link  

  	* mod/blog/views/default/blog/group_module.php,
  .../views/default/bookmarks/group_module.php,
  mod/file/views/default/file/group_module.php,
  .../views/default/discussion/group_module.php,
  mod/groups/views/default/forms/groups/delete.php,
  mod/groups/views/default/groups/css.php,
  .../views/default/groups/group_sort_menu.php,
  .../default/groups/profile/activity_module.php,
  .../views/default/groups/profile/profile_block.php,
  .../views/default/groups/profile/widgets.php,
  mod/pages/views/default/pages/group_module.php: cleaned up the groups plugin
  css  

  	* views/default/css/elements/navigation.php: owner block menu items appear
  like normal page menu items in default theme  

  	* engine/lib/river.php: not showing river buttons when displaying in widgets
   

2011-03-06  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* languages/en.php: Elgg's web services API is not RESTful  

  	* mod/custom_index/start.php: custom index plugin checks return value on
  hook now  

  	* _graphics/walled_garden_background_top.gif, engine/lib/elgglib.php,
  views/default/core/account/login_walled_garden.php,
  views/default/css/walled_garden.php, views/default/page/elements/footer.php,
  views/default/page/walled_garden.php: Refs #2693 walled garden code is
  functional. Push back a thorough clean up until Elgg 1.9  

  	* engine/lib/elgglib.php, languages/en.php,
  views/default/css/walled_garden.php, views/default/page/walled_garden.php:
  Refs #2693 pulled walled garden css out as separate view  

  	* documentation/examples/plugins/manifest.xml, mod/blog/manifest.xml,
  mod/bookmarks/manifest.xml, mod/developers/manifest.xml,
  mod/file/manifest.xml, mod/pages/manifest.xml, mod/profile/manifest.xml,
  mod/reportedcontent/manifest.xml, mod/search/manifest.xml,
  mod/tagcloud/manifest.xml, mod/thewire/manifest.xml,
  mod/tinymce/manifest.xml, mod/twitterservice/manifest.xml,
  mod/uservalidationbyemail/manifest.xml, mod/zaudio/manifest.xml,
  views/default/admin/plugins/advanced.php: Refs #2104 added some categories to
  core (bundled) plugins  

  	* mod/thewire/languages/en.php,
  .../views/default/thewire/profile_status.php: Fixes #3024 thewire view for
  the profile page is finished  

  	* engine/lib/river.php, mod/groups/start.php,
  .../views/default/forms/discussion/reply/save.php,
  .../river/object/groupforumtopic/create.php,
  views/default/river/item/controls.php: Refs #2679 can comment on discussion
  forums in river now  

  	* mod/groups/start.php: Refs #2413 registered the subtype for discussion
  topics so search works  

  	* mod/groups/start.php: Refs #2679 added a function for processing groups
  plugin upgrades  

  	* engine/lib/river.php, views/default/river/item/controls.php: Fixes #2895
  river menu reimplemented using plugin hook  

  	* upgrade.php: Fixes #3029 added an upgrade, system event that always fires 

2011-03-05  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggMenuBuilder.php: added a catch to menu builder for bad
  menu items  

  	* views/default/css/elements/navigation.php: added background to li hover
  for filter menu to work around sliver of white showing through - probably a
  better way to do this  

  	* mod/messages/start.php, mod/messages/views/default/messages/css.php: fixed
  new message indicator  

  	* views/default/navigation/menu/default.php: forcing dashes in elgg menu
  classes  

  	* mod/messages/read.php, mod/pages/view.php: changed rest of title buttons
  to an elgg-menu  

  	* mod/groups/languages/en.php, mod/groups/lib/groups.php: fixed some group
  page titles  

  	* mod/thewire/languages/en.php: thewire was missing object:<subtype> string 

  	* views/default/css/elements/navigation.php: tweaked spacing of sidebar
  menus  

  	* languages/en.php: adjust language on like link title  

  	* views/default/css/elements/layout.php,
  views/default/css/elements/navigation.php: added a amrgin to elgg-menu-title
  so that buttons have some space  

  	* .../views/default/groups/profile/buttons.php: groups profile buttons now
  elgg-menu-title - still need to be registered  

  	* .../views/default/forms/messages/process.php,
  mod/messages/views/default/object/messages.php,
  views/default/annotation/default.php,
  views/default/annotation/generic_comment.php,
  views/default/annotation/likes.php, views/default/css/elements/buttons.php,
  views/default/input/submit.php: cleared up confusion over elgg-icon-delete
  and elgg-button-delete  

  	* .../views/default/groups/invitationrequests.php,
  .../views/default/groups/membershiprequests.php: cleaned up the group
  invitations and membership request pages  

  	* mod/groups/actions/groups/edit.php,
  mod/groups/views/default/forms/groups/edit.php: fixed a bug with invisible
  groups - saving and display both had a problem  

  	* mod/groups/views/default/forms/groups/search.php,
  mod/groups/views/default/groups/edit.php,
  .../views/default/groups/group_sort_menu.php,
  .../default/groups/profile/activity_module.php,
  mod/groups/views/default/groups/side_menu.php,
  .../views/default/groups/sidebar/members.php,
  .../river/annotation/group_topic_post/reply.php,
  .../default/river/relationship/member/create.php,
  mod/groups/views/default/settings/groups/edit.php: reviewed groups plugin and
  added todo's  

  	* mod/bookmarks/views/default/object/bookmarks.php: added owner icons to
  bookmarks  

  	* views/default/css/elements/misc.php: drop down button did not need to have
  such a large z-index  

  	* views/default/css/elements/buttons.php: removed shadow from
  elgg-button-dropdown inherited from elgg-button  

  	* views/default/page/elements/footer.php: make sure powered by icon does not
  sneak up in the menu area  

  	* .../default/file/specialcontent/image/default.php,
  mod/file/views/default/icon/object/file.php: fixed two validation issues with
  ampersands in file plugin  

  	* views/default/page/elements/footer.php: forgot to close div tag  

  	* .../views/default/custom_index/css.php,
  .../views/default/page/layouts/custom_index.php: updated custom index spacing
  so it spans the width of the central area  

  	* engine/lib/elgglib.php, mod/externalpages/start.php,
  mod/reportedcontent/start.php, views/default/css/elements/navigation.php,
  views/default/page/elements/footer.php: pulled power by icon out of menu in
  footer as it serves a different purpose than other menu items  

2011-03-05  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js, views/default/input/date.php,
  views/default/input/datepicker.php, views/default/output/calendar.php,
  views/default/output/date.php: Fixes #2321: Deprecated input/datepicker and
  output/calendar in favor of input/date and output/date 

2011-03-04  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/groups/actions/groups/membership/join.php, mod/groups/start.php: Fixes
  #1926 flushing access list when adding a user to a group  

  	* mod/groups/lib/groups.php, .../default/groups/profile/activity_module.php:
  preventing crashes when user does not have access to the group on group
  profile page  

  	* engine/lib/access.php: Refs #1926 should not be ignoring the flush
  variable  

  	* engine/lib/access.php: updated comment on why we may want to keep access
  cache  

  	* mod/groups/start.php: Refs #1926 user is now being added to access
  collection of invisible group  

  	* engine/lib/access.php: Refs #1926 made 'access:collections:add_user',
  'collection' plugin hook more useful  

  	* mod/groups/actions/groups/edit.php, mod/groups/languages/en.php,
  mod/groups/views/default/forms/groups/edit.php: trying to make support for
  invisible groups a little saner  

  	* mod/groups/actions/groups/membership/join.php: fixed bug in accepting
  invitations to closed groups  

  	* mod/groups/actions/addtogroup.php, mod/groups/actions/delete.php,
  mod/groups/actions/edit.php, mod/groups/actions/featured.php,
  mod/groups/actions/groups/delete.php, mod/groups/actions/groups/edit.php,
  mod/groups/actions/groups/featured.php,
  mod/groups/actions/groups/membership/add.php,
  .../actions/groups/membership/delete_invite.php,
  .../actions/groups/membership/delete_request.php,
  mod/groups/actions/groups/membership/invite.php,
  mod/groups/actions/groups/membership/join.php,
  mod/groups/actions/groups/membership/leave.php,
  mod/groups/actions/groupskillinvitation.php,
  mod/groups/actions/groupskillrequest.php, mod/groups/actions/invite.php,
  mod/groups/actions/join.php, mod/groups/actions/joinrequest.php,
  mod/groups/actions/leave.php, mod/groups/start.php,
  .../views/default/groups/invitationrequests.php,
  .../views/default/groups/profile/buttons.php: updated the group actions -
  edit group needs more work  

  	* engine/lib/entities.php: added a hint about 0 meaning no limit for ege  

2011-03-03  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/groups/start.php: Refs #2679 preventing people from commenting on a
  discussion topic in the river  

  	* mod/groups/actions/discussion/reply/delete.php,
  mod/groups/actions/discussion/reply/save.php, mod/groups/languages/en.php,
  mod/groups/lib/discussion.php, mod/groups/lib/groups.php,
  mod/groups/start.php, .../views/default/annotation/group_topic_post.php,
  mod/groups/views/default/discussion/replies.php,
  .../views/default/forms/discussion/reply/save.php,
  mod/groups/views/default/groups/css.php,
  .../views/default/object/groupforumtopic.php,
  .../river/annotation/group_topic_post/reply.php: Refs #2679 - returning to a
  separate annotation for discussion forum replies. For those using the latest
  out of svn you can update with this script: https://gist.github.com/852092  

2011-03-02  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/users.php, mod/blog/views/default/forms/blog/save.php,
  mod/groups/views/default/forms/groups/edit.php,
  .../notifications/subscriptions/forminternals.php,
  views/default/css/elements/chrome.php,
  views/default/forms/admin/site/update_advanced.php,
  views/default/forms/admin/site/update_basic.php,
  views/default/forms/usersettings/save.php: Fixes #3006 restores previous
  dividers  

  	* mod/categories/views/default/output/categories.php: not showing categories
  label if not categories chosen  

  	* actions/login.php: Fixes #3036 moved setting of forward url to before
  login in case session variables are being lost  

  	* views/default/river/item/controls.php: Refs #2895 reverting [8532] as code
  is not working as intended. Can comment and like everything because menu
  items are being registered. Perhaps questionable benefit of using the menu
  system here.  

  	* mod/groups/actions/discussion/save.php: fixed the view name for discussion
  topic river  

  	* .../views/default/object/groupforumtopic.php: showing the text of a forum
  topic post  

2011-03-02  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/tinymce/views/default/tinymce/css.php,
  views/default/core/friends/collection.php,
  views/default/core/friends/collections.php,
  views/default/core/friends/collectiontabs.php,
  views/default/css/elements/components.php,
  views/default/css/elements/modules.php,
  views/default/css/elements/navigation.php,
  views/default/page/elements/owner_block.php,
  views/default/page/elements/topbar.php: Addressed several miscellaneous
  todo's 

  	* views/default/object/widget.php,
  views/default/object/widget/elements/controls.php: Widget collapse button
  uses elgg-toggler pattern 

  	* views/default/page/layouts/widgets/add_button.php: Fixed widgets add
  button 

  	* views/default/object/plugin/advanced.php,
  .../object/plugin/elements/dependencies.php: Plugin admin displays
  dependencies again 

  	* mod/twitterservice/start.php: Removed redundant requirements checking code

  	* views/default/admin/statistics/basic.php,
  views/default/admin/statistics/numentities.php,
  views/default/admin/statistics/overview.php: Refactored admin statistics
  views -- no longer manually building elgg-module 

  	* engine/lib/output.php: Added comment explaining purpose of regex 

  	* engine/lib/output.php: elgg_normalize_url leaves #target and ?query urls
  alone 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/elements/messages.php: Fixes #3012 added hidden li  

  	* js/lib/elgglib.js: cleaned up appending system messages since <ul> will
  always be there  

  	* install/ElggInstaller.php: Fixes #2929 Installer handles private default
  access now  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/layouts/content/filter.php: Filter tabs ordered
  correctly 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* install/ElggInstaller.php: fixed bug where dataroot wasn't being set when
  regenerating cache during the install  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/modules.php,
  views/default/css/elements/navigation.php,
  views/default/navigation/menu/site.php: Some fixes for site menu 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/actions/blog/save.php: because river entry is deleted we do not
  need to do an update  

  	* views/default/forms/comments/add.php: put margin back between longtext and
  submit button for comment form  

  	* mod/blog/actions/blog/save.php: fixes saving a new blog post - was trying
  to do an update to without a guid  

  	* engine/lib/views.php: Fixes #3033 removed use of set_view_location() from
  core  

  	* engine/classes/ElggMenuBuilder.php, engine/classes/ElggMenuItem.php,
  engine/lib/admin.php, engine/lib/elgglib.php, engine/lib/users.php,
  mod/embed/start.php, mod/messages/start.php, mod/reportedcontent/start.php,
  views/default/admin/footer.php, views/default/admin/sidebar.php,
  views/default/css/admin.php, views/default/css/elements/navigation.php,
  views/default/input/longtext.php, views/default/page/elements/footer.php,
  views/default/page/elements/topbar.php,
  views/default/page/layouts/content/filter.php,
  views/default/page/layouts/content/header.php,
  views/default/river/item/controls.php: Fixes #3031 using 'priority' now  

  	* engine/lib/users.php: Fixes #3010 moved topbar menu registration to page
  setup so that the url override is registered  

  	* mod/tinymce/views/default/js/tinymce.php: fixed tinymce js code so that at
  least it doesn't have syntax errors and runtime exceptions  

  	* mod/tinymce/start.php: tinymce longtext menu item also needed the longtext
  class  

  	* mod/tinymce/start.php: fixes tinymce longtext registration  

  	* mod/embed/start.php: fixed embed longtext menu registration  

  	* views/default/input/button.php, views/default/input/submit.php: added
  better support for classes to buttons  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggMenuItem.php, js/lib/ui.js,
  mod/profile/views/default/profile/owner_block.php,
  .../views/default/object/reported_content.php,
  views/default/core/account/login_dropdown.php,
  views/default/object/plugin/advanced.php,
  views/default/object/widget/elements/controls.php,
  views/default/page/layouts/widgets/add_button.php,
  views/default/river/item/controls.php: Fixes #3032: toggler pattern is now <a
  href="#target" class="elgg-toggler">...</a>  Wow, so much nicer. 

  	* engine/classes/ElggMenuItem.php: Added support for "rel" to ElggMenuItem 

  	* engine/classes/ElggMenuItem.php: Fixes #3023: added support for 'class'
  argument in elgg_register_menu_item 

  	* views/default/css/admin.php, views/default/css/elements/navigation.php,
  views/default/navigation/menu/default.php,
  views/default/navigation/menu/elements/group.php,
  views/default/navigation/menu/elements/item.php,
  views/default/navigation/menu/elements/section.php,
  views/default/navigation/menu/metadata.php,
  views/default/navigation/menu/page.php,
  views/default/navigation/menu/site.php,
  views/default/navigation/menu/user_hover.php,
  views/default/page/elements/footer.php,
  views/default/page/elements/topbar.php,
  views/default/page/layouts/content/filter.php,
  views/default/page/layouts/content/header.php: Refs #3021:
  elgg-section-$section => elgg-menu-$menu-$section Added elgg-menu-hz for
  horizontal menus 

  	* mod/embed/start.php, mod/embed/views/default/embed/link.php: Fixes #2895:
  Embed uses longtext menu -- I believe that covers *all* the menus we had
  brought up! 

  	* mod/tinymce/start.php, mod/tinymce/views/default/input/longtext.php,
  mod/tinymce/views/default/js/tinymce.php,
  mod/tinymce/views/default/tinymce/init.php, views/default/input/longtext.php:
  Refs #2538: Cleaned up custom tinymce code into elgg.tinymce.*. Refs #2895:
  TinyMCE makes use of longtext menu 

  	* views/default/river/item/controls.php: Refs #2895: River items now emit a
  "river" menu.  Not confident on the name, just trying to keep things short
  and sweet. 

  	* mod/search/start.php, views/default/page/elements/header.php: Removed
  header/extend in favor of just extending page/elements/header 

  	* views/default/css/elements/navigation.php,
  views/default/page/layouts/content/header.php: Refs #2895: Content header now
  emits a "title" menu 

2011-03-01  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/actions/blog/save.php: Fixes #2425, #2427. Blog status for
  published and draft correctly set the river items.  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/core/likes/display.php,
  views/default/css/elements/navigation.php: core/likes/display uses
  image-block component.  ensures that the like icon is even with the "x users
  liked this" text.  Wondering if we should split the two up entirely. 

  	* views/default/css/elements/navigation.php,
  views/default/page/layouts/content/filter.php: Refs #2895: Converted content
  filter to a menu, duplicated styles to mimic tabs... ick. 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/manifest.xml, mod/blog/start.php: blog plugin uses on_activate to
  set its class or the upgrade event  

  	* mod/groups/views/default/forms/groups/search.php,
  mod/thewire/views/default/forms/thewire/add.php,
  views/default/css/elements/buttons.php,
  views/default/forms/members/name_search.php,
  views/default/forms/members/tag_search.php,
  views/default/forms/widgets/save.php, views/default/input/submit.php: brought
  back the blue submit button  

  	* views/default/css/elements/buttons.php: yuck - have to reset all the
  styling from elgg-button for elgg-button-delete  

  	* actions/admin/plugins/activate.php, actions/admin/plugins/deactivate.php:
  Fixes #3013 activating/deactivating a plugin forwards to plugin page with
  changed plugin given focus  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/bookmarks/pages/all.php: No need for ".=" here 

  	* mod/groups/start.php: pg/groups/world => pg/groups/all 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/admin.php, engine/lib/widgets.php, mod/developers/start.php,
  mod/diagnostics/start.php, mod/externalpages/start.php,
  mod/logbrowser/start.php, mod/reportedcontent/start.php,
  mod/uservalidationbyemail/start.php: Fixes #3014 using more standard
  "register" in admin convenience function  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/navigation.php: Fixes for breadcrumbs and
  metadata menus.  Added basic styles for title menu 

  	* views/default/core/likes/display.php: false is default for encode text in
  output/url -- no need to specify 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messageboard/start.php, .../views/default/forms/messageboard/add.php,
  .../views/default/messageboard/css.php: cleaned up the css for messageboard  

  	* mod/messageboard/languages/en.php,
  .../views/default/annotation/messageboard.php,
  .../views/default/forms/messageboard/add.php,
  .../views/default/messageboard/messageboard.php,
  .../default/river/object/messageboard/create.php,
  .../views/default/widgets/messageboard/content.php,
  .../views/default/widgets/messageboard/edit.php: cleaned up the messageboard
  plugin further  

  	* views/default/annotation/default.php,
  views/default/annotation/generic_comment.php: finished making the "default"
  view the default view for annotation rather than generic_comment  

2011-03-01  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/core/river/filter.php: Convert river filter javascript to
  new style 

2011-03-01  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/annotation/default.php: improved the default annotation view
   

2011-02-28  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/elements/topbar.php: No more reason to explicitly add
  elgg-menu-topbar class 

  	* views/default/css/elements/navigation.php,
  views/default/navigation/menu/site.php: Fixes for several menu issues 

  	* views/default/page/elements/footer.php: No more need to explicitly include
  elgg-menu-footer class 

  	* views/default/navigation/menu/default.php: Always include name of menu in
  menu classes 

  	* mod/bookmarks/start.php, views/default/page/elements/sidebar.php: Refs
  #2895: Renamed "page_links" to "extras" -- feels more semantic (facebook's
  menu has actions such as unfriend, share, block) 

2011-02-27  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPlugin.php, mod/categories/manifest.xml,
  mod/categories/start.php: Fixes #3011. on_activate and on_deactivate work for
  plugins now. Updated the categories plugin to use it.  

2011-02-27  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/views/default/object/blog.php,
  mod/categories/views/default/output/categories.php,
  views/default/css/elements/icons.php,
  views/default/page/components/list/body.php: pushing categories to the next
  line when viewing an entity  

  	* views/default/js/admin.php: slide up system messages in admin area  

  	* views/default/page/admin.php: fixed the AWHOL state of system messages on
  admin pages  

  	* .../views/default/admin/users/unvalidated.php,
  .../forms/uservalidationbyemail/bulk_action.php: fixed bad return value in
  unvalidated users bulk action form  

2011-02-26  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/forms/useradd.php: fixed useradd form  

  	* engine/lib/admin.php, engine/lib/navigation.php: Fixes #2951 not
  registering utilities menu item by default but added code to automatically
  register a parent menu if not registered in admin menu registration function.
  We lose the ability to set a weight on utilities.  

  	* engine/lib/admin.php, engine/lib/widgets.php, mod/developers/start.php,
  mod/diagnostics/start.php, mod/externalpages/start.php,
  mod/logbrowser/start.php, mod/reportedcontent/start.php,
  mod/uservalidationbyemail/start.php: simplified admin menu registration
  function in preparation for adding sections  

  	* install/ElggInstaller.php, install/languages/en.php: Fixes #2799 added
  check for session.auto_start  

  	* engine/lib/admin.php, views/default/css/admin.php,
  views/default/page/admin.php: moved admin messages into admin page shell  

  	* engine/lib/admin.php, install/ElggInstaller.php, languages/en.php,
  views/default/css/admin.php, views/default/widgets/admin_welcome/content.php:
  Fixes #2913 - directs the user to admin dashboard when installer finishes  

  	* .../views/default/bookmarks/bookmarklet.php: Fixes #2977 changed title to
  alt  

  	* _graphics/friendspicker.png, actions/friends/collections/edit.php,
  languages/en.php, pages/friends/collections/add.php,
  pages/friends/collections/pickercallback.php,
  views/default/core/friends/collections.php,
  views/default/css/elements/forms.php, views/default/css/elements/misc.php,
  views/default/forms/friends/collections/add.php,
  views/default/forms/friends/collections/edit.php,
  views/default/input/friendspicker.php: Fixes #2982 friends collections work
  even if the code is convoluted and poorly written.  

  	* .../notifications/subscriptions/forminternals.php: fixed notifications
  plugin's hacked up friends picker...shudder  

  	* mod/groups/lib/groups.php,
  mod/groups/views/default/forms/groups/invite.php: fixed group invite form  

  	* engine/lib/elgglib.php: fixed image size attributes added to "power by"
  image  

2011-02-26  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggSite.php: Refs #2693 - Added pg/css and pg/js to the
  list of public pages for walled garden.  

2011-02-26  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* actions/friends/addcollection.php, actions/friends/collections/add.php,
  actions/friends/collections/delete.php, actions/friends/collections/edit.php,
  actions/friends/deletecollection.php, actions/friends/editcollection.php,
  engine/lib/users.php, pages/friends/add.php, pages/friends/collections.php,
  pages/friends/collections/add.php,
  pages/friends/collections/pickercallback.php,
  pages/friends/collections/view.php, pages/friends/edit.php,
  pages/friends/pickercallback.php, views/default/core/friends/collection.php,
  views/default/core/friends/collections.php,
  views/default/core/friends/collectiontabs.php,
  views/default/forms/friends/collectionfields.php,
  views/default/forms/friends/collections/edit.php,
  views/default/forms/friends/edit.php: Refs #2982 adding and deleting friend
  collections works - editing does not  

  	* engine/lib/views.php, mod/groups/views/default/forms/groups/invite.php,
  pages/friends/pickercallback.php, views/default/core/friends/collection.php,
  views/default/core/friends/picker.php, views/default/forms/friends/edit.php,
  views/default/input/friendspicker.php: fixed friends picker js include  

2011-02-26  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/navigation.php: Switching elgg-menu-metadata to
  inline-block method of declaring a horizontal menu 

  	* mod/groups/views/default/group/default.php,
  mod/thewire/views/default/thewire/metadata.php, views/default/css/admin.php,
  views/default/css/elements/components.php,
  views/default/css/elements/navigation.php,
  views/default/navigation/menu/metadata.php,
  views/default/object/plugin/advanced.php,
  views/default/page/components/list/body.php, views/default/user/default.php:
  Refs #2895: .elgg-list-metadata => .elgg-menu-metadata.  Still not using menu
  system yet, though 

  	* views/default/css/elements/navigation.php: .elgg-menu enhancement for
  horizontal menus 

  	* views/default/css/elements/layout.php,
  views/default/css/elements/navigation.php,
  views/default/navigation/breadcrumbs.php: .elgg-menu is no longer trivial 

  	* engine/lib/elgglib.php: Added explicit height and width to powered_by_elgg
  icon 

  	* views/default/css/elements/icons.php: Fixes #2691: Switching elgg-icon to
  display:inline-block -- matches behavior of <img> tag 

2011-02-25  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/reportedcontent/start.php, .../views/default/reportedcontent/css.php:
  Converted report-this icon to be compatible with elgg_view_icon 

  	* engine/lib/elgglib.php, mod/reportedcontent/start.php,
  .../views/default/reportedcontent/css.php,
  .../views/default/reportedcontent/footer_link.php,
  views/default/page/elements/footer.php: Refs #2895: Removed footer/links
  view.  Moved report-this link into alternate footer menu 

  	* engine/lib/elgglib.php, views/default/css/elements/layout.php,
  views/default/css/elements/navigation.php,
  views/default/page/elements/footer.php: Refs #2895: Added support for an
  "alt" section in the footer menu.  Put "powered by Elgg" badge in here 

  	* js/lib/elgglib.js, js/lib/session.js: Refs #2538: Functions don't need
  double-namespacing 

  	* views/default/css/elements/components.php,
  views/default/css/elements/misc.php,
  views/default/css/elements/navigation.php: Using shorthand in css to scrunch
  it a bit 

  	* views/default/css/elements/layout.php,
  views/default/css/elements/page_layout.php, views/default/css/elgg.php:
  Converted css/elements/page_layout to layout.  Now we have a bunch of nice,
  terse, 1-word names :) 

  	* engine/lib/admin.php, engine/lib/elgglib.php, engine/lib/users.php,
  views/default/css/elements/navigation.php,
  views/default/css/elements/page_layout.php,
  views/default/page/elements/topbar.php: Refs #2895: Converted topbar to one
  menu (felt dirty using two).  Fixed styles. 

  	* engine/lib/users.php, mod/messages/start.php,
  mod/messages/views/default/messages/topbar.php: Refs #2895: Messages now uses
  new topbar menu 

  	* mod/bookmarks/start.php, .../views/default/bookmarks/page_links.php,
  views/default/page/elements/page_links.php,
  views/default/page/elements/sidebar.php: Refs #2895: Converted page_links
  into a menu.  Bookmarks now uses it 

  	* engine/lib/admin.php, engine/lib/users.php,
  views/default/page/elements/topbar.php: Refs #2895: Made topbar into 2 menus.
   CSS will have to be fixed 

  	* engine/lib/navigation.php: Corrects bug that occurred when ElggMenuItem is
  passed 

  	* mod/blog/views/default/object/blog.php, mod/groups/start.php,
  .../views/default/groups/invitationrequests.php,
  .../views/default/groups/membershiprequests.php,
  .../views/default/object/groupforumtopic.php,
  mod/messages/views/default/object/messages.php,
  .../notifications/subscriptions/forminternals.php,
  mod/profile/views/default/profile/owner_block.php,
  views/default/annotation/default.php,
  views/default/annotation/generic_comment.php,
  views/default/annotation/likes.php, views/default/core/friends/picker.php,
  views/default/core/friends/tablelist.php,
  views/default/forms/friends/edit.php, views/default/river/item/image.php,
  views/default/river/relationship/friend/create.php,
  views/default/user/default.php, views/default/widgets/friends/content.php:
  Converted all uses of profile/icon in core + plugins to elgg_view_entity_icon

  	* engine/lib/navigation.php: Emit a warning + debug info when an attempt to
  register a menu item fails 

  	* engine/classes/ElggMenuItem.php: Supporting is_action in ElggMenuItem 

  	* views/installation/forms/install/template.php,
  views/installation/install/pages/admin.php,
  views/installation/install/pages/database.php,
  views/installation/install/pages/settings.php: Cleaned up some js in the
  installer 

  	* views/installation/input/checkbox.php,
  views/installation/input/checkboxes.php: Updated input/checkboxes code in
  installation viewtype 

  	* views/installation/install/forms/admin.php,
  views/installation/install/forms/database.php,
  views/installation/install/forms/settings.php,
  views/installation/install/forms/template.php,
  views/installation/install/pages/admin.php,
  views/installation/install/pages/database.php,
  views/installation/install/pages/settings.php: Converted installation forms
  to use elgg_view_form and the /forms/ directory 

2011-02-24  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/js/admin.php: Fixes #2998. Updated admin JS for dnd plugin
  reordering with new plugin layout.  

2011-02-24  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggAnnotation.php: Fixes #2960 removing river entry for
  deleted annotation  

  	* views/default/css/admin.php, views/default/css/elements/reset.php: fixed
  dragging/scrolling issue caused by overflow-y on body  

  	* engine/classes/ElggMenuItem.php: fixed typo in elgg menu updates from last
  night  

  	* engine/lib/users.php, languages/en.php, pages/friends/collections.php,
  views/default/css/elements/misc.php: fixing friends collections for backward
  compatibility  

  	* engine/classes/ElggMenuItem.php,
  views/default/navigation/menu/elements/item.php: finished the implementation
  of non-links in menu system  

  	* engine/classes/ElggMenuItem.php,
  mod/profile/views/default/profile/owner_block.php,
  views/default/navigation/menu/elements/item.php: using getContent() in menu
  system in preparation for supporting non-links  

  	* engine/classes/ElggMenuBuilder.php, engine/classes/ElggMenuItem.php,
  engine/lib/admin.php, engine/lib/deprecated-1.8.php,
  engine/lib/navigation.php, engine/lib/user_settings.php,
  engine/lib/users.php, engine/lib/views.php, mod/bookmarks/start.php,
  mod/developers/start.php, mod/file/views/default/file/typecloud.php,
  mod/invitefriends/start.php, mod/messages/start.php,
  mod/notifications/start.php, mod/pages/lib/pages.php: Fixes #2997 - href used
  instead of url in menu system  

  	* engine/classes/ElggMenuBuilder.php, engine/classes/ElggMenuItem.php,
  engine/lib/admin.php, engine/lib/deprecated-1.8.php,
  engine/lib/user_settings.php, engine/lib/users.php, engine/lib/views.php,
  mod/bookmarks/start.php, mod/developers/start.php,
  mod/file/views/default/file/typecloud.php, mod/invitefriends/start.php,
  mod/messages/start.php, mod/notifications/start.php, mod/pages/lib/pages.php,
  views/default/forms/admin/menu/save.php: Refs #2997 switching from title to
  text for menu items  

  	* views/default/core/friends/tablelist.php,
  views/default/css/elements/forms.php, views/default/css/elements/misc.php:
  moved another friends picker css section to forms css view  

  	* views/default/core/avatar/crop.php, views/default/core/avatar/upload.php,
  views/default/css/elements/misc.php, views/default/forms/avatar/crop.php:
  cutting down the amount of css required for the avatar page  

  	* views/default/core/river/body.php, views/default/core/river/controls.php,
  views/default/core/river/footer.php, views/default/core/river/image.php,
  views/default/river/item.php, views/default/river/item/body.php,
  views/default/river/item/controls.php, views/default/river/item/footer.php,
  views/default/river/item/image.php: organized the river views according to
  the subview pattern  

2011-02-23  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/modules.php: Adjusting offset for dropdown
  module 

  	* engine/lib/admin.php: Simplify registration of jeditable library 

  	* views/default/css/elements/components.php,
  views/default/css/elements/layout_objects.php, views/default/css/elgg.php:
  Refs #2993: Changed css layout_objects to components 

  	* views/default/css/elgg.php: Refs #2995: Including css/elements/buttons in
  css/elgg 

  	* views/default/css/elements/buttons.php,
  views/default/css/elements/forms.php, views/default/css/elements/misc.php:
  Fixes #2995: buttons get their own css file 

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php,
  mod/pages/views/default/object/page_top.php,
  mod/thewire/views/default/object/thewire.php,
  views/default/object/default.php,
  views/default/object/elements/list_body.php,
  views/default/page/components/list/body.php, views/default/user/default.php:
  Fixes #2992: moved object/elements/list_body to page/components/list/body 

  	* js/lib/ui.js: Fixes #2976: Removed second toggler implementation 

  	* mod/blog/lib/blog.php, mod/file/index.php,
  mod/file/views/default/object/file.php,
  .../views/default/groups/invitationrequests.php,
  .../views/default/groups/membershiprequests.php, mod/messages/read.php,
  .../views/default/forms/messages/process.php,
  mod/messages/views/default/object/messages.php, mod/pages/view.php,
  mod/profile/views/default/profile/owner_block.php,
  .../views/default/object/reported_content.php,
  .../views/default/thewire/profile_status.php,
  views/default/admin/plugins/advanced.php,
  views/default/annotation/generic_comment.php,
  views/default/annotation/likes.php,
  views/default/core/account/login_dropdown.php,
  views/default/core/friends/picker.php,
  views/default/forms/profile/fields/reset.php, views/default/input/button.php,
  views/default/object/plugin/advanced.php,
  views/default/page/layouts/content/header.php,
  views/default/page/layouts/widgets/add_button.php: Every occurrence of
  elgg-button-$type needs an elgg-button base class declaration -- or should we
  remove that requirement? 

  	* mod/profile/views/default/profile/owner_block.php,
  .../views/default/object/reported_content.php,
  views/default/core/river/controls.php, views/default/core/river/footer.php,
  views/default/object/widget/elements/controls.php,
  views/default/object/widget/elements/settings.php,
  views/default/page/layouts/widgets/add_button.php,
  views/default/page/layouts/widgets/add_panel.php: Refs #2976: Converted most
  markup to use elgg-toggler elgg-toggles-* pattern 

  	* views/default/css/elements/page_layout.php,
  views/default/page/default.php: Fixes #2957: elgg-page-classic =>
  elgg-page-default 

  	* views/default/page/admin.php, views/default/page/layouts/one_column.php,
  views/default/page/layouts/one_sidebar.php: Moved elgg-inner out of layouts
  and into the page shell 

  	* mod/messageboard/views/default/messageboard/js.php,
  mod/messages/views/default/object/messages.php,
  mod/thewire/views/default/thewire/css.php,
  mod/tinymce/views/default/tinymce/css.php,
  views/default/annotation/generic_comment.php,
  views/default/annotation/likes.php, views/default/css/ie.php,
  views/default/css/ie6.php, views/default/page/upgrade.php: Converted
  delete-button to elgg-button-delete throughout plugins 

  	* views/default/css/elements/forms.php, views/default/css/elements/misc.php:
  Moved elgg-button-dropdown to forms 

  	* views/default/css/elements/chrome.php: Cleanup of css/elements/chrome.php 

  	* views/default/css/elements/forms.php: Converted delete-button to
  elgg-button-delete.  This breaks some things because the semantics of the two
  are not equivalent. .delete-button just really needed to die 

  	* views/failsafe/canvas/default.php, views/foaf/canvas/default.php,
  views/ical/canvas/default.php, views/json/canvas/default.php,
  views/opendd/canvas/default.php, views/php/canvas/default.php: Deleting
  deprecated canvas/ directory from all viewtypes 

  	* views/default/navigation/menu/default.php: DRY'ed up default menu a bit 

2011-02-22  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../views/default/page/shells/theme_preview.php,
  .../views/default/page/theme_preview.php: Moved theme_preview page shell out
  into page/ 

  	* views/default/css/elements/page_layout.php,
  views/default/page/elements/sidebar_alt.php,
  views/default/page/layouts/one_column.php,
  views/default/page/layouts/one_sidebar.php,
  views/default/page/layouts/two_sidebar.php: Trying to simplify layout css: 
  nixed elgg-aside .elgg-sidebar.elgg-alt => .elgg-sidebar-alt (similar to
  .elgg-image-alt) 

  	* views/default/admin/footer.php, views/default/admin/header.php,
  views/default/page/admin.php, views/default/page/layouts/admin.php: extracted
  admin header, footer to admin/*.  Moved pageshell code from admin layout to
  admin pageshell. 

  	* install/css/install.css, views/installation/install/footer.php,
  views/installation/install/header.php,
  views/installation/install/sidebar.php, views/installation/page/default.php,
  views/installation/page/elements/footer.php,
  views/installation/page/elements/header.php,
  views/installation/page/elements/sidebar.php: Move install
  footer/header/sidebar into page/elements.  Converted CSS to use more standard
  Elgg framework objects 

  	* views/default/page/elements/content_header.php,
  .../page/elements/content_header_member.php: Removing holdovers from elgg.com

  	* views/failsafe/page/default.php, views/failsafe/page/shells/default.php,
  views/foaf/page/default.php, views/foaf/page/shells/default.php,
  views/ical/page/default.php, views/ical/page/shells/default.php,
  views/installation/page/default.php,
  views/installation/page/shells/default.php, views/json/page/default.php,
  views/json/page/shells/default.php, views/opendd/page/default.php,
  views/opendd/page/shells/default.php, views/php/page/default.php,
  views/php/page/shells/default.php, views/rss/page/default.php,
  views/rss/page/shells/default.php, views/xml/page/default.php,
  views/xml/page/shells/default.php: Moved page/shells/* to page/* 

  	* mod/embed/views/default/embed/css.php, views/default/css/ie.php,
  views/default/export/entity.php: entity-listing => elgg-image-block,
  margin-top => mtm 

  	* mod/groups/lib/groups.php,
  mod/groups/views/default/forms/groups/delete.php,
  mod/groups/views/default/forms/groups/invite.php,
  mod/groups/views/default/forms/groups/search.php,
  mod/groups/views/default/groups/css.php,
  .../views/default/groups/group_sort_menu.php,
  .../views/default/groups/invitationrequests.php,
  .../views/default/groups/membershiprequests.php,
  .../default/groups/profile/activity_module.php,
  .../views/default/groups/profile/buttons.php,
  .../views/default/groups/profile/profile_block.php,
  .../views/default/groups/profile/widgets.php,
  .../views/default/groups/sidebar/members.php: Touch ups of groups plugin 

  	* mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/js.php,
  mod/embed/views/default/embed/layouts/gallery.php,
  mod/embed/views/default/embed/layouts/list.php,
  mod/embed/views/default/embed/lightbox_init.php,
  mod/embed/views/default/embed/link.php,
  mod/embed/views/default/embed/upload/content.php,
  mod/embed/views/default/group/default/embed.php,
  mod/embed/views/default/object/file/embedlist.php: Touch ups for the embed
  plugin -- this one needs some serious work still, though... 

  	* views/default/output/url.php: Utilizing elgg_extract in output/url 

  	* js/lib/configuration.js: Added elgg.get_site_url(), so people don't have
  to deal with the config object. 

  	* mod/diagnostics/actions/download.php,
  .../views/default/admin/utilities/diagnostics.php,
  .../views/default/diagnostics/forms/download.php: Touch ups for diagnostics
  plugin 

  	* views/default/admin/plugin_settings.php,
  views/default/core/settings/tools.php,
  views/default/forms/plugins/settings/save.php: Deprecated
  (user)settings/$plugin_id/edit in favor of plugins/$plugin_id/(user)settings 

  	* mod/bookmarks/start.php: Default permissions for new actions is logged_in,
  so no need to make that explicit 

  	* mod/blog/lib/blog.php, mod/blog/views/default/forms/blog/save.php,
  mod/blog/views/default/input/datetime.php,
  mod/blog/views/default/js/blog/save_draft.php: Cleaned up blog js 

2011-02-22  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* index.php: Fixes #2952 less silliness in Elgg now  

  	* engine/lib/pageowner.php: Refs #2790 - fixes it for real this time  

  	* engine/lib/pageowner.php: Fixes #2790 adds fix from 1.7 branch into trunk 

2011-02-22  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* crontab.example, documentation/examples/crontab.example: Moved
  crontab.example into documentation directory 

2011-02-22  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/actions/developers/settings.php,
  mod/developers/languages/en.php, mod/developers/manifest.xml,
  .../views/default/admin/developers/settings.php,
  mod/developers/views/default/developers/css.php,
  .../views/default/forms/developers/settings.php: started adding a settings
  page  

2011-02-22  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* : hmmm... how did those get there? 

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/group/default.php,
  .../views/default/object/groupforumtopic.php,
  mod/pages/views/default/object/page_top.php,
  mod/thewire/views/default/object/thewire.php,
  views/default/object/default.php, views/default/page/layouts/content.php,
  views/default/user/default.php: Fixes #2950: All files that were calling into
  layout/* now use the up-to-date locations 

  	* .../views/default/bookmarks/page_links.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  .../views/default/theme_preview/icons.php,
  mod/thewire/views/default/thewire/metadata.php,
  .../admin/appearance/profile_fields/list.php,
  views/default/core/likes/display.php, views/default/icon/user/default.php,
  views/default/navigation/menu/metadata.php,
  views/default/navigation/menu/site.php, views/default/output/tagcloud.php,
  views/default/output/tags.php, views/default/page/elements/page_links.php,
  views/default/page/elements/topbar.php,
  views/default/river/relationship/friend/create.php: Fixes #2980: DRY'ed up
  all plugins to use elgg_view_icon instead of generating their own html 

  	* views/default/forms/comments/inline.php: Deprecated forms/comments/inline
  in favor of passing inline => TRUE to forms/comments/add 

  	* views/default/core/river/footer.php: core river footer taking advantage of
  new DRY comment form 

  	* engine/lib/views.php: Refs #2980: Added an elgg_view_icon function 

  	* views/default/graphics/ajax_loader.php: Typo in ajax_loader 

  	* views/default/navigation/listtype.php,
  views/default/navigation/topbar_tools.php: Cleaned up some nav views 

  	* views/default/navigation/menu/metadata.php: Refs #2950:
  layout/objects/list/metadata => navigation/menu/metadata 

  	* views/default/object/elements/list_body.php,
  views/default/page/components/list/body.php,
  views/default/page/layouts/content.php,
  views/default/page/layouts/widgets.php: Refs #2950: update locations of
  layout elements + moved page/components/list/body into
  object/elements/list_body -- not sure if this will be the final location 

  	* views/default/navigation/viewtype.php: Added appropraite @deprecated tag
  to navigation/viewtype 

  	* views/default/profile/icon.php: Included proper deprecation notice with
  deprecated view 

  	* views/default/layout/objects/list/body.php,
  views/default/layout/objects/list/metadata.php,
  views/default/layout/shells/content/filter.php,
  views/default/layout/shells/content/footer.php,
  views/default/layout/shells/content/header.php,
  views/default/layout/shells/content/sidebar.php,
  views/default/layout/shells/widgets/add_button.php,
  views/default/layout/shells/widgets/add_panel.php,
  views/default/page/components/list/body.php,
  views/default/page/layouts/content/filter.php,
  views/default/page/layouts/content/footer.php,
  views/default/page/layouts/content/header.php,
  views/default/page/layouts/content/sidebar.php,
  views/default/page/layouts/widgets/add_button.php,
  views/default/page/layouts/widgets/add_panel.php: Refs #2950: Moved /layout/
  views into /page/ dir -- still not satisfied with page/components/list/body,
  page/layouts/content/* and page/layouts/widgets/add_button 

  	* views/default/forms/comments/add.php: Dry'ed up forms/comments/add a bit 

  	* views/default/forms/comments/add.php: merged comments/inline and
  comments/add forms 

  	* views/default/forms/friends/edit.php: Deleted completed @todo 

  	* pages/friends/add.php, pages/friends/edit.php,
  views/default/forms/friends/edit.php: forms/friends/edit no longer contains
  input/form logic 

  	* views/default/admin/users/add.php, views/default/forms/useradd.php:
  Extracted input/form login from forms/useradd 

  	* engine/lib/admin.php, views/default/admin/components/invalid_plugin.php,
  views/default/admin/components/plugin.php,
  .../admin/components/plugin_dependencies.php,
  views/default/admin/components/plugin_settings.php,
  views/default/admin/plugin_settings.php,
  views/default/admin/plugins/advanced.php,
  views/default/core/settings/tools.php,
  views/default/core/settings/tools/plugin.php,
  .../forms/admin/plugins/simple_update_states.php,
  views/default/forms/plugins/usersettings/save.php,
  views/default/js/admin.php, views/default/object/plugin.php,
  views/default/object/plugin/advanced.php,
  .../object/plugin/elements/dependencies.php,
  views/default/object/plugin/invalid.php,
  views/default/object/plugin/simple.php: Refs #2950: Cleanup of plugin-related
  view structure 

  	* views/default/output/longtext.php: output/longtext can now apply arbitrary
  html attributes to the wrapper div 

  	* views/default/core/dashboard/blurb.php: Cleaned up core/dashboard/blurb to
  take advantage of the new <div> wrapper around output/longtext 

2011-02-21  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* pages/settings/tools.php: Removed use of deprecated set_page_owner 

  	* views/default/admin/sidebar.php, views/default/admin/sidebar/menu.php,
  views/default/page/layouts/admin.php: Refs #2950: Cleaned up admin sidebar
  code 

  	* engine/lib/deprecated-1.8.php,
  views/default/css/elements/layout_objects.php,
  views/default/page/elements/owner_block.php: elgg-owner-block-menu =>
  elgg-menu-owner-block 

  	* views/default/admin/sidebar/menu.php,
  views/default/layout/shells/admin/menu.php,
  views/default/page/layouts/admin.php: Refs #2950: layout/shells/admin/menu =>
  admin/sidebar/menu 

  	* engine/lib/views.php, views/default/page/admin.php,
  views/default/page/default.php, views/default/page/shells/admin.php,
  views/default/page/shells/default.php, views/default/page/shells/upgrade.php,
  views/default/page/shells/walled_garden.php, views/default/page/upgrade.php,
  views/default/page/walled_garden.php: Refs #2950: Move page/shells/ directly
  under /page/ since nowhere else in views do we use a shells directory. 

  	* views/default/layout/objects/widget/controls.php,
  views/default/layout/objects/widget/settings.php,
  views/default/object/widget.php,
  views/default/object/widget/elements/controls.php,
  views/default/object/widget/elements/settings.php,
  views/default/page/components/widget.php: Refs #2950: Moved widget code to
  object/widget/* 

2011-02-21  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/pageowner.php: Default page owner code now ignores the query.
  Works for pages like pg/bookmarks/add/34?address=http://google.com  

2011-02-21  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/users.php: fixed caching of user avatars  

  	* engine/lib/admin.php, engine/lib/views.php, mod/bookmarks/start.php,
  mod/categories/start.php, mod/custom_index/start.php,
  .../views/default/page/shells/theme_preview.php, mod/embed/start.php,
  mod/file/start.php, mod/groups/start.php, mod/messages/start.php,
  mod/notifications/start.php, mod/pages/start.php, mod/profile/start.php,
  mod/reportedcontent/start.php, mod/search/start.php, mod/tinymce/start.php,
  mod/twitter/start.php, mod/zaudio/start.php, views/default/css.php,
  views/default/css/elements/layout_objects.php, views/default/css/elgg.php,
  views/default/css/screen.php, views/default/page/shells/default.php: Fixes
  #2934 switching to css/elgg for css view since using a print viewtype is a
  good idea and screen would become a confusing idea  

  	* actions/likes/add.php, engine/classes/ElggEntity.php, languages/en.php,
  views/default/core/likes/display.php, views/default/core/river/controls.php:
  fixes #2885 #2569 likes controlled by canAnnotate() with plugin hook  

  	* engine/classes/ElggEntity.php, engine/classes/ElggGroup.php,
  engine/classes/ElggObject.php, engine/classes/ElggUser.php,
  mod/blog/classes/ElggBlog.php, mod/thewire/classes/ElggWire.php,
  mod/thewire/start.php, views/default/core/river/controls.php: Fixes #2971
  added canComment() method and implemented it for ElggBlog  

2011-02-21  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* actions/admin/plugins/activate.php,
  actions/admin/plugins/activate_all.php, actions/admin/plugins/deactivate.php,
  actions/admin/plugins/deactivate_all.php,
  actions/admin/plugins/set_priority.php,
  actions/admin/plugins/simple_update_states.php, install/ElggInstaller.php,
  languages/en.php: Fixes #2452. Removed the first admin installation notice.
  It was just a reminder to his "save" on the simple plugins screen. This is
  pretty obvious.  

  	* engine/lib/upgrades/2010050701.php: Fixes #2310. Rewriting
  disable_registration to allow_registration in walled garden upgrade.  

  	* mod/bookmarks/actions/bookmarks/save.php,
  mod/messageboard/actions/add.php,
  mod/messageboard/views/default/messageboard/js.php: Fixes #2719. Removing
  hack from bookmarks add. Now appends http:// to www.example.com and validates
  that.  

2011-02-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/actions/blog/save.php, mod/blog/lib/blog.php: fixed blog sticky
  forms  

  	* mod/file/index.php, mod/file/start.php, mod/file/upload.php,
  mod/file/view.php, mod/groups/lib/discussion.php, mod/groups/start.php,
  mod/pages/friends.php, mod/pages/index.php, mod/pages/start.php,
  mod/thewire/start.php: Fixes #2970 updated groups, file, pages, and wire
  plugins for automatic page owner setting  

  	* mod/bookmarks/actions/bookmarks/save.php: fixed sticky forms for bookmarks
   

  	* mod/bookmarks/views/default/object/bookmarks.php: fixed copy and paste
  error in bookmarks  

  	* mod/blog/lib/blog.php, mod/bookmarks/pages/add.php,
  mod/bookmarks/pages/all.php, mod/bookmarks/pages/edit.php,
  mod/bookmarks/pages/friends.php, mod/bookmarks/pages/owner.php,
  mod/bookmarks/pages/view.php, mod/bookmarks/start.php: Refs #2970 updated
  blog and bookmarks plugins  

2011-02-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/upgrades/create_upgrade.php: Fixed a few bugs with
  create_upgrade.php.  It now also automatically increments version.php.  

  	* version.php: Refs #2049: Missed version.php.  

2011-02-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/pageowner.php: added code to figure out page owner rather than
  explicitly setting in all the plugin page handlers  

2011-02-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* ..._svn-custom_profile_fields-390ac967b0bb5665.php: Fixes #2049. Created
  migration for 1.7 custom profile fields to 1.8.  

  	* mod/groups/actions/delete.php: Refs #2787, #2956: Merged fix for deleting
  group icon files on group delete to trunk.  

  	* views/default/core/river/filter.php: Refs #2697, #2956. Ported fix to show
  users and groups in river filter to trunk.  

  	* engine/lib/actions.php: Refs #2833, #2956. Merged 1.7's action timeout
  changes to 1.8.  

  	* engine/tests/regression/trac_bugs.php: Refs #2956. Merged left out merges
  from r2799 to trunk.  

  	* engine/lib/elgglib.php: Refs #2749, #2956. Merged elgg_depracated_notice()
  fixes to trunk.  

  	* engine/lib/configuration.php: Refs #2793, #2956. Ported
  run_function_once() and datalist_get/set() changes for values > 32 chars to
  trunk.  

  	* engine/lib/configuration.php: Refs #2813, #2956. Ported get_config()
  returns null to 1.8's get_config() and elgg_get_config().  

  	* engine/lib/notification.php: Refs #2617, #2956: Merged email notification
  exception message fix in r7926 to trunk.  

  	* mod/file/start.php: Refs #2765, #2956. Merged r7830 fix for group files to
  trunk.  

  	* engine/classes/ElggEntity.php, engine/tests/objects/entities.php: Fixes
  #2963: Rewrote ElggEntity->setMetadata() because yikes. Wrote unit tests for
  setting metadata on saved / unsaved entities.  

2011-02-20  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/layouts/admin.php: only include footer/analytics view
  once on admin pages  

2011-02-20  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../actions/resend_validation.php,
  mod/uservalidationbyemail/languages/en.php,
  mod/uservalidationbyemail/lib/functions.php,
  mod/uservalidationbyemail/start.php,
  .../views/default/admin/users/unvalidated.php,
  .../forms/uservalidationbyemail/bulk_action.php,
  .../views/default/uservalidationbyemail/js.php,
  .../uservalidationbyemail/unvalidated_user.php: Fixes #2658. Merged
  uservalidationbyemail changes from 1.7 to 1.8. This plugin needs cleanup.  

  	* engine/lib/widgets.php: Fixed problems with user-self registration if
  default widgets are set.  

  	* js/lib/ui.js: Removing more debug code.  

  	* js/lib/ui.js: Removing debug code from previous.  

  	* js/lib/ui.js: Fixes #2947: User hover menu attached to body and shows
  regardless of overflow.  

  	* mod/bookmarks/actions/bookmarks/save.php: Fixes #2719: Addresses are
  checked and normalized (and checked again) for bookmarks.  

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messages/views/default/forms/messages/send.php: Can send messages to
  non-friends.  

  	* languages/en.php, views/default/admin/appearance/default_widgets.php:
  Added instructions for default widgets.  

  	* actions/widgets/add.php: No need to say the widget was added because we
  can see it happen.  

  	* views/default/css/admin.php: Copied all the icons into the admin theme.  

  	* install/ElggInstaller.php: Installation loads 3 default widgets for the
  admin dashboard.  

  	* views/default/css/elements/icons.php: Refs #2961: Restoring old icon CSS
  for sprites and hover menu.  

  	* mod/messageboard/views/default/messageboard/js.php: Fixes #2962. I hate
  ie.  

  	* mod/messageboard/actions/add.php, mod/messageboard/actions/delete.php,
  mod/messageboard/ajax_endpoint/load.php, mod/messageboard/history.php,
  mod/messageboard/index.php, mod/messageboard/languages/en.php,
  mod/messageboard/manifest.xml, mod/messageboard/pages/owner.php,
  mod/messageboard/start.php, .../views/default/annotation/messageboard.php,
  mod/messageboard/views/default/messageboard/js.php,
  .../default/messageboard/messageboard_content.php,
  .../views/default/widgets/messageboard/content.php,
  .../views/default/widgets/messageboard/edit.php: Refs #2916. More cleanup of
  the messageboard widget.  

  	* views/default/admin/appearance/default_widgets.php: Refs #2753. Missed
  this one.  

  	* js/lib/ajax.js: elgg.action() now supports full URLs.  

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/tinymce/views/default/input/longtext.php: fixed tinymce "remove
  editor" javascript  

  	* languages/en.php: updated language string for comments  

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/elgglib.js: elgg.normalize_url() JS does the same as
  elgg_normalize_url() PHP.  

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../views/default/layout/shells/custom_index.php,
  .../views/default/page/layouts/custom_index.php: updated the custom index for
  new views layout structure  

  	* mod/notifications/start.php: fixed the call to unextend the user settings
  for notifications  

  	* views/default/page/elements/messages.php: system messages use autop() for
  formatting rather than output/longtext  

  	* views/default/css/elements/chrome.php,
  views/default/forms/comments/add.php,
  views/default/page/elements/comments.php: improved the styling of the comment
  area  

  	* languages/en.php, mod/blog/languages/en.php, mod/blog/lib/blog.php,
  mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php,
  mod/thewire/views/default/object/thewire.php: Fixes #2824 moved byline text
  in core language file  

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js: Avatar menus use live() so they'll work with content
  inserted into the dom.  

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/chrome.php,
  views/default/css/elements/typography.php, views/default/output/longtext.php:
  added elgg-output class for displaying user input with typical styling for
  lists and tables  

  	* engine/lib/views.php: fixed typo  

  	* views/default/page/elements/comments.php: another work around to suppress
  incorrect warnings from elgg_view()  

  	* views/default/input/longtext.php: added a work around for injecting
  internal* variables to handle deprecation code - this prevents warnings from
  being emitted for no reason  

  	* mod/bookmarks/views/default/object/bookmarks.php,
  views/default/css/elements/icons.php,
  views/default/css/elements/layout_objects.php,
  views/default/css/elements/navigation.php,
  views/default/css/elements/page_layout.php,
  views/default/layout/objects/list/body.php,
  views/default/output/tagcloud.php, views/default/output/tags.php: improved
  icon css so that they do not require having display: block  

  	* views/default/css/screen.php: removed a $CONFIG usage in css/screen view  

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/annotation/generic_comment.php: Genericked up
  annotation/generic_comment view to allow reuse in plugins.  

  	* install/ElggInstaller.php: Fixes #2959: Removed engine/lib/install.php
  from ElggInstaller since it's no longer required.  

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/core/likes/display.php: fixed typo on function name  

2011-02-19  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/page_layout.php,
  views/default/css/elements/typography.php: Moving elgg-heading-main into
  typography 

  	* views/default/css/elements/page_layout.php: That wasn't supposed to be
  there... 

  	* views/default/css/elements/page_layout.php,
  views/default/css/elements/typography.php: Moved elgg-heading-site into
  typography 

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messageboard/actions/add.php, mod/messageboard/start.php,
  .../views/default/forms/messageboard/add.php,
  .../views/default/messageboard/forms/add.php,
  mod/messageboard/views/default/messageboard/js.php,
  .../views/default/widgets/messageboard/content.php: Refs #2916: Moved
  messageboard js into elgg.messageboard object. Moved forms into
  forms/messageboard.  Can post now, but wow this plugin needs cleaned up.  

2011-02-19  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/messages/views/default/messages/topbar.php: More consistent way of
  building topbar item for messages plugin 

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/bookmarks/actions/bookmarks/save.php: sticky form wasn't being cleared
  in bookmarks - that's fixed now  

  	* mod/bookmarks/views/default/object/bookmarks.php: fixed display issue when
  a bookmark has no description text  

2011-02-19  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../views/default/theme_preview/forms.php: elgg-state-selected doesn't
  make sense for non-default buttons 

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/bookmarks/actions/bookmarks/delete.php: fixed forward url when
  deleting a bookmark  

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/users.php: Fixes #2905: Admin action links on user hover menu
  asks for confirmation.  

  	* engine/classes/ElggMenuItem.php,
  views/default/navigation/menu/elements/item.php: Added 4 methods to
  ElggMenuItem: get/setLinkClass() and get/setItemClass(). This allows you to
  put classes on the a and li tags it generates.  

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/input.php: added documentation for the livesearch page handler 

2011-02-19  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* .../views/default/page/shells/theme_preview.php,
  .../views/default/theme_preview/forms.php: More buttons in forms theme
  preview 

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/ui.js, views/default/output/confirmlink.php: Pulled the confirm
  link output view's JS into elgg.us. Any links with elgg-requires-confirmation
  will get a confirm box with the title of the anchor tag as the question, or
  the default "Are you sure?" if that doesn't exist.  

  	* views/default/input/plaintext.php: Fixed the tab that was showing up in
  every text area.  

2011-02-19  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/search/search_hooks.php: removed $CONFIG usage in search hooks  

  	* mod/pages/views/default/pages/sidebar/history.php: Fixes #2955 fixed typo 

  	* mod/blog/lib/blog.php, mod/thewire/tests/regex.php,
  views/default/admin/plugins/advanced.php,
  views/default/forms/admin/menu/save.php: Fixes #2428 last of the $CONFIG
  removals. Anything missed can be individual tickets  

2011-02-19  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/profile/views/default/profile/wrapper.php: Fixes #2768. min-height
  needed a little bit more for the profile widgets.  

  	* mod/groups/start.php: Removing test group default widget code.  

  	* actions/widgets/add.php, actions/widgets/delete.php,
  actions/widgets/move.php, actions/widgets/save.php, engine/lib/views.php,
  engine/lib/widgets.php, js/lib/ui.widgets.js, languages/en.php,
  mod/defaultwidgets/actions/update.php, mod/defaultwidgets/languages/en.php,
  mod/defaultwidgets/manifest.xml, mod/defaultwidgets/start.php,
  .../admin/appearance/default_dashboard_widgets.php,
  .../admin/appearance/default_profile_widgets.php,
  .../views/default/defaultwidgets/editor.php, mod/groups/start.php,
  mod/profile/start.php, views/default/object/plugin.php,
  views/default/page/components/widget.php,
  views/default/page/layouts/widgets.php: Fixes #2753: Default widgets merged
  into core as extensible admin section and updated to work with new widgets.
  Will need an upgrade for users running the old default widgets in 1.7.  

2011-02-19  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/layout/shells/widgets/add_panel.php: clearfix > clearfloat 

  	* mod/developers/languages/en.php, mod/developers/start.php,
  .../views/default/page/shells/theme_preview.php,
  .../views/default/theme_preview/header.php,
  .../views/default/theme_preview/index.php,
  mod/developers/views/default/theme_preview/nav.php,
  .../views/default/theme_preview/navigation.php: theme_preview is using more
  familiar/correct page handling practices 

2011-02-18  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/pageowner.js, views/default/js/elgg.php: Added stub for page owners
  in elgg.js  

  	* views/default/core/likes/display.php: Fixes #2953: Like button doesn't
  show up for logged out users.  

  	* engine/lib/entities.php: Fixing list_registered_entities() from displaying
  things it should.  You now must explicitly register object subtypes to get
  them to display.  

  	* views/default/forms/plugins/settings/save.php: Fixed plugin settings save
  form.  

  	* .../views/default/thewire/scripts/counter.js,
  mod/twitterservice/start.php, mod/twitterservice/twitterservice_lib.php,
  .../views/default/twitterservice/metatags.php: Removing unneeded @copyright
  and @license tags.  

2011-02-18  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php: Added some color to the selected state for
  admin page menu so we can tell what page we're on 

  	* views/default/css/admin.php, views/default/css/elements/reset.php: Added
  overflow-y: scroll by default so that the page doesn't get jerky when an
  animation breaks the fold 

  	* views/default/css/admin.php: Improved the admin menu a bit 

2011-02-18  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/manifest.xml, mod/bookmarks/manifest.xml,
  mod/categories/manifest.xml, mod/custom_index/manifest.xml,
  mod/defaultwidgets/manifest.xml, mod/developers/manifest.xml,
  mod/diagnostics/manifest.xml, mod/embed/manifest.xml,
  mod/externalpages/manifest.xml, mod/file/manifest.xml,
  mod/garbagecollector/manifest.xml, mod/groups/manifest.xml,
  mod/htmlawed/manifest.xml, mod/invitefriends/manifest.xml,
  mod/logbrowser/manifest.xml, mod/logrotate/manifest.xml,
  mod/messageboard/manifest.xml, mod/messages/manifest.xml,
  mod/notifications/manifest.xml, mod/oauth_lib/manifest.xml,
  mod/pages/manifest.xml, mod/profile/manifest.xml,
  mod/reportedcontent/manifest.xml, mod/search/manifest.xml,
  mod/tagcloud/manifest.xml, mod/thewire/manifest.xml,
  mod/tinymce/manifest.xml, mod/twitter/manifest.xml,
  mod/twitterservice/manifest.xml, mod/uservalidationbyemail/manifest.xml,
  mod/zaudio/manifest.xml: Updated copyright and author information in plugin
  manifests.  

2011-02-18  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/install.php, engine/start.php: Fixes #2943: Removed
  engine/lib/install.php 

2011-02-18  nickw <nickw@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/twitterservice/twitterservice_lib.php: Adding plugin hooks for
  authorization and login events.  

2011-02-18  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/deprecated-1.8.php, engine/lib/river.php, engine/lib/views.php,
  .../views/default/theme_preview/objects.php,
  views/default/core/river/body.php, views/default/layout/objects/gallery.php,
  views/default/layout/objects/image_block.php,
  views/default/layout/objects/list.php,
  views/default/layout/objects/module.php,
  views/default/layout/objects/widget.php, views/default/object/widget.php,
  views/default/page/components/gallery.php,
  views/default/page/components/image_block.php,
  views/default/page/components/list.php,
  views/default/page/components/module.php,
  views/default/page/components/widget.php,
  views/default/page/elements/owner_block.php, views/default/river/item.php:
  Refs #2950: layout/objects => page/components 

2011-02-18  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/layouts/widgets.php: Removed unused var in widgets
  layout.  

2011-02-18  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/views.php, views/default/layout/shells/admin.php,
  views/default/layout/shells/content.php,
  views/default/layout/shells/default.php,
  views/default/layout/shells/one_column.php,
  views/default/layout/shells/one_sidebar.php,
  .../layout/shells/two_column_left_sidebar.php,
  views/default/layout/shells/two_sidebar.php,
  views/default/layout/shells/widgets.php,
  views/default/page/layouts/admin.php, views/default/page/layouts/content.php,
  views/default/page/layouts/default.php,
  views/default/page/layouts/one_column.php,
  views/default/page/layouts/one_sidebar.php,
  .../page/layouts/two_column_left_sidebar.php,
  views/default/page/layouts/two_sidebar.php,
  views/default/page/layouts/widgets.php: Refs #2950: layout/shells =>
  page/layouts 

  	* engine/lib/views.php, mod/search/views/default/search/list.php,
  views/default/layout/elements/comments.php,
  views/default/layout/elements/owner_block.php,
  views/default/layout/elements/page_links.php,
  views/default/layout/elements/sidebar.php,
  views/default/layout/elements/title.php,
  views/default/layout/shells/one_sidebar.php,
  views/default/layout/shells/two_sidebar.php,
  views/default/page/elements/comments.php,
  views/default/page/elements/owner_block.php,
  views/default/page/elements/page_links.php,
  views/default/page/elements/sidebar.php,
  views/default/page/elements/title.php: Refs #2950: layout/elements =>
  page/elements 

  	* views/default/admin/statistics/overview.php: @todos for refactoring admin
  statistics 

2011-02-18  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggPluginPackage.php, languages/en.php: Fixes #2945, Refs
  #2946. Plugins that require priority on an uninstalled plugin don't crash the
  plugins admin.  

  	* .../views/default/bookmarks/page_links.php: Don't show the bookmark this
  link if you're not logged in.  

2011-02-18  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/file/views/default/file/css.php,
  .../default/file/specialcontent/image/default.php,
  mod/file/views/default/icon/object/file.php,
  views/default/css/elements/chrome.php,
  views/default/css/elements/layout_objects.php: improved .elgg-gallery and
  added .elgg-photo  

2011-02-18  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* install/ElggInstaller.php: Refs #2847. Install now sets the
  viewspath_cache_enabled.  

  	* engine/lib/cache.php, install/ElggInstaller.php: Refs #2847. Fixed
  simplecache settings and functionality for initial installation.  

  	* engine/lib/database.php, engine/lib/deprecated-1.8.php,
  engine/lib/upgrades/create_upgrade.php, engine/lib/version.php,
  install/ElggInstaller.php, upgrade.php: Fixes #1433, #2183. Upgrades are now
  tracked and will be run if needed regardless of version.  

2011-02-17  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/twitterservice/twitterservice_lib.php: Fixes faulty logic in twitter
  services that allowed new users to register via twitter when site
  registration was off.  

  	* views/default/admin/components/plugin_settings.php: Fixes #2938: Restored
  the $vars['entity'] in plugin settings for backward compatibility with
  plugins.  

2011-02-17  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/admin/components/plugin_settings.php: Cleaned up a manual
  implementation of elgg-module 

2011-02-17  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* _graphics/elgg_bookmarklet.gif, mod/bookmarks/graphics/bookmark.gif,
  mod/bookmarks/graphics/bookmarklet.gif, mod/bookmarks/start.php,
  .../views/default/bookmarks/bookmarklet.php,
  mod/bookmarks/views/default/bookmarks/css.php,
  mod/bookmarks/views/default/bookmarks/js.php,
  .../views/default/bookmarks/page_links.php: Further cleanup of bookmarks.
  Moved bookmarklet to plugin. Pulled in the 1.7 bookmark pin and made the
  "Bookmark this page" less ugly. Added js to append the title.  

  	* mod/bookmarks/actions/bookmarks/edit.php, mod/bookmarks/start.php,
  .../views/default/bookmarks/group_module.php,
  .../default/bookmarks/groupprofile_bookmarks.php,
  .../views/default/forms/bookmarks/save.php: Fixes #2680. Added group profile
  bookmark widget. Fixed a problem editing bookmarks.  

  	* mod/bookmarks/pages/owner.php: Hiding the filter tabs for bookmarks when
  not in a filter context.  

  	* views/default/layout/shells/content/filter.php: Fixed typo in filter nav
  view.  

  	* mod/bookmarks/lib/bookmarks.php, mod/bookmarks/pages/add.php,
  mod/bookmarks/pages/edit.php, mod/bookmarks/pages/owner.php,
  mod/bookmarks/start.php: Fixes #2680: Added group support to bookmarks
  plugin.  

  	* mod/bookmarks/bookmarklet.php, mod/bookmarks/languages/en.php,
  mod/bookmarks/lib/bookmarks.php, mod/bookmarks/pages/add.php,
  mod/bookmarks/pages/all.php, mod/bookmarks/pages/bookmarklet.php,
  mod/bookmarks/pages/friends.php, mod/bookmarks/pages/owner.php,
  mod/bookmarks/start.php, .../views/default/bookmarks/bookmarklet.php,
  mod/bookmarks/views/default/bookmarks/form.php,
  .../views/default/bookmarks/owner_block.php,
  mod/bookmarks/views/default/bookmarks/sharing.php,
  .../default/river/object/bookmarks/annotate.php,
  .../default/river/object/bookmarks/create.php,
  .../views/default/widgets/bookmarks/edit.php: Refs #2680: Bookmarks revamp,
  part 3: menus and bookmarklet.  

2011-02-17  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/file/views/default/object/file.php: calling the new category output view
  in the plugins - looks like the pages plugin is missing the categories code  

  	* mod/tinymce/start.php: added tinymce to admin css  

2011-02-16  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/layout/objects/widget/settings.php: Fixes #2915. Can edit
  widget settings again.  

  	* mod/bookmarks/actions/bookmarks/add.php,
  mod/bookmarks/actions/bookmarks/delete.php,
  mod/bookmarks/actions/bookmarks/save.php, mod/bookmarks/lib/bookmarks.php,
  mod/bookmarks/pages/add.php, mod/bookmarks/pages/edit.php,
  mod/bookmarks/pages/inbox.php, mod/bookmarks/pages/view.php,
  mod/bookmarks/start.php, .../views/default/forms/bookmarks/save.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  .../views/default/widgets/bookmarks/content.php,
  .../views/default/widgets/bookmarks/edit.php,
  .../views/default/widgets/bookmarks/view.php: Refs #2680. Bookmarks revamp,
  part 2.  

2011-02-16  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/start.php, mod/bookmarks/start.php, mod/file/start.php,
  mod/groups/start.php, mod/messages/start.php, mod/pages/start.php,
  mod/profile/start.php, mod/thewire/start.php: Updated
  register_entity_url_handler => elgg_* in plugins.  Used this regex:
  ([^_a-z])register_entity_url_handler\((.*),(.*,.*)\); 

2011-02-15  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/deprecated-1.7.php, engine/lib/deprecated-1.8.php,
  engine/lib/elgglib.php, engine/lib/install.php, engine/lib/pam.php,
  engine/lib/views.php, engine/lib/widgets.php: Moved all deprecated core
  functions into the appropriate deprecation fine 

  	* engine/lib/entities.php, engine/lib/users.php, mod/blog/start.php,
  mod/bookmarks/start.php, mod/file/start.php, mod/groups/start.php,
  mod/pages/start.php, mod/thewire/start.php: Removed all calls to deprecated
  register_entity_type 

  	* actions/admin/site/update_advanced.php, engine/handlers/cache_handler.php,
  engine/lib/actions.php, engine/lib/admin.php, engine/lib/cache.php,
  engine/lib/deprecated-1.8.php, engine/lib/upgrades/2010060101.php,
  engine/lib/views.php, engine/start.php,
  .../views/default/page/shells/theme_preview.php, mod/notifications/index.php,
  mod/profile/start.php, views/default/core/friends/picker.php,
  views/default/page/elements/head.php: Fixes #2923: Removed "view" prefix from
  simplecache function names 

  	* engine/lib/elgglib.php: Fixes #2695: Return false on autoload fail, rather
  than throwing exception 

  	* engine/lib/entities.php: Fixes #2777: delete_entity is now recursive 

  	* engine/lib/annotations.php, engine/lib/deprecated-1.8.php,
  engine/lib/entities.php, engine/lib/extender.php, engine/lib/metadata.php,
  engine/lib/relationships.php: Fixes #2860: Deprecated several registration
  functions that were using the 'callback-first' ordering 

  	* views/default/css/elements/grid.php: Fixes #2924: elgg-grid clearfixes 

  	* engine/lib/entities.php: Fixes #2476: update_entity_last_action()
  sanitizes posted time. 

2011-02-15  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/plugins.php: Updated egef_plugin_user_settings() to accept
  plugin_id instead of plugin_name.  

  	* engine/lib/upgrades/2011010101.php: Fixes #2926: Fixed upgrade for plugin
  user settings.  

2011-02-15  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/languages/en.php: added language strings for theme preview 

2011-02-15  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/page/shells/walled_garden.php: Refs #2693: Walledgarden code
  cleanup -- Too much custom code 

2011-02-15  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/start.php,
  mod/developers/views/default/developers/ipsum.php,
  .../views/default/theme_preview/forms.php,
  .../views/default/theme_preview/general.php,
  .../views/default/theme_preview/objects.php,
  .../views/default/theme_preview/widgets.php: moved lorem ipsum into a view  

2011-02-15  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/lib/blog.php, mod/blog/views/default/forms/blog/save.php,
  mod/blog/views/default/input/datetime.php,
  mod/blog/views/default/widgets/blog/edit.php,
  mod/bookmarks/views/default/bookmarks/form.php,
  mod/bookmarks/views/default/bookmarks/sharing.php,
  mod/categories/views/default/input/categories.php,
  .../views/default/settings/categories/edit.php,
  .../views/default/defaultwidgets/editor.php,
  .../views/default/theme_preview/forms.php,
  mod/embed/views/default/embed/link.php,
  mod/embed/views/default/embed/upload/content.php,
  .../views/default/forms/expages/edit.php,
  mod/file/views/default/file/embed_upload.php,
  mod/file/views/default/forms/file/upload.php,
  mod/file/views/default/widgets/filerepo/edit.php,
  .../default/settings/garbagecollector/edit.php,
  mod/groups/views/default/forms/discussion/save.php,
  mod/groups/views/default/forms/groups/delete.php,
  mod/groups/views/default/forms/groups/edit.php,
  mod/groups/views/default/forms/groups/invite.php,
  mod/groups/views/default/forms/groups/search.php,
  mod/groups/views/default/settings/groups/edit.php,
  .../views/default/widgets/a_users_groups/edit.php,
  mod/logbrowser/views/default/logbrowser/form.php,
  .../views/default/settings/logrotate/edit.php, mod/messages/read.php,
  .../views/default/forms/messages/process.php,
  .../views/default/forms/messages/reply.php,
  mod/messages/views/default/forms/messages/send.php,
  .../notifications/subscriptions/forminternals.php,
  mod/pages/views/default/forms/pages/edit.php,
  mod/pages/views/default/widgets/pages/edit.php,
  .../views/default/forms/reportedcontent/add.php,
  .../views/default/object/reported_content.php,
  .../views/default/widgets/reportedcontent/edit.php,
  .../views/default/widgets/tagcloud/edit.php,
  mod/thewire/views/default/forms/thewire/add.php,
  mod/thewire/views/default/widgets/thewire/edit.php,
  mod/tinymce/views/default/input/longtext.php,
  .../views/default/settings/twitterservice/edit.php,
  .../forms/uservalidationbyemail/bulk_action.php,
  .../uservalidationbyemail/unvalidated_user.php,
  views/default/admin/components/plugin_settings.php,
  views/default/admin/plugins/advanced.php,
  views/default/core/account/login_walled_garden.php,
  views/default/core/friends/picker.php, views/default/core/river/controls.php,
  views/default/core/river/filter.php, views/default/core/river/footer.php,
  .../core/settings/account/default_access.php,
  views/default/core/settings/account/email.php,
  views/default/core/settings/account/language.php,
  views/default/core/settings/account/name.php,
  .../core/settings/account/notifications.php,
  views/default/core/settings/account/password.php,
  views/default/forms/admin/menu/save.php,
  views/default/forms/admin/site/update_advanced.php,
  views/default/forms/admin/site/update_basic.php,
  views/default/forms/avatar/crop.php, views/default/forms/avatar/upload.php,
  views/default/forms/comments/add.php,
  views/default/forms/comments/inline.php,
  views/default/forms/friends/edit.php, views/default/forms/login.php,
  views/default/forms/members/name_search.php,
  views/default/forms/members/tag_search.php,
  views/default/forms/plugins/settings/save.php,
  views/default/forms/profile/edit.php,
  views/default/forms/profile/fields/add.php, views/default/forms/register.php,
  views/default/forms/user/passwordreset.php,
  views/default/forms/user/requestnewpassword.php,
  views/default/forms/useradd.php, views/default/forms/widgets/save.php,
  views/default/graphics/ajax_loader.php, views/default/input/access.php,
  views/default/input/checkboxes.php, views/default/input/datepicker.php,
  views/default/input/password.php, views/default/input/plaintext.php,
  views/default/input/radio.php, views/default/input/securitytoken.php,
  views/default/input/userpicker.php,
  views/default/layout/objects/widget/controls.php,
  views/default/layout/shells/widgets.php,
  views/default/layout/shells/widgets/add_panel.php,
  views/default/navigation/tabs.php,
  views/default/widgets/content_stats/edit.php,
  views/default/widgets/friends/edit.php,
  views/default/widgets/new_users/edit.php,
  views/default/widgets/online_users/edit.php,
  views/installation/input/access.php, views/installation/input/button.php,
  views/installation/input/checkboxes.php,
  views/installation/input/dropdown.php, views/installation/input/form.php,
  views/installation/input/hidden.php, views/installation/input/longtext.php,
  views/installation/input/password.php,
  views/installation/input/securitytoken.php,
  views/installation/input/text.php,
  views/installation/install/forms/template.php: Fixes #2921: converted
  internalname => name and internalid => id 

  	* engine/lib/cache.php, engine/lib/views.php: Fixes #2920: Moved simplecache
  functions into cache.php 

  	* engine/classes/ElggBatch.php, engine/classes/ElggPluginManifest.php,
  engine/lib/admin.php, engine/lib/annotations.php, engine/lib/elgglib.php,
  engine/lib/metastrings.php, engine/lib/plugins.php, engine/lib/river.php,
  engine/lib/views.php, engine/lib/xml.php,
  mod/blog/views/default/blog/sidebar/revisions.php,
  mod/blog/views/default/object/blog.php,
  mod/bookmarks/views/default/object/bookmarks.php,
  mod/embed/views/default/embed/embed.php,
  mod/embed/views/default/embed/layouts/gallery.php,
  mod/embed/views/default/embed/layouts/list.php,
  mod/embed/views/default/embed/upload/content.php,
  mod/file/views/default/file/typecloud.php,
  mod/file/views/default/forms/file/upload.php,
  mod/file/views/default/object/file.php,
  mod/groups/views/default/forms/discussion/save.php,
  mod/groups/views/default/groups/edit.php,
  .../views/default/groups/group_sort_menu.php,
  .../views/default/object/groupforumtopic.php,
  mod/messages/views/default/forms/messages/send.php,
  mod/messages/views/default/object/messages.php,
  mod/pages/views/default/object/page_top.php,
  .../views/default/pages/sidebar/navigation.php,
  mod/profile/views/default/profile/owner_block.php,
  mod/thewire/views/default/forms/thewire/add.php,
  mod/thewire/views/default/object/thewire.php,
  mod/thewire/views/default/thewire/metadata.php,
  mod/uservalidationbyemail/start.php,
  .../uservalidationbyemail/unvalidated_user.php,
  views/default/admin/components/invalid_plugin.php,
  .../admin/components/plugin_dependencies.php,
  views/default/annotation/generic_comment.php,
  views/default/forms/plugins/settings/save.php,
  views/default/forms/widgets/save.php, views/default/icon/user/default.php,
  views/default/input/checkboxes.php, views/default/input/radio.php,
  views/default/layout/elements/comments.php,
  views/default/layout/objects/gallery.php,
  views/default/layout/objects/image_block.php,
  views/default/layout/objects/list.php,
  views/default/layout/objects/list/body.php,
  views/default/layout/objects/list/metadata.php,
  views/default/layout/objects/module.php,
  views/default/layout/objects/widget.php,
  views/default/layout/objects/widget/controls.php,
  views/default/layout/shells/content.php,
  views/default/layout/shells/content/filter.php,
  views/default/layout/shells/content/header.php,
  views/default/layout/shells/widgets.php,
  views/default/layout/shells/widgets/add_panel.php,
  views/default/navigation/breadcrumbs.php,
  views/default/navigation/menu/elements/group.php,
  views/default/navigation/menu/user_hover.php,
  views/default/navigation/pagination.php, views/default/navigation/tabs.php,
  views/default/object/plugin.php, views/default/output/confirmlink.php,
  views/default/output/longtext.php, views/default/output/url.php,
  views/default/page/elements/body.php, views/default/profile/icon.php,
  views/rss/layout/objects/list.php: Fixes #2808: elgg_get_array_value =>
  elgg_extract 

  	* js/lib/userpicker.js, views/default/input/autocomplete.php,
  views/default/input/userpicker.php: Refs #2102: addressing more
  userpicker/autocomplete bugs 

  	* views/default/input/autocomplete.php: Refs #2102: Some input/autocomplete
  fixes 

  	* documentation/stubs/config.php, engine/handlers/page_handler.php,
  engine/lib/admin.php, engine/lib/cron.php, engine/lib/elgglib.php,
  engine/lib/entities.php, engine/lib/input.php, engine/lib/pagehandler.php,
  engine/lib/river.php, engine/lib/tags.php, engine/lib/user_settings.php,
  engine/lib/users.php, js/lib/friends_picker.js, mod/blog/start.php,
  mod/bookmarks/start.php, mod/categories/start.php, mod/developers/start.php,
  mod/diagnostics/start.php, mod/embed/start.php, mod/externalpages/start.php,
  mod/file/start.php, mod/groups/start.php, mod/invitefriends/start.php,
  mod/messageboard/start.php, mod/messages/start.php,
  mod/notifications/start.php, mod/pages/start.php, mod/profile/start.php,
  mod/reportedcontent/start.php, mod/search/start.php, mod/thewire/start.php,
  mod/twitterservice/start.php, mod/uservalidationbyemail/start.php: Replaced
  all occurrences of register_page_handler in core with
  elgg_register_page_handler 

  	* views/default/js/friendsPickerv1.php: Friendspicker was moved to
  js/lib/friends_picker.js 

  	* js/lib/userpicker.js, views/default/input/userpicker.php: Refs #2102:
  Replace input/userpicker with jQuery UI autocomplete 

  	* htaccess_dist: Combining two rewrite rules into one 

2011-02-14  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* js/lib/autocomplete.js, views/default/input/autocomplete.php: Refs #2102:
  Replaced input/autocomplete with jQuery UI autocomplete (untested) 

  	* engine/lib/deprecated-1.8.php, engine/lib/pagehandler.php: Prepended elgg_
  to (un)register_page_handler() functions.  Deprecated old ones 

  	* views/default/js/initialize_elgg.php,
  views/default/page/elements/head.php: Views in the js/ directory should not
  contain <script> tags 

2011-02-14  nickw <nickw@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/twitterservice/twitterservice_lib.php: Saving avatar filename with
  user GUID instead of old-style username.  

2011-02-14  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/js/elgg.php: Removed unnecessary deprecated javascript
  function 

  	* js/lib/languages.js, js/lib/session.js, js/lib/ui.widgets.js: No need for
  double-namespacing of javascript functions 

  	* mod/developers/views/default/developers/css.php: Give the css preview a
  little more vertical breathing room 

  	* engine/lib/views.php: Refs #2610: Custom template handler for views now
  sent through call_user_func 

  	* engine/lib/views.php: Refs #2124: Adding backwards compatibility
  conversions for internalname/internalid 

  	* views/default/page/elements/body.php,
  views/default/page/elements/footer.php,
  views/default/page/elements/header.php,
  views/default/page/elements/messages.php,
  views/default/page/elements/topbar.php, views/default/page/shells/admin.php,
  views/default/page/shells/default.php: Cleaned up views/default/page/
  directory 

  	* engine/lib/views.php, vendors/jquery/jquery-1.4.2.min.js,
  vendors/jquery/jquery-1.5.min.js, vendors/jquery/jquery-ui-1.7.2.min.js,
  vendors/jquery/jquery-ui-1.8.9.min.js: Refs #2525: jQuery => 1.5, jQuery UI
  => 1.8.9 

  	* views/default/core/account/login_box.php,
  views/default/core/account/login_dropdown.php,
  views/default/css/elements/forms.php, views/default/css/elements/misc.php,
  views/default/css/elements/modules.php: More cleanup of login/forms css --
  converted login_dropdown to use elgg-toggler pattern 

  	* js/lib/ui.js: Fixes #2902: Added elgg-toggler pattern. 

2011-02-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php: remove some unused css from admin theme  

2011-02-14  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggBatch.php: Clearing caches in ElggBatch.  

  	* engine/handlers/cache_handler.php: Cache handler won't serve up cached
  pages if caching is disabled. Refs #2758: Added call to
  elgg_view_regenerate_simplecache() on cache misses if cache is enabled.
  Leaving #2758 open in case Cash has a better idea since he's more familiar
  with the simple cache changes.  

  	* engine/classes/ElggEntity.php, engine/lib/metadata.php: Removed last of
  deprecated metadata calls in trunk.  

  	* actions/comments/delete.php, actions/likes/delete.php,
  actions/profile/edit.php, engine/classes/ElggAnnotation.php,
  engine/classes/ElggEntity.php, engine/classes/ElggRiverItem.php,
  engine/handlers/export_handler.php, engine/lib/annotations.php,
  engine/lib/metadata.php, engine/lib/metastrings.php,
  engine/tests/api/entity_getter_functions.php,
  engine/tests/api/metastrings.php, engine/tests/regression/trac_bugs.php,
  mod/blog/lib/blog.php, mod/messageboard/actions/delete.php,
  mod/pages/revision.php: Updated trunk to use new annotation functions. Added
  checks for annotations_* options vs annotation_* options because it's so easy
  to confuse.  

  	* engine/classes/ElggEntity.php, engine/classes/ElggUser.php,
  engine/lib/entities.php: Fixes #2918. Moved annotation/metadata delete
  functions from ElggUser to ElggEntity. When deleted, entities now correctly
  delete metadata they own as well as metadata on them. Removed uses of
  deprecated functions.  

  	* engine/lib/annotations.php, engine/lib/metadata.php,
  engine/lib/metastrings.php: More fixes to annotations/metadata changes. Now
  all function support getting via a metastring id.  

  	* engine/lib/relationships.php: Fixes #2914. Merged fix for r.time_created
  sorting to trunk.  

2011-02-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/developers/start.php, .../views/default/theme_preview/forms.php,
  .../views/default/theme_preview/header.php, views/default/icon/default.php:
  getting rid of some warnings in theme preview  

  	* mod/developers/start.php, .../views/default/admin/developers/preview.php,
  .../views/default/theme_preview/forms.php,
  .../views/default/theme_preview/general.php,
  .../views/default/theme_preview/grid.php,
  .../views/default/theme_preview/header.php,
  .../views/default/theme_preview/icons.php,
  mod/developers/views/default/theme_preview/nav.php,
  .../views/default/theme_preview/objects.php,
  .../views/default/theme_preview/widgets.php: Refs #2903 navigation updated
  for theme preview  

2011-02-14  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/annotations.php, engine/lib/deprecated-1.8.php,
  engine/lib/elgglib.php, engine/lib/metadata.php,
  engine/tests/api/metastrings.php,
  mod/pages/views/default/object/page_top.php: Refs #2912. Added checks for
  constraints in dangerous functions. Unit tests no longer remove all
  metadata/annotations.  

2011-02-14  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* documentation/theming/preview/forms.php,
  documentation/theming/preview/general.php,
  documentation/theming/preview/grid.php,
  documentation/theming/preview/head.php,
  documentation/theming/preview/icons.php,
  documentation/theming/preview/index.php,
  documentation/theming/preview/nav.php,
  documentation/theming/preview/objects.php,
  documentation/theming/preview/widgets.php, mod/developers/start.php,
  .../views/default/page/shells/theme_preview.php,
  .../views/default/theme_preview/forms.php,
  .../views/default/theme_preview/general.php,
  .../views/default/theme_preview/grid.php,
  .../views/default/theme_preview/icons.php,
  .../views/default/theme_preview/index.php,
  mod/developers/views/default/theme_preview/nav.php,
  .../views/default/theme_preview/objects.php,
  .../views/default/theme_preview/widgets.php: Refs #2903 moving theme preview
  into developers plugin - navigation and titles are broken  

2011-02-13  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggEntity.php, engine/lib/entities.php,
  engine/tests/objects/entities.php: Deprecated ElggEntity->clearMetadata() by
  ElggEntity->deleteMetadata(). Disabling entities now disables their
  annotations and metadata. Enabling entities enables annotations and metadata.
  Fixes #1115.  

  	* engine/classes/ElggBatch.php: If using a callback in ElggBatch, make sure
  there's an initial value to return.  

  	* engine/lib/metastrings.php: Allowing metastrings_type for metastring-based
  object functions.  

2011-02-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/admin.php: added tabs to admin theme  

  	* mod/externalpages/actions/add.php, mod/externalpages/actions/addfront.php,
  mod/externalpages/actions/edit.php, mod/externalpages/index.php,
  mod/externalpages/languages/en.php, mod/externalpages/manifest.xml,
  mod/externalpages/read.php, mod/externalpages/start.php,
  .../views/default/expages/analytics.php,
  mod/externalpages/views/default/expages/css.php,
  .../views/default/expages/footer_menu.php,
  .../views/default/expages/forms/edit.php,
  .../views/default/expages/forms/editfront.php,
  .../views/default/expages/front_left.php,
  .../views/default/expages/front_right.php,
  mod/externalpages/views/default/expages/menu.php,
  .../views/default/forms/expages/edit.php,
  mod/externalpages/views/default/object/expages.php: updates externalpages to
  1.8  

2011-02-13  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggAnnotation.php, engine/classes/ElggEntity.php,
  engine/classes/ElggMetadata.php, engine/lib/annotations.php,
  engine/lib/deprecated-1.8.php, engine/lib/elgglib.php,
  engine/lib/entities.php, engine/lib/metadata.php, engine/lib/metastrings.php,
  engine/tests/api/metastrings.php: Refs #2907. DRY'd up and abstracted out a
  lot of metadata / annotation functions so I can implement #1115 with a clean
  conscious.  

2011-02-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/externalpages/actions/add.php, mod/externalpages/actions/addfront.php,
  mod/externalpages/index.php, mod/externalpages/languages/en.php,
  mod/externalpages/manifest.xml, mod/externalpages/read.php,
  mod/externalpages/start.php, .../views/default/expages/analytics.php,
  mod/externalpages/views/default/expages/css.php,
  .../views/default/expages/footer_menu.php,
  .../views/default/expages/forms/edit.php,
  .../views/default/expages/forms/editfront.php,
  .../views/default/expages/front_left.php,
  .../views/default/expages/front_right.php,
  mod/externalpages/views/default/expages/menu.php,
  mod/externalpages/views/default/object/expages.php, mod/sitepages/README.txt,
  mod/sitepages/actions/edit_settings.php, mod/sitepages/index.php,
  mod/sitepages/languages/en.php, mod/sitepages/manifest.xml,
  mod/sitepages/sitepages_functions.php, mod/sitepages/start.php,
  .../views/default/admin/site/sitepages.php,
  .../views/default/canvas/layouts/frontpage.php,
  mod/sitepages/views/default/sitepages/css.php,
  .../views/default/sitepages/custom_frontpage.php,
  .../views/default/sitepages/forms/edit.php,
  .../default/sitepages/forms/editfrontsimple.php,
  .../views/default/sitepages/forms/editmeta.php,
  .../views/default/sitepages/keywords/sitestats.php,
  .../views/default/sitepages/keywords/userlist.php,
  mod/sitepages/views/default/sitepages/members.php,
  mod/sitepages/views/default/sitepages/menu.php,
  mod/sitepages/views/default/sitepages/metatags.php,
  mod/sitepages/views/default/sitepages/sidebar.php,
  mod/sitepages/views/default/sitepages/welcome.php: swapping sitepages for
  externalpages since the external pages is easier to integrate into 1.8 .
  sitepages needs more work before it is ready for release (plus we would need
  an upgrade script)  

  	* engine/lib/entities.php: Refs #2301 demoting type:subtype warnings to
  notices  

  	* actions/email/save.php, actions/user/default_access.php,
  actions/user/language.php, actions/user/name.php, actions/user/password.php,
  engine/lib/user_settings.php, engine/lib/users.php,
  views/default/core/settings/account/language.php,
  views/default/forms/account/settings.php: Fixes #2848 pulls user settings
  code out of actions into functions. We should investigate putting them in a
  library that is only loaded on demand  

  	* engine/lib/user_settings.php, engine/lib/usersettings.php,
  engine/start.php, install/ElggInstaller.php: user settings library is now
  user_settings.php  

  	* engine/lib/admin.php: documentation update for admin functions  

  	* engine/classes/ElggMenuBuilder.php, engine/classes/ElggMenuItem.php,
  engine/lib/admin.php, languages/en.php,
  views/default/layout/shells/admin/menu.php: admin menu uses weights for
  ordering  

2011-02-13  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggBatch.php: Additional checking in ElggBatch for valid
  key.  

2011-02-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/output/confirmlink.php, views/default/output/dropdown.php,
  views/default/output/email.php, views/default/output/pulldown.php,
  views/default/output/radio.php, views/default/output/text.php,
  views/default/output/url.php: Fixed #2218 finished up the encoding issues by
  turning of double encoding  

  	* mod/categories/views/default/categories/css.php,
  mod/categories/views/default/input/categories.php: categories are listed
  horizontally  

2011-02-13  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggBatch.php: Added ability to get results of callback
  function in ElggBatch.  

  	* engine/classes/ElggBatch.php: Fixed ElggBatch problems when specifying a
  limit of 0. Fixed a shoot yourself in the foot situation if passing a dumb
  number to chunk size. 

  	* engine/classes/ElggBatch.php: Added ElggBatch class for more efficient
  batch operations on large sets of Elgg* objects.  

2011-02-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/layout/shells/admin.php: added the footer analytics view for
  js  

  	* mod/custom_index/index.php, mod/custom_index/languages/en.php,
  mod/custom_index/manifest.xml, mod/custom_index/start.php,
  .../views/default/canvas/layouts/new_index.php,
  .../views/default/custom_index/css.php,
  .../views/default/layout/shells/custom_index.php: updated custom index for
  1.8  

2011-02-13  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/core/account/login_dropdown.php,
  views/default/css/elements/misc.php: Renamed signin to elgg-button-dropdown 

  	* views/default/core/account/login_box.php,
  views/default/core/account/login_dropdown.php,
  views/default/css/elements/layout_objects.php,
  views/default/css/elements/misc.php, views/default/css/elements/modules.php,
  views/default/forms/login.php: Progress refactoring the login dropdown and
  login forms -- not quite there yet, though  Added another module: dropdown. 

2011-02-13  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/custom_index/index.php, mod/custom_index/languages/en.php,
  mod/custom_index/manifest.xml, mod/custom_index/start.php,
  .../views/default/canvas/layouts/new_index.php,
  .../views/default/custom_index/css.php: moved custom_index back into core  

2011-02-12  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/css/elements/layout_objects.php: Updated docs for
  layout_objects 

2011-02-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggEntity.php, views/default/core/river/footer.php: Refs
  #650. Replaced count_annotations(). 

  	* mod/pages/views/default/pages/sidebar/history.php,
  views/default/core/likes/display.php, views/default/core/river/controls.php,
  views/default/layout/elements/comments.php: Refs #650. Replaced
  list_annotations() by elgg_list_annotations().  

  	* engine/classes/ElggEntity.php, engine/lib/views.php,
  mod/messageboard/history.php: Updated a few recent calls to
  elgg_get_annotations() to use 'reverse_order_by' => true.  

  	* engine/lib/metastrings.php: Refs #2906. Missed a file. 

  	* engine/lib/elgglib.php, engine/lib/entities.php: Fixes #2906. Added
  elgg_sql_reverse_order_by() and wired it up to ege() and ega(). Pass
  'reverse_order_by' => true in option arrays. 

2011-02-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/thewire/actions/add.php, mod/thewire/actions/delete.php,
  mod/thewire/add.php, mod/thewire/everyone.php, mod/thewire/index.php,
  mod/thewire/languages/en.php, mod/thewire/manifest.xml,
  mod/thewire/pages/everyone.php, mod/thewire/pages/friends.php,
  mod/thewire/pages/previous.php, mod/thewire/pages/reply.php,
  mod/thewire/pages/tag.php, mod/thewire/pages/thread.php,
  mod/thewire/pages/user.php, mod/thewire/readme.txt, mod/thewire/start.php,
  mod/thewire/tests/regex.php, mod/thewire/views/default/forms/thewire/add.php,
  mod/thewire/views/default/object/thewire.php,
  .../views/default/river/object/thewire/create.php,
  mod/thewire/views/default/thewire/css.php,
  mod/thewire/views/default/thewire/forms/add.php,
  mod/thewire/views/default/thewire/metadata.php,
  mod/thewire/views/default/thewire/notfound.php,
  .../views/default/thewire/profile_status.php,
  mod/thewire/views/default/thewire/reply.php,
  mod/thewire/views/default/thewire/view.php,
  .../views/default/widgets/thewire/content.php,
  mod/thewire/views/default/widgets/thewire/edit.php: a mostly completed port
  of JHU/APL wire plugin to 1.8  

2011-02-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggEntity.php, engine/lib/annotations.php,
  engine/lib/views.php, engine/tests/objects/entities.php,
  mod/messageboard/history.php, views/default/core/likes/display.php,
  views/default/core/river/controls.php, views/default/core/river/footer.php:
  Refs #650. Replaced calls to get_annotations() by elgg_get_annotations(). 

2011-02-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/profile/views/default/profile/details.php: added the status view into
  details on profile page  

2011-02-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/classes/ElggEntity.php, engine/lib/users.php,
  views/default/forms/profile/edit.php: Refs #650. Replaced uses for
  get_metadata_byname() by elgg_get_metadata() 

  	* engine/classes/ElggMetadata.php, engine/handlers/export_handler.php,
  engine/lib/deprecated-1.8.php, engine/lib/metadata.php: Refs #650. Changed
  elgg_get_metadata_by_id() to elgg_get_metadata_from_id() to be consistent
  with other functions.  

  	* engine/classes/ElggMetadata.php, engine/handlers/export_handler.php,
  engine/lib/metadata.php: Refs #650. Replaced get_metadata() by
  elgg_get_metadata_by_id()  

  	* engine/classes/ElggEntity.php, engine/classes/ElggFile.php,
  engine/lib/metadata.php, engine/lib/notification.php,
  views/default/export/entity.php: Refs #650: Replaced uses of
  get_metadata_for_entity() by elgg_get_metadata().  

2011-02-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/layout/objects/list/body.php: allow plugins to decline the
  addition of tags to their entity list view  

2011-02-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* engine/lib/deprecated-1.8.php, engine/lib/metadata.php: Deprecated
  get_metadata() by elgg_get_metadata_by_id() to avoid confusion with
  elgg_get_metadata(). Not in love with the name...had considered
  elgg_get_metadatum(). Open to suggestions.  

  	* engine/lib/annotations.php, engine/lib/deprecated-1.8.php,
  engine/lib/metadata.php, engine/lib/metastrings.php: Refs #650: Deprecated
  find_metadata() with elgg_get_metadata(). Deprecated
  get_metadata_for_entity() and get_metadata_byname() <twitch>. Added
  elgg_get_metastrings_based_objects() to deal with the commonalities between
  the metadata and annotation getter functions.  

2011-02-12  ewinslow <ewinslow@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* views/default/input/checkboxes.php: Label wraps checkbox for usability 

  	* mod/minify/lib/min/.htaccess, mod/minify/lib/min/README.txt,
  mod/minify/lib/min/builder/_index.js, mod/minify/lib/min/builder/bm.js,
  mod/minify/lib/min/builder/index.php, mod/minify/lib/min/builder/ocCheck.php,
  mod/minify/lib/min/builder/rewriteTest.js, mod/minify/lib/min/config.php,
  mod/minify/lib/min/groupsConfig.php, mod/minify/lib/min/index.php,
  mod/minify/lib/min/lib/CSS.php, mod/minify/lib/min/lib/FirePHP.php,
  mod/minify/lib/min/lib/HTTP/ConditionalGet.php,
  mod/minify/lib/min/lib/HTTP/Encoder.php, mod/minify/lib/min/lib/JSMin.php,
  mod/minify/lib/min/lib/JSMinPlus.php, mod/minify/lib/min/lib/Minify.php,
  mod/minify/lib/min/lib/Minify/Build.php,
  mod/minify/lib/min/lib/Minify/CSS/Compressor.php,
  mod/minify/lib/min/lib/Minify/CSS/UriRewriter.php,
  mod/minify/lib/min/lib/Minify/Cache/APC.php,
  mod/minify/lib/min/lib/Minify/Cache/File.php,
  mod/minify/lib/min/lib/Minify/Cache/Memcache.php,
  mod/minify/lib/min/lib/Minify/CommentPreserver.php,
  mod/minify/lib/min/lib/Minify/Controller/Base.php,
  mod/minify/lib/min/lib/Minify/Controller/Files.php,
  .../lib/min/lib/Minify/Controller/Groups.php,
  .../lib/min/lib/Minify/Controller/MinApp.php,
  mod/minify/lib/min/lib/Minify/Controller/Page.php,
  .../lib/min/lib/Minify/Controller/Version1.php,
  mod/minify/lib/min/lib/Minify/HTML.php,
  mod/minify/lib/min/lib/Minify/ImportProcessor.php,
  mod/minify/lib/min/lib/Minify/Lines.php,
  mod/minify/lib/min/lib/Minify/Logger.php,
  mod/minify/lib/min/lib/Minify/Packer.php,
  mod/minify/lib/min/lib/Minify/Source.php,
  mod/minify/lib/min/lib/Minify/YUICompressor.php,
  mod/minify/lib/min/lib/Solar/Dir.php, mod/minify/lib/min/utils.php,
  mod/minify/manifest.xml, mod/minify/start.php: Doh, how did this get here? 

2011-02-12  brettp <brettp@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* documentation/examples/plugins/manifest.xml,
  engine/tests/test_files/plugin_18/manifest.xml: Refs #2898: Updated docs and
  test manifest for the xmlns changes.  

  	* engine/classes/ElggPluginManifest.php, mod/blog/manifest.xml,
  mod/bookmarks/manifest.xml, mod/categories/manifest.xml,
  mod/defaultwidgets/manifest.xml, mod/developers/manifest.xml,
  mod/diagnostics/manifest.xml, mod/embed/manifest.xml, mod/file/manifest.xml,
  mod/garbagecollector/manifest.xml, mod/groups/manifest.xml,
  mod/htmlawed/manifest.xml, mod/invitefriends/manifest.xml,
  mod/logbrowser/manifest.xml, mod/logrotate/manifest.xml,
  mod/messageboard/manifest.xml, mod/messages/manifest.xml,
  mod/minify/manifest.xml, mod/notifications/manifest.xml,
  mod/oauth_lib/manifest.xml, mod/pages/manifest.xml, mod/profile/manifest.xml,
  mod/reportedcontent/manifest.xml, mod/search/manifest.xml,
  mod/sitepages/manifest.xml, mod/tagcloud/manifest.xml,
  mod/thewire/manifest.xml, mod/tinymce/manifest.xml, mod/twitter/manifest.xml,
  mod/twitterservice/manifest.xml, mod/uservalidationbyemail/manifest.xml,
  mod/zaudio/manifest.xml: Refs #2898: Using an XML namespace instead of
  version attribute on plugin manifests.  

  	* mod/twitterservice/languages/en.php,
  mod/twitterservice/twitterservice_lib.php,
  .../views/default/settings/twitterservice/edit.php: Cleaned up more
  twitterservice code. Twitter usernames now have random digits appended upon
  name collision. Added the option for admins to allow twitter sign up even if
  site registration is disabled.  

  	* actions/admin/user/delete.php: Deleting a user from his profile forwards
  to the right page.  

2011-02-12  cash <cash@36083f99-b078-4883-b0ff-0f9b5a30f544>

  	* mod/blog/actions/blog/delete.php, mod/file/actions/file/upload.php,
  mod/pages/actions/pages/delete.php: Fixed #2887 redirects on blog, file, and
  pages works now - bookmarks plugin still needs plenty of work  

  	* mod/reportedcontent/actions/add.php,
  mod/reportedcontent/actions/archive.php,
  mod/reportedcontent/actions/delete.php, .../actions/reportedcontent/add.php,
  .../actions/reportedcontent/archive.php,
  .../actions/reportedcontent/delete.php, mod/reportedcontent/start.php,
  .../views/default/forms/reportedcontent/add.php,
  .../views/default/reportedcontent/form.php: updated reported content to use
  elgg_view_form  

  	* views/default/css/admin.php,
  views/default/forms/admin/site/update_advanced.php,
  views/default/forms/admin/site/update_basic.php,
  views/default/forms/avatar/crop.php, views/default/forms/avatar/upload.php,
  views/default/forms/comments/add.php, views/default/forms/friends/edit.php,
  views/default/forms/login.php, views/default/forms/plugins/settings/save.php,
  views/default/forms/profile/edit.php, views/default/forms/register.php,
  views/default/forms/user/requestnewpassword.php,
  views/default/forms/useradd.php, views/default/forms/usersettings/save.php,
  views/default/forms/widgets/save.php, views/default/group/default.php: Refs
  #2032 core forms use divs  

  	* mod/blog/views/default/forms/blog/save.php,
  mod/blog/views/default/widgets/blog/edit.php,
  mod/categories/views/default/input/categories.php,
  .../views/default/forms/diagnostics/download.php,
  mod/file/views/default/forms/file/upload.php,
  mod/file/views/default/widgets/filerepo/edit.php,
  .../views/default/widgets/a_users_groups/edit.php,
  .../views/default/forms/invitefriends/invite.php,
  .../views/default/forms/messages/reply.php,
  mod/messages/views/default/forms/messages/send.php,
  .../forms/notificationsettings/groupsave.php,
  .../default/forms/notificationsettings/save.php,
  .../notifications/subscriptions/collections.php,
  .../notifications/subscriptions/personal.php,
  mod/pages/views/default/forms/pages/edit.php,
  mod/pages/views/default/widgets/pages/edit.php,
  .../views/default/reportedcontent/form.php,
  .../views/default/widgets/reportedcontent/edit.php,
  .../default/usersettings/twitterservice/edit.php: updated the plugins that
  have already been updated to 1.8 html/css to use divs rather than p tags in
  forms  

  	* mod/groups/views/default/forms/groups/delete.php,
  mod/groups/views/default/forms/groups/edit.php,
  mod/groups/views/default/groups/edit.php: pulled delete form out of edit view
  for groups  

  	* mod/groups/views/default/forms/discussion/save.php,
  mod/groups/views/default/forms/groups/edit.php,
  views/default/css/elements/forms.php: recommended to use <div> in forms for
  wrapping content - added css to support that and updated all group forms  

  	* views/default/input/form.php: moved security tokens to top of form so we
  can use :last-child  

  	* views/default/input/access.php: fixed another bug from last night  

  	* views/default/input/plaintext.php, views/default/input/radio.php: fixing a
  few bugs introduced last night in the input views  

  	* mod/bookmarks/languages/en.php: fixed enable group bookmarks language
  string  

  	* views/default/input/checkboxes.php, views/default/input/radio.php: Refs
  #1393 added work around note to checkboxes and radio inputs for integer
  labels  

  	* views/default/css/elements/forms.php, views/default/input/checkboxes.php,
  views/default/input/radio.php: Fixes #972 checkboxes and radio input fields
